import { BaseStyle } from '../../BaseStyle';
/**
 * @property {string} boxShadow - Box shadow of the group container
 * @property {string} groupTypeTextFont - Font of the group type text
 * @property {string} groupTypeBorder - Border of the group type container
 * @property {string} groupTypeBorderRadius - Border radius of the group type container
 * @property {string} groupTypeTextColor - Color of the group type text
 * @property {string} groupTypeTextBackground - Background color of the group type container
 * @property {string} groupTypeBackground - Background color of the group type container
 * @property {string} groupTypeBoxShadow - Box shadow of the group type container
 * @property {string} activeGroupTypeTextFont - Font of the active group type text
 * @property {string} activeGroupTypeTextColor - Color of the active group type text
 * @property {string} activeGroupTypeBackground - Background color of the active group type container
 * @property {string} activeGroupTypeBoxShadow - Box shadow of the active group type container
 * @property {string} activeGroupTypeBorderRadius - Border radius of the active group type container
 * @property {string} activeGroupTypeBorder - Border of the active group type container
 * @property {string} groupTypeTextBoxShadow - Box shadow of the group type text
 * @property {string} groupTypeTextBorderRadius - Border radius of the group type text
 * @property {string} closeIconTint - Tint color of the close icon
 * @property {string} titleTextFont - Font of the title text
 * @property {string} titleTextColor - Color of the title text
 * @property {string} errorTextFont - Font of the error text
 * @property {string} errorTextBackground - Background color of the error container
 * @property {string} errorTextBorderRadius - Border radius of the error container
 * @property {string} errorTextBorder - Border of the error container
 * @property {string} errorTextColor - Color of the error text
 * @property {string} nameInputPlaceholderTextFont - Font of the name input placeholder text
 * @property {string} nameInputPlaceholderTextColor - Color of the name input placeholder text
 * @property {string} nameInputBackground - Background color of the name input container
 * @property {string} nameInputTextFont - Font of the name input text
 * @property {string} nameInputTextColor - Color of the name input text
 * @property {string} nameInputBorder - Border of the name input container
 * @property {string} nameInputBorderRadius - Border radius of the name input container
 * @property {string} nameInputBoxShadow - Box shadow of the name input container
 * @property {string} passwordInputPlaceholderTextFont - Font of the password input placeholder text
 * @property {string} passwordInputPlaceholderTextColor - Color of the password input placeholder text
 * @property {string} passwordInputBackground - Background color of the password input container
 * @property {string} passwordInputBorder - Border of the password input container
 * @property {string} passwordInputBorderRadius - Border radius of the password input container
 * @property {string} passwordInputBoxShadow - Box shadow of the password input container
 * @property {string} passwordInputTextFont - The font style for the password input text. Default is "400 15 Inter".
 * @property {string} passwordInputTextColor - The text color for the password input text. Default is "rgb(20, 20, 20)".
 * @property {string} createGroupButtonTextFont - The font style for the create group button text. Default is "600 15px Inter".
 * @property {string} createGroupButtonTextColor - The text color for the create group button text. Default is "rgb(255, 255, 255)".
 * @property {string} createGroupButtonBackground - The background color for the create group button. Default is "rgb(51, 153, 255)".
 * @property {string} createGroupButtonBorderRadius - The border radius for the create group button. Default is "8px".
 * @property {string} createGroupButtonBorder - The border for the create group button. Default is "none".
 */
export declare class CreateGroupStyle extends BaseStyle {
    boxShadow?: string;
    groupTypeTextFont?: string;
    groupTypeBorder?: string;
    groupTypeBorderRadius?: string;
    groupTypeTextColor?: string;
    groupTypeTextBackground?: string;
    groupTypeBackground?: string;
    groupTypeBoxShadow?: string;
    activeGroupTypeTextFont?: string;
    activeGroupTypeTextColor?: string;
    activeGroupTypeBackground?: string;
    activeGroupTypeBoxShadow?: string;
    activeGroupTypeBorderRadius?: string;
    activeGroupTypeBorder?: string;
    groupTypeTextBoxShadow?: string;
    groupTypeTextBorderRadius?: string;
    closeIconTint?: string;
    titleTextFont?: string;
    titleTextColor?: string;
    errorTextFont?: string;
    errorTextBackground?: string;
    errorTextBorderRadius?: string;
    errorTextBorder?: string;
    errorTextColor?: string;
    nameInputPlaceholderTextFont?: string;
    nameInputPlaceholderTextColor?: string;
    nameInputBackground?: string;
    nameInputTextFont?: string;
    nameInputTextColor?: string;
    nameInputBorder?: string;
    nameInputBorderRadius?: string;
    nameInputBoxShadow?: string;
    passwordInputPlaceholderTextFont?: string;
    passwordInputPlaceholderTextColor?: string;
    passwordInputBackground?: string;
    passwordInputBorder?: string;
    passwordInputBorderRadius?: string;
    passwordInputBoxShadow?: string;
    passwordInputTextFont?: string;
    passwordInputTextColor?: string;
    createGroupButtonTextFont?: string;
    createGroupButtonTextColor?: string;
    createGroupButtonBackground?: string;
    createGroupButtonBorderRadius?: string;
    createGroupButtonBorder?: string;
    constructor(props: Partial<CreateGroupStyle>);
}
//# sourceMappingURL=CreateGroupStyle.d.ts.map