import { BaseStyle } from '../../BaseStyle';
/**
 * JoinGroupStyle class defines the style for a join group component.
 *
 * @property {string} boxShadow - The box shadow for the component.
 * @property {string} titleTextFont - The font for the title text.
 * @property {string} titleTextColor - The color for the title text.
 * @property {string} errorTextFont - The font for the error text.
 * @property {string} errorTextColor - The color for the error text.
 * @property {string} passwordInputTextFont - The font for the password input text.
 * @property {string} passwordInputTextColor - The color for the password input text.
 * @property {string} passwordInputPlaceholderTextFont - The font for the password input placeholder text.
 * @property {string} passwordInputPlaceholderTextColor - The color for the password input placeholder text.
 * @property {string} passwordInputBackground - The background color for the password input.
 * @property {string} passwordInputBorder - The border color for the password input.
 * @property {string} passwordInputBorderRadius - The border radius for the password input.
 * @property {string} passwordInputBoxShadow - The box shadow for the password input.
 * @property {string} joinButtonTextFont - The font for the join button text.
 * @property {string} joinButtonTextColor - The color for the join button text.
 * @property {string} joinButtonBackground - The background color for the join button.
 * @property {string} joinButtonBorderRadius - The border radius for the join button.
 * @property {string} joinButtonBorder - The border color for the join button.
 *
 * @extends {BaseStyle}
 */
export declare class JoinGroupStyle extends BaseStyle {
    boxShadow?: string;
    titleTextFont?: string;
    titleTextColor?: string;
    errorTextFont?: string;
    errorTextColor?: string;
    passwordInputTextFont?: string;
    passwordInputTextColor?: string;
    passwordInputPlaceholderTextFont?: string;
    passwordInputPlaceholderTextColor?: string;
    passwordInputBackground?: string;
    passwordInputBorder?: string;
    passwordInputBorderRadius?: string;
    passwordInputBoxShadow?: string;
    joinButtonTextFont?: string;
    joinButtonTextColor?: string;
    joinButtonBackground?: string;
    joinButtonBorderRadius?: string;
    joinButtonBorder?: string;
    constructor(props: Partial<JoinGroupStyle>);
}
//# sourceMappingURL=JoinGroupStyle.d.ts.map