import { LitElement, PropertyValueMap } from 'lit';
import { JoinGroupStyle } from './JoinGroupStyle';
export declare class CometChatJoinGroup extends LitElement {
    title: string;
    passwordInputPlaceholderText: string;
    joinButtonText: string;
    joinGroupStyle: JoinGroupStyle;
    hasError: boolean;
    errorText: string;
    group: CometChat.Group | null;
    joinClick: ((group: CometChat.Group, password: string) => void) | null;
    errorCallback: any;
    loggedInUser: CometChat.User | null;
    password: string;
    static styles: import("lit").CSSResult[];
    protected updated(_changedProperties: PropertyValueMap<any> | Map<PropertyKey, unknown>): void;
    render(): import("lit-html").TemplateResult<1>;
    joinGroup(): void;
    /**
     * Props dependent styles of CometChatJoinGroup
     */
    wrapperStyle: () => {
        height: string | undefined;
        width: string | undefined;
        border: string | undefined;
        borderRadius: string | undefined;
        boxShadow: string | undefined;
        background: string | undefined;
    };
    titleStyle: () => {
        font: string | undefined;
        color: string | undefined;
    };
    placeholderStyle: () => {
        placeholderTextFont: string | undefined;
        placeholderTextColor: string | undefined;
        textFont: string | undefined;
        textColor: string | undefined;
        background: string | undefined;
        border: string | undefined;
        boxShadow: string | undefined;
        borderRadius: string | undefined;
        window: string;
        padding: string;
    };
    buttonStyle: () => {
        buttonTextFont: string | undefined;
        buttonTextColor: string | undefined;
        background: string | undefined;
        borderRadius: string | undefined;
        border: string | undefined;
        width: string;
        height: string;
        display: string;
        justifyContent: string;
    };
    errorTextStyle: () => {
        textFont: string;
        textColor: string;
    };
}
declare global {
    namespace JSX {
        interface IntrinsicElements {
            "cometchat-join-group": any;
        }
    }
    interface TagNameMap {
        'cometchat-join-group': CometChatJoinGroup;
    }
}
//# sourceMappingURL=cometchat-join-group.d.ts.map