import { BaseStyle } from '../BaseStyle';
/**

ChangeScopeStyle class represents the styling properties for the Confirm Dialog component.
@property {string} titleTextFont - The font and size of the title text.
@property {string} titleTextColor - The color of the title text.
@property {string} selectedOptionTextFont - The font and size of the selected option text.
@property {string} selectedOptionTextColor - The color of the selected option text.
@property {string} selectedOptionBackground - The background color of the selected option.
@property {string} selectedOptionBorder - The border of the selected option.
@property {string} selectedOptionBorderRadius - The border radius of the selected option.
@property {string} arrowIconTint - The tint color of the arrow icon.
@property {string} optionTextFont - The font and size of the option text.
@property {string} optionTextColor - The color of the option text.
@property {string} optionBackground - The background color of the option.
@property {string} optionBorder - The border of the option.
@property {string} optionBorderRadius - The border radius of the option.
@property {string} buttonTextFont - The font and size of the button text.
@property {string} buttonTextColor - The color of the button text.
@property {string} buttonBackground - The background color of the button.
@property {string} scopeTextFont - The font and size of the scope text.
@property {string} scopeTextColor - The color of the scope text.
*/
export declare class ChangeScopeStyle extends BaseStyle {
    titleTextFont?: string;
    titleTextColor?: string;
    activeTextFont?: string;
    activeTextColor?: string;
    activeTextBackground?: string;
    arrowIconTint?: string;
    textFont?: string;
    textColor?: string;
    optionBackground?: string;
    optionBorder?: string;
    optionBorderRadius?: string;
    hoverTextFont?: string;
    hoverTextColor?: string;
    hoverTextBackground?: string;
    buttonTextFont?: string;
    buttonTextColor?: string;
    buttonBackground?: string;
    closeIconTint?: string;
    border?: string;
    borderRadius?: string;
    height?: string;
    width?: string;
    constructor(props: Partial<ChangeScopeStyle>);
}
//# sourceMappingURL=ChangeScopeStyle.d.ts.map