import { BaseStyle } from '../BaseStyle';
/**
 * ConfirmDialogStyle
 *
 * @extends BaseStyle
 *
 * @property {string} confirmButtonBackground - The background color of the confirm button.
 * @property {string} cancelButtonBackground - The background color of the cancel button.
 * @property {string} confirmButtonTextColor - The text color of the confirm button.
 * @property {string} confirmButtonTextFont - The font of the confirm button text.
 * @property {string} cancelButtonTextColor - The text color of the cancel button.
 * @property {string} cancelButtonTextFont - The font of the cancel button text.
 * @property {string} titleFont - The font of the title.
 * @property {string} titleColor - The color of the title.
 * @property {string} messageTextFont - The font of the message text.
 * @property {string} messageTextColor - The color of the message text.
 */
export declare class ConfirmDialogStyle extends BaseStyle {
    confirmButtonBackground?: string;
    cancelButtonBackground?: string;
    confirmButtonTextColor?: string;
    confirmButtonTextFont?: string;
    cancelButtonTextColor?: string;
    cancelButtonTextFont?: string;
    titleFont?: string;
    titleColor?: string;
    messageTextFont?: string;
    messageTextColor?: string;
    boxShadow?: string;
    constructor(props: Partial<ConfirmDialogStyle>);
}
//# sourceMappingURL=ConfirmDialogStyle.d.ts.map