import { LitElement } from 'lit';
import { ConfirmDialogStyle } from './ConfirmDialogStyle';
export declare class CometChatConfirmDialog extends LitElement {
    title: string;
    messageText: string;
    cancelButtonText: string;
    confirmButtonText: string;
    cancelButtonIconURL: string;
    confirmButtonIconURL: string;
    confirmDialogStyle: ConfirmDialogStyle;
    loadingIconURL: string;
    static styles: import("lit").CSSResult[];
    connectedCallback(): void;
    render(): import("lit-html").TemplateResult<1>;
    dispatchClickEvent: any;
    /**
   * loading icon wrapper style
   * @param  {string} state
   */
    dialogWrapperStyle: () => {
        height: string | undefined;
        width: string | undefined;
        background: string | undefined;
        border: string | undefined;
        borderRadius: string | undefined;
    };
    dialogFormStyle: () => {
        display: string;
    };
    dialogTitleStyle(): {
        font: string | undefined;
        color: string | undefined;
    };
    dialogMessageStyle: () => {
        textAlign: string;
        lineHeight: string;
        font: string | undefined;
        letterSpacing: string;
        color: string | undefined;
    };
    buttonConfirmStyle: () => {
        buttonTextFont: string | undefined;
        background: string | undefined;
        buttonTextColor: string | undefined;
        height: string;
        width: string;
        border: string;
        display: string;
        justifyContent: string;
        alignItems: string;
        borderRadius: string;
    };
    buttonCancelStyle: () => {
        buttonTextColor: string | undefined;
        buttonTextFont: string | undefined;
        background: string | undefined;
        height: string;
        width: string;
        border: string;
        display: string;
        justifyContent: string;
        alignItems: string;
        borderRadius: string;
    };
}
declare global {
    namespace JSX {
        interface IntrinsicElements {
            "cometchat-confirm-dialog": any;
        }
    }
    interface TagNameMap {
        'cometchat-confirm-dialog': CometChatConfirmDialog;
    }
}
//# sourceMappingURL=cometchat-confirm-dialog.d.ts.map