import { BaseStyle } from '../BaseStyle';
/**
 * ContextMenuStyle class defines the style for a menu list component.
 *
 * @property {string} textFont - The font for the menu list text.
 * @property {string} textColor - The color for the menu list text.
 * @property {string} iconTint - The tint color for the menu list icons.
 * @property {string} iconBackground - The background color for the menu list icons.
 * @property {string} iconBorder - The border color for the menu list icons.
 * @property {string} iconBorderRadius - The border radius for the menu list icons.
 * @property {string} submenuWidth - The width of the submenu.
 * @property {string} submenuHeight - The height of the submenu.
 * @property {string} submenuBorder - The border color for the submenu.
 * @property {string} submenuBorderRadius - The border radius for the submenu.
 * @property {string} submenuBackground - The background color for the submenu.
 * @extends {BaseStyle}
 */
export declare class ContextMenuStyle extends BaseStyle {
    moreIconTint?: string;
    submenuWidth?: string;
    submenuHeight?: string;
    submenuBorder?: string;
    submenuBorderRadius?: string;
    submenuBackground?: string;
    constructor(props: Partial<ContextMenuStyle>);
}
//# sourceMappingURL=ContextMenuStyle.d.ts.map