import { LitElement } from 'lit';
import { CometChatActionsIcon, CometChatActionsView, CometChatOption } from '@cometchat/uikit-resources';
import { ContextMenuStyle } from './ContextMenuStyle';
export declare class CometChatContextMenu extends LitElement {
    menuListStyle: ContextMenuStyle;
    childView: any;
    data: CometChatActionsView[] | CometChatActionsIcon[];
    moreIconURL: string;
    topMenuSize: number;
    buttonStyle: any;
    mainMenuList: any[];
    subMenuList: any[];
    isShown: boolean;
    showSubMenu: boolean;
    isIconArray: boolean;
    static styles: import("lit").CSSResult[];
    onMenuItemClick(item: any, event: any): void;
    openSubMenu: () => void;
    getMenuStyle(option: CometChatOption, isMainMenu?: boolean): {
        background: string;
        border: string;
        borderRadius: string;
        buttonIconTint: string | undefined;
        buttonTextFont: string | undefined;
        buttonTextColor: string | undefined;
        gap: string;
    };
    moreIconStyle(): {
        background: string | undefined;
    };
    /**
     * hide show submenu on click of more icon
     * @param  {any} e
     */
    render(): import("lit-html").TemplateResult<1>;
    mainMenuItems(): any;
    subMenuItems(): any;
    mainMenuStyles(): {
        background: string | undefined;
        borderRadius: string | undefined;
        border: string | undefined;
    };
    subMenuStyle(): {
        background: string | undefined;
        borderRadius: string | undefined;
        border: string | undefined;
        height: string | undefined;
        width: string | undefined;
        minWidth: string;
    };
}
declare global {
    namespace JSX {
        interface IntrinsicElements {
            "cometchat-context-menu": any;
        }
    }
    interface TagNameMap {
        'cometchat-context-menu': CometChatContextMenu;
    }
}
//# sourceMappingURL=cometchat-context-menu.d.ts.map