import { LitElement } from 'lit';
import { DateStyle } from './DateStyle';
import { DatePatterns } from '@cometchat/uikit-resources';
export declare class CometChatDate extends LitElement {
    dateStyle: DateStyle;
    timestamp: number;
    pattern: DatePatterns;
    customDateString: string | null;
    static styles: import("lit").CSSResult[];
    monthNames: string[];
    weekNames: string[];
    date: Date;
    render(): import("lit-html").TemplateResult<1>;
    getWeekOfDay: () => string;
    getMonthOfDay: () => string;
    getDateFormat: () => string;
    getMinute: (date: Date) => string | number;
    getTimeFormat: () => string;
    getDateTimeFormat: () => string;
    getDate: () => any;
    getFormattedDate: () => any;
    DateStyles: () => {
        font: string | undefined;
        color: string | undefined;
        background: string | undefined;
        height: string | undefined;
        width: string | undefined;
        border: string | undefined;
        borderRadius: string | undefined;
        textAlign: string;
        padding: string;
        display: string;
    };
}
declare global {
    namespace JSX {
        interface IntrinsicElements {
            'cometchat-date': any;
        }
    }
}
//# sourceMappingURL=cometchat-date.d.ts.map