import { LitElement } from 'lit';
import { DocumentBubbleStyle } from './DocumentBubbleStyle';
import { DocumentIconAlignment } from '@cometchat/uikit-resources';
export declare class CometChatDocumentBubble extends LitElement {
    iconURL: string;
    title: string;
    URL: string;
    subtitle: string;
    buttonText: string;
    documentStyle: DocumentBubbleStyle;
    hideSeparator: boolean;
    iconAlignment: DocumentIconAlignment;
    ccClicked: ((url: string) => void) | undefined;
    static styles: import("lit").CSSResult[];
    dividerStyle: {
        height: string;
        width: string;
        background: string;
    };
    iconStyle: any;
    buttonClicked(): any;
    render(): import("lit-html").TemplateResult<1>;
    bubbleAlignment(): {
        display: string;
        flexDirection: string;
        justifyContent: string;
        alignItems: string;
    };
    bubbleStyle: () => {
        width: string | undefined;
        height: string | undefined;
        border: string | undefined;
        borderRadius: string | undefined;
        background: string | undefined;
    };
    bubbleTitleStyle: () => {
        textFont: string | undefined;
        textColor: string | undefined;
    };
    bubbleSubtitleStyle: () => {
        textFont: string | undefined;
        textColor: string | undefined;
    };
    bubbleButtonStyle: () => {
        border: string;
        borderRadius: string;
        background: string | undefined;
        buttonTextFont: string | undefined;
        buttonTextColor: string | undefined;
        height: string;
        display: string;
        width: string;
        justifyContent: string;
        marginTop: string;
    };
}
declare global {
    namespace JSX {
        interface IntrinsicElements {
            "cometchat-document-bubble": any;
        }
    }
    interface TagNameMap {
        'cometchat-document-bubble': CometChatDocumentBubble;
    }
}
//# sourceMappingURL=cometchat-document-bubble.d.ts.map