import { BaseStyle } from '../BaseStyle';
/**
 * ListItemStyle class defines the style for a list item component.
 *
 * @property {string} activeBackground - The background color for an active list item.
 * @property {string} hoverBackground - The background color for a hovered list item.
 * @property {string} borderBottom - The bottom border color for a list item.
 * @property {string} separatorColor - The color for the separator line.
 * @property {string} titleFont - The font for the title text.
 * @property {string} titleColor - The color for the title text.
 * @extends {BaseStyle}
 */
export declare class ListItemStyle extends BaseStyle {
    activeBackground?: string;
    hoverBackground?: string;
    separatorColor?: string;
    titleFont?: string;
    titleColor?: string;
    padding?: string;
    constructor(props: Partial<ListItemStyle>);
}
//# sourceMappingURL=ListItemStyle.d.ts.map