import { LitElement, PropertyValueMap, PropertyDeclaration } from "lit";
import { ListItemStyle } from "./ListItemStyle";
import { AvatarStyle } from "../CometChatAvatar/AvatarStyle";
import { UserPresencePlacement } from "@cometchat/uikit-resources";
export declare class CometChatListItem extends LitElement {
    id: string;
    avatarURL: string;
    avatarName: string;
    statusIndicatorColor: string;
    statusIndicatorIcon: string;
    avatarStyle: AvatarStyle;
    statusIndicatorStyle: any;
    title: string;
    hideSeparator: boolean;
    isActive: boolean;
    dir: "ltr" | "rtl" | "auto";
    listItemStyle: ListItemStyle;
    /**
     * to change the position of use presence icon
     */
    userPresencePlacement: UserPresencePlacement;
    isHovering: boolean;
    tailSlot: any;
    menuSlot: any;
    hideShowTail: () => void;
    requestUpdate(name?: PropertyKey, oldValue?: unknown, options?: PropertyDeclaration<unknown, unknown>): void;
    dividerStyles: {
        height: string;
        width: string;
        background: string;
    };
    static styles: import("lit").CSSResult[];
    dispatchClickEvent: any;
    protected firstUpdated(_changedProperties: PropertyValueMap<any> | Map<PropertyKey, unknown>): void;
    render(): import("lit-html").TemplateResult<1>;
    listItemStyles: {
        listItemStyle: () => {
            background: string | undefined;
            height: string | undefined;
            width: string | undefined;
            border: string | undefined;
            borderRadius: string | undefined;
            padding: string | undefined;
        };
        itemDetailStyle: (style: any) => {
            width: string;
            paddingLeft: string;
            flexGrow: string;
        };
        subtitleSlotStyle: (tailSlot: any, menuSlot: any) => {
            width: string;
        };
        titleStyle: (style: any) => {
            flexShrink: string;
            width: string;
            font: any;
            color: any;
            maxWidth: string;
        };
        tailViewStyle: (style: any) => {
            display: string;
        };
        menuViewStyle: (style: any) => {
            display: string;
        };
    };
}
declare global {
    namespace JSX {
        interface IntrinsicElements {
            "cometchat-list-item": any;
        }
    }
    interface TagNameMap {
        "cometchat-list-item": CometChatListItem;
    }
}
//# sourceMappingURL=cometchat-list-item.d.ts.map