import { LitElement, PropertyValueMap } from 'lit';
import { BaseStyle } from '../BaseStyle';
export declare class CometChatLiveReaction extends LitElement {
    reactionIconURL: string;
    liveReactionStyle: BaseStyle;
    counter: any;
    verticalSpeed: any;
    horizontalSpeed: any;
    before: any;
    items: any;
    timer: any;
    static styles: import("lit").CSSResult[];
    protected firstUpdated(_changedProperties: PropertyValueMap<any> | Map<PropertyKey, unknown>): void;
    render(): import("lit-html").TemplateResult<1>;
    /**
     * Sets height width speed for animation
     */
    setItems(): void;
    requestAnimation(): void;
    /**
     * Animates the reactions
     */
    animateReaction(): boolean;
    liveReactionStyles(): {
        height: string;
        width: string;
        iconTint: string | undefined;
    };
}
declare global {
    namespace JSX {
        interface IntrinsicElements {
            "cometchat-live-reaction": any;
        }
    }
    interface TagNameMap {
        'cometchat-live-reaction': CometChatLiveReaction;
    }
}
//# sourceMappingURL=cometchat-live-reaction.d.ts.map