import { LitElement } from 'lit';
import { CometChatOption } from '@cometchat/uikit-resources';
import { MenuListStyle } from './MenuListStyle';
export declare class CometChatMenuList extends LitElement {
    menuListStyle: MenuListStyle;
    data: CometChatOption[];
    moreIconURL: string;
    parentClassName: string;
    topMenuSize: number;
    buttonStyle: any;
    mainMenuList: any[];
    subMenuList: any[];
    isShown: boolean;
    showSubMenu: boolean;
    submenuPosition: 'top' | 'bottom';
    static styles: import("lit").CSSResult[];
    onMenuItemClick(item: any, event: any): void;
    openSubMenu: () => void;
    getMenuStyle(option: CometChatOption, isMainMenu?: boolean): {
        background: string;
        border: string;
        borderRadius: string;
        buttonIconTint: string | undefined;
        buttonTextFont: string | undefined;
        buttonTextColor: string | undefined;
        gap: string;
        padding: string;
    };
    moreIconStyle(): {
        background: string | undefined;
    };
    /**
     * hide show submenu on click of more icon
     * @param  {any} e
     */
    render(): import("lit-html").TemplateResult<1>;
    mainMenuItems(): CometChatOption[];
    subMenuItems(): CometChatOption[];
    mainMenuStyles(): {
        background: string | undefined;
        borderRadius: string | undefined;
        border: string | undefined;
    };
    subMenuStyle(): {
        background: string | undefined;
        borderRadius: string | undefined;
        border: string | undefined;
        height: string;
        width: string | undefined;
        minWidth: string;
    };
}
declare global {
    namespace JSX {
        interface IntrinsicElements {
            "cometchat-menu-list": any;
        }
    }
    interface TagNameMap {
        'cometchat-menu-list': CometChatMenuList;
    }
}
//# sourceMappingURL=cometchat-menu-list.d.ts.map