import { LitElement, PropertyValueMap, PropertyDeclaration } from 'lit';
import { PopoverStyle } from './PopoverStyle';
export declare enum Placement {
    top = "top",
    right = "right",
    bottom = "bottom",
    left = "left"
}
export declare class CometChatPopover extends LitElement {
    popoverStyle: PopoverStyle;
    hasToolTip: boolean;
    closeOnOutsideClick: boolean;
    placement: Placement;
    showOnHover: boolean;
    debounceOnHover: number;
    deg: any;
    x: any;
    y: any;
    childClickHandler?: (openContent: Function, event: Event) => void;
    activeChildElement: any;
    tipPositionMapping: any;
    private timeOut;
    static styles: import("lit").CSSResult[];
    connectedCallback(): void;
    disconnectedCallback(): void;
    debouncedHandleWindowChange: (this: any) => void;
    handleChangeInWindow(): void;
    isPopoverOpen(): boolean;
    protected firstUpdated(_changedProperties: PropertyValueMap<any> | Map<PropertyKey, unknown>): void;
    protected updated(_changedProperties: PropertyValueMap<any> | Map<PropertyKey, unknown>): void;
    handleClick(event: any): void;
    closeContentView(): void;
    openContentView: (e: any) => void;
    requestUpdate(name?: PropertyKey, oldValue?: unknown, options?: PropertyDeclaration<unknown, unknown>): void;
    render(): import("lit-html").TemplateResult<1>;
    toolTipWrapperStyle: any;
    toolTipContentStyle: any;
    toolTipStyles: any;
}
declare global {
    namespace JSX {
        interface IntrinsicElements {
            'cometchat-popover': any;
        }
    }
}
//# sourceMappingURL=cometchat-popover.d.ts.map