import { BaseStyle } from '../BaseStyle';
/**
 * PreviewStyle class represents the styles for preview. It extends BaseStyle.
 *
 * @property {string} previewTitleFont - Font for preview title.
 * @property {string} previewTitleColor - Color for preview title.
 * @property {string} previewSubtitleColor - Color for preview subtitle.
 * @property {string} previewSubtitleFont - Font for preview subtitle.
 * @property {string} closeButtonIconTint - Tint color for close button icon.
 */
export declare class PreviewStyle extends BaseStyle {
    previewTitleFont?: string;
    previewTitleColor?: string;
    previewSubtitleColor?: string;
    previewSubtitleFont?: string;
    closeButtonIconTint?: string;
    constructor(props: Partial<PreviewStyle>);
}
//# sourceMappingURL=PreviewStyle.d.ts.map