import { LitElement, PropertyValueMap } from "lit";
import { TextInputStyle } from "./TextInputStyle";
import { CometChatTextFormatter } from "@cometchat/uikit-shared";
export declare enum auxiliaryButtonAlignmentEnum {
    left = 0,
    right = 1
}
export declare class CometChatTextInput extends LitElement {
    text: string | null | undefined;
    disabled: boolean;
    placeholderText: string;
    auxiliaryButtonAlignment: auxiliaryButtonAlignmentEnum;
    dir: "ltr" | "rtl" | "auto";
    textInputStyle: TextInputStyle;
    textFormatters?: Array<CometChatTextFormatter>;
    reRenderCounter: number;
    currentSelectionForRegex: any;
    currentSelectionForRegexRange: any;
    inputText: string;
    static style: string;
    private componentID;
    connectedCallback(): void;
    setSelection(sel: Selection | null): void;
    static stylesAdded: boolean;
    addStyles(): void;
    isDescendant(sel: Selection): boolean;
    onKeyDown: (event: any) => void;
    /**
     * On Every KeyUp Event, pass the event to registered text formatters in order to track characters
     * and format the text in real time.
     */
    onKeyUp: (event: any) => void;
    reRender(): void;
    sel: any;
    range: any;
    private hasAllSlotsAssigned;
    emptyInputField: () => void;
    emptyInputFieldWithoutFocus: () => void;
    pasteHtmlAtCaret(html: any): void;
    private updatePlaceholderTextStyle;
    protected updated(_changedProperties: PropertyValueMap<any> | Map<PropertyKey, unknown>): void;
    private preventPaste;
    protected firstUpdated(_changedProperties: PropertyValueMap<any> | Map<PropertyKey, unknown>): void;
    disconnectedCallback(): void;
    triggerSelection(): void;
    distributeChildren(): void;
    checkPlainTextAvailability(disabled: boolean): boolean | "plaintext-only";
    render(): import("lit-html").TemplateResult<1>;
    dispatchChangedEVent: (event: any) => void;
    messageInputStyles: () => {
        height: string | undefined;
        width: string | undefined;
        border: string | undefined;
        borderRadius: string | undefined;
        background: string | undefined;
    };
    inputStyle: () => {
        font: string | undefined;
        color: string | undefined;
        height: string;
        width: string;
        maxHeight: string | undefined;
        border: string | undefined;
        borderRadius: string | undefined;
        background: string | undefined;
        padding: string;
    };
    auxiliaryStyles: () => {
        display: string;
        justifyContent: string;
    };
    dividerStyle: () => {
        height: string;
        width: string;
        background: string | undefined;
    };
    protected createRenderRoot(): Element | ShadowRoot;
}
declare global {
    namespace JSX {
        interface IntrinsicElements {
            "cometchat-text-input": any;
        }
    }
}
//# sourceMappingURL=cometchat-text-input.d.ts.map