/**
 * @class CometChatMessageTemplate
 * @description CometChatMessageTemplate class is used for defining the message templates.
 *
 * @param {String} type
 *  @param {String} category
 * @param {any} contentView
 * @param {any} bubbleView
 * @param {any} headerView
 * @param {any} footerView
 * @param {any} bottomView
 * @param {any} statusInfoView
 * @param {typeof getMessageOptions} options
 */
import { CometChatMessageOption } from "./CometChatMessageOption";
import { CometChatTheme } from "../Resources/CometChatTheme/CometChatTheme";
declare class CometChatMessageTemplate {
    type: string;
    contentView: any;
    bubbleView: any;
    headerView: any;
    footerView: any;
    bottomView: any;
    statusInfoView: any;
    options: (loggedInUser: CometChat.User, message: CometChat.BaseMessage, theme: CometChatTheme, group?: CometChat.Group) => CometChatMessageOption[];
    category: string;
    constructor(props: Partial<CometChatMessageTemplate>);
}
export { CometChatMessageTemplate };
//# sourceMappingURL=CometChatMessageTemplate.d.ts.map