import { ActionEntity } from "../InteractiveEntities/ActionEntity";
/**
 * Represents a URL navigation action that can be performed on a dynamic form.
 */
export declare class URLNavigationAction extends ActionEntity {
    /**
     * The URL to navigate to.
     */
    private url;
    /**
     * Creates a new instance of the URLNavigationAction class.
     * @param {string} url - The URL to navigate to.
     */
    constructor(url: string);
    /**
     * Returns the URL to navigate to.
     * @returns {string} The URL to navigate to.
     */
    getURL(): string;
    static fromJSON(json: any): URLNavigationAction;
}
//# sourceMappingURL=URLNavigationAction.d.ts.map