import { APIAction, CustomAction, URLNavigationAction } from "../InteractiveActions";
import { ElementEntity } from "../InteractiveEntities";
/**
 * Represents a base interactive element in a interactive message.
 */
export declare class BaseInteractiveElement extends ElementEntity {
    /**
     * Represents an action that can be performed on the message.
     */
    private action;
    constructor(elementId: string, elementType: string, action: APIAction | URLNavigationAction | CustomAction);
    /**
     * Returns the action associated with the bubble.
     * @returns {APIAction | URLNavigationAction | CustomAction} The action associated with the bubble.
     */
    getAction(): APIAction | URLNavigationAction | CustomAction;
    static fromJSON(json: any): BaseInteractiveElement;
}
//# sourceMappingURL=BaseInteractiveElement.d.ts.map