import { DateTimePickerMode } from "../../Enums/Enums";
import { BaseInputElement } from "./BaseInputElement";
export declare class DateTimePickerElement extends BaseInputElement<string> {
    private label;
    private mode;
    private defaultValue?;
    private from?;
    private to?;
    private timezoneCode;
    private dateTimeFormat?;
    constructor(elementId: string, label: string, mode: DateTimePickerMode, timezoneCode: string, optional?: boolean);
    getLabel(): string;
    getDefaultValue(): string | undefined;
    setDefaultValue(defaultValue: string): void;
    getMode(): DateTimePickerMode;
    getFrom(): string | undefined;
    setFrom(fromDateTime: string): void;
    getTo(): string | undefined;
    setTo(toDateTime: string): void;
    getDateTimeFormat(): string | undefined;
    setDateTimeFormat(dateTimeFormat: string): void;
    formatDateTime(dateTime: Date): string | undefined;
    setTimezoneCode(timezoneCode: string): void;
    getTimezoneCode(): string;
    static fromJSON(json: any): DateTimePickerElement;
}
//# sourceMappingURL=DateTimePickerElement.d.ts.map