import { ElementEntity } from "../InteractiveEntities/ElementEntity";
/**
 * Represents a label element.
 */
export declare class LabelElement extends ElementEntity {
    /** The text to display in the label. */
    private text;
    /**
     * Creates a new instance of the LabelElement class.
     * @param {string} elementId - The unique identifier of the form element.
     * @param {string} text - The text to display in the label.
     */
    constructor(elementId: string, text: string);
    /**
     * Returns the text to display in the label.
     * @returns {string} The text to display in the label.
     */
    getText(): string;
    static fromJSON(json: any): LabelElement;
}
//# sourceMappingURL=LabelElement.d.ts.map