/**
 * Represents a option.
 */
export declare class OptionElement {
    /** The unique identifier for the option. */
    private label;
    /** The display value for the option. */
    private value;
    /**
     * Creates a new instance of the OptionElement class.
     * @param {string} label - The unique identifier for the option.
     * @param {string} value - The display value for the option.
     */
    constructor(label: string, value: string);
    /**
     * Returns the unique identifier for the option.
     * @returns {string} The unique identifier for the option.
     */
    getLabel(): string;
    /**
     * Returns the display value for the option.
     * @returns {string} The display value for the option.
     */
    getValue(): string;
    static fromJSON(json: any): OptionElement;
}
//# sourceMappingURL=OptionElement.d.ts.map