import { APIAction, CustomAction, URLNavigationAction } from "../InteractiveActions";
import { ButtonAction } from "../../Enums/Enums";
/**
 * Represents an action that can be performed on a UI element, such as a button.
 */
export declare class ActionEntity {
    /**
     * The type of action to perform when the UI element is interacted with.
     */
    private actionType;
    /**
     * Creates an instance of the ActionEntity class.
     * @param {ButtonAction} actionType - The type of action that the button performs.
     */
    constructor(actionType: ButtonAction);
    /**
     * Returns the type of action to perform when the UI element is interacted with.
     * @returns {ButtonAction} The type of action to perform when the UI element is interacted with.
     */
    getActionType(): ButtonAction;
    static fromJSON(json: any): APIAction | URLNavigationAction | CustomAction;
}
//# sourceMappingURL=ActionEntity.d.ts.map