/**
 * Represents the base input for a dynamic form element.
 */
export declare class ElementEntity {
    /**
     * The type of the form element.
     */
    private elementType;
    /**
     * The unique identifier of the form element.
     */
    private elementId;
    constructor(elementId: string, elementType: string);
    /**
     * Returns the type of the form element.
     * @returns {string} The type of the form element.
     */
    getElementType(): string;
    /**
     * Returns the unique identifier of the form element.
     * @returns {string} The unique identifier of the form element.
     */
    getElementId(): string;
    static fromJSON(json: any): ElementEntity;
}
//# sourceMappingURL=ElementEntity.d.ts.map