import { ButtonElement } from '../InteractiveElements/index';
import { CometChat } from '@cometchat/chat-sdk-javascript';
export interface Availability {
    [key: string]: TimeRange[];
}
export interface TimeRange {
    from: string;
    to: string;
}
interface InteractiveData {
    title: string;
    avatarUrl?: string;
    goalCompletionText?: string;
    timezoneCode?: string;
    bufferTime?: number;
    duration?: number;
    availability: Availability;
    dateRangeStart?: string;
    dateRangeEnd?: string;
    icsFileUrl?: string;
    scheduleElement?: ButtonElement;
}
export declare class SchedulerMessage extends CometChat.InteractiveMessage {
    private title;
    private avatarUrl;
    private goalCompletionText;
    private timezoneCode;
    private bufferTime;
    private duration;
    private availability;
    private dateRangeStart;
    private dateRangeEnd;
    private icsFileUrl;
    private scheduleElement;
    constructor(receiverId: string, receiverType: string, interactiveData: InteractiveData);
    setInteractiveData(interactiveData: InteractiveData): void;
    setTitle(title: string): void;
    setAvatarUrl(avatarUrl: string): void;
    setGoalCompletionText(goalCompletionText: string): void;
    setTimezoneCode(timezoneCode: string): void;
    setDuration(duration: number): void;
    setBufferTime(bufferTime: number): void;
    setAvailability(availability: Availability): void;
    setDateRangeStart(dateRangeStart: string): void;
    setDateRangeEnd(dateRangeEnd: string): void;
    setIcsFileUrl(icsFileUrl: string): void;
    setScheduleElement(scheduleElement: ButtonElement): void;
    getInteractiveData(): Object;
    getTitle(): string;
    getAvatarUrl(): string;
    getGoalCompletionText(): string;
    getTimezoneCode(): string;
    getDuration(): number;
    getBufferTime(): number;
    getAvailability(): Availability;
    getDateRangeStart(): string;
    getDateRangeEnd(): string;
    getIcsFileUrl(): string;
    getScheduleElement(): ButtonElement;
    static fromJSON(json: any): SchedulerMessage;
}
export {};
//# sourceMappingURL=SchedulerMessage.d.ts.map