declare class CometChatLocalize {
    /**Properties and constants */
    static fallbackLanguage: string;
    static locale: string;
    static rtlLanguages: string[];
    static direction: Readonly<{
        ltr: "ltr";
        rtl: "rtl";
    }>;
    static translations: {
        ar: {
            INFO: string;
            REACT: string;
            EDIT: string;
            MESSAGE_PRIVATELY: string;
            TRANSLATE: string;
            USERS: string;
            CHATS: string;
            WOULD__YOU_LIKE_TO_DELETE_THIS_CONVERSATION: string;
            GROUPS: string;
            SHARED: string;
            SOUND_MANAGER: string;
            THEME: string;
            LOCALIZE: string;
            CONVERSATION_LIST_ITEM: string;
            DATA_ITEM: string;
            STATUS_INDICATOR: string;
            BADGE_COUNT: string;
            MESSAGE_RECEIPT: string;
            MESSAGE: string;
            RECEIPT_INFORMATION: string;
            NO_RECIPIENT: string;
            NO_RECIPIENTS: string;
            CONVERSATIONS_WITH_MESSAGES: string;
            CONVERSATIONS: string;
            CONVERSATION_LIST: string;
            MESSAGES: string;
            MESSAGE_HEADER: string;
            MESSAGE_LIST: string;
            MESSAGE_COMPOSER: string;
            USERS_WITH_MESSAGES: string;
            USER_LIST: string;
            GROUP_LIST: string;
            GROUPS_WITH_MESSAGES: string;
            NEW__GROUP: string;
            PASSWORD: string;
            CONTINUE: string;
            NO_CHATS_SELECTED: string;
            NO_USERS_SELECTED: string;
            NO_GROUPS_SELECTED: string;
            SELECT_DAY: string;
            SELECT_TIME: string;
            NO_CALLS_SELECTED: string;
            SELECT__GROUP: string;
            /**
             * @param  {string=""} language
             * @param  {object={}} resources
             */
            SELECT__USER: string;
            GROUP_PASSWORD_BLANK: string;
            GROUP_NAME_BLANK: string;
            GROUP_TYPE_BLANK: string;
            DELETE_CONVERSATION: string;
            ADD_TO_CHAT: string;
            MORE: string;
            COPY: string;
            /**Add to the original array of translations if language code is not found */
            VOICE_RECORDING: string;
            MESSAGE_IMAGE: string;
            MESSAGE_FILE: string;
            MESSAGE_VIDEO: string;
            MESSAGE_AUDIO: string;
            CUSTOM_MESSAGE: string;
            SELECT_A_DATE: string;
            TIME_ZONE: string;
            MEETING_SCHEDULED: string;
            SOMETHING_WRONG: string;
            MEETING_SLOT_BOOK: string;
            MEETING_BOOK_NEW_SLOT: string;
            MEETING_NO_SLOTS_AVAILABLE: string;
            MEETING_TRY_DIFFERENT_DATE: string;
            NO_TIME_SLOTS_AVAILABLE: string;
            SCHEDULE: string;
            MORE_TIMES: string;
            MISSED_VOICE_CALL: string;
            MEET_WITH: string;
            MEETING_SCHEDULER: string;
            MISSED_VIDEO_CALL: string;
            CUSTOM_MESSAGE_POLL: string;
            CUSTOM_MESSAGE_STICKER: string;
            CUSTOM_MESSAGE_DOCUMENT: string;
            CUSTOM_MESSAGE_WHITEBOARD: string;
            ONLINE: string;
            ADMINISTRATOR: string;
            ADMIN: string;
            MODERATOR: string;
            PARTICIPANT: string;
            PUBLIC: string;
            PRIVATE: string;
            PASSWORD_PROTECTED: string;
            PRIVACY_AND_SECURITY: string;
            PREFERENCES: string;
            MEMBERS: string;
            MEMBER: string;
            TODAY: string;
            YESTERDAY: string;
            SUNDAY: string;
            MONDAY: string;
            TUESDAY: string;
            WEDNESDAY: string;
            THURSDAY: string;
            FRIDAY: string;
            SATURDAY: string;
            TYPING: string;
            IS_TYPING: string;
            CLOSE: string;
            ENTER_GROUP_NAME: string;
            ADD_MEMBERS: string;
            SEND_MESSAGE: string;
            UNBLOCK_USER: string;
            BLOCK_USER: string;
            DELETE_AND_EXIT: string;
            LEAVE_GROUP: string;
            CREATE_GROUP: string;
            SHARED_MEDIA: string;
            SHARED_FILE: string;
            VIDEO_CALL: string;
            AUDIO_CALL: string;
            LOADING: string;
            REPLY: string;
            REPLIES: string;
            AI: string;
            SMART_REPLIES: string;
            CONVERSATION_STARTER: string;
            LAUNCH: string;
            SHARED_COLLABORATIVE_DOCUMENT: string;
            SHARED_COLLABORATIVE_WHITEBOARD: string;
            CREATED_WHITEBOARD: string;
            CREATED_DOCUMENT: string;
            PHOTOS: string;
            VIDEOS: string;
            DOCUMENT: string;
            YOU_DELETED_THIS_MESSAGE: string;
            THIS_MESSAGE_DELETED: string;
            MESSAGE_IS_DELETED: string;
            VIEW_ON_YOUTUBE: string;
            SEARCH: string;
            NO_USERS_FOUND: string;
            ERROR: string;
            NO_GROUPS_FOUND: string;
            NO_CHATS_FOUND: string;
            CANT__LOAD__CHATS: string;
            MEDIA_MESSAGE: string;
            INCOMING_AUDIO_CALL: string;
            INCOMING_VIDEO_CALL: string;
            DECLINE: string;
            ACCEPT: string;
            CALL_INITIATED: string;
            OUTGOING_AUDIO_CALL: string;
            OUTGOING_VIDEO_CALL: string;
            CALL_REJECTED: string;
            REJECTED_CALL: string;
            CALL_ACCEPTED: string;
            OUTGOING_CALL: string;
            INCOMING_CALL: string;
            MISSED_CALL: string;
            JOINED: string;
            LEFT_THE_CALL: string;
            UNANSWERED_AUDIO_CALL: string;
            UNANSWERED_VIDEO_CALL: string;
            CALL_ENDED: string;
            CALL_CANCELLED: string;
            CALL_BUSY: string;
            CALLING: string;
            ADD: string;
            NO_BANNED_MEMBERS_FOUND: string;
            BANNED_MEMBERS: string;
            NAME: string;
            SCOPE: string;
            UNBAN: string;
            SELECT_GROUP_TYPE: string;
            ENTER_GROUP_PASSWORD: string;
            CREATE: string;
            CREATE_POLL: string;
            QUESTION: string;
            ENTER_YOUR_QUESTION: string;
            OPTIONS: string;
            ENTER_YOUR_OPTION: string;
            ADD_NEW_OPTION: string;
            VIEW_MEMBERS: string;
            DETAILS: string;
            NOTIFICATIONS: string;
            OTHER: string;
            HELP: string;
            REPORT_PROBLEM: string;
            GROUP_MEMBERS: string;
            BAN: string;
            KICK: string;
            PICK_YOUR_EMOJI: string;
            PRIVATE_GROUP: string;
            PROTECTED_GROUP: string;
            VISIT: string;
            ATTACH: string;
            OPEN_WHITEBOARD: string;
            ATTACH_FILE: string;
            GENERATING_REPLIES: string;
            ATTACH_VIDEO: string;
            ATTACH_AUDIO: string;
            ATTACH_IMAGE: string;
            COLLABORATE_USING_DOCUMENT: string;
            COLLABORATE_USING_WHITEBOARD: string;
            SUGGEST_A_REPLY: string;
            GENERATING_ICEBREAKERS: string;
            EMOJI: string;
            NO_REPLIES_FOUND: string;
            ENTER_YOUR_MESSAGE_HERE: string;
            NO_MESSAGES_FOUND: string;
            THREAD: string;
            COLLABORATIVE_DOCUMENT: string;
            COLLABORATIVE_WHITEBOARD: string;
            ADD_REACTION: string;
            NO_STICKERS_FOUND: string;
            REPLY_TO_THREAD: string;
            REPLY_IN_THREAD: string;
            VIEW: string;
            DELETE_MESSAGE: string;
            EDIT_MESSAGE: string;
            OWNER: string;
            CHANGE_SCOPE: string;
            STICKER: string;
            LAST_ACTIVE_AT: string;
            VOICE_CALL: string;
            VIEW_DETAIL: string;
            VOTES: string;
            VOTE: string;
            NO_VOTE: string;
            REACTED: string;
            ADDED: string;
            SHOW_UNSAFE_CONTENT: string;
            REACT_TO_MESSAGE: string;
            UNBANNED: string;
            MADE: string;
            CALL_UNANSWERED: string;
            MISSED_AUDIO_CALL: string;
            ENTER_YOUR_PASSWORD: string;
            DRAW_DOCUMENT_TOGETHER: string;
            DOCS: string;
            NO_RECORDS_FOUND: string;
            LIVE_REACTION: string;
            SMILEY_PEOPLE: string;
            DRAW_WHITEBOARD_TOGETHER: string;
            ANIMALES_NATURE: string;
            FOOD_DRINK: string;
            OPEN_DOCUMENT: string;
            ACTIVITY: string;
            TRAVEL_PLACES: string;
            OBJECTS: string;
            SYMBOLS: string;
            FLAGS: string;
            SENT: string;
            SEEN: string;
            DELIVERED: string;
            READ: string;
            MESSAGE_INFORMATION: string;
            TRANSLATE_MESSAGE: string;
            TRANSLATED_MESSAGE: string;
            LEFT: string;
            KICKED: string;
            BANNED: string;
            NEW_MESSAGES: string;
            NEW_MESSAGE: string;
            JUMP: string;
            SELECT_VIDEO_SOURCE: string;
            SELECT_INPUT_AUDIO_SOURCE: string;
            SELECT_OUTPUT_AUDIO_SOURCE: string;
            INITIATED_GROUP_CALL: string;
            YOU_INITIATED_GROUP_CALL: string;
            IGNORE: string;
            ON_ANOTHER_CALL: string;
            CREATING: string;
            AVATAR: string;
            ONGOING_CALL: string;
            YOU_ALREADY_ONGOING_CALL: string;
            RESIZE: string;
            SETTINGS: string;
            ACTIONS: string;
            VIEW_PROFILE: string;
            SEND_MESSAGE_IN_PRIVATE: string;
            DELETE: string;
            DELETE_CONFIRM: string;
            CANCEL: string;
            LEAVE_CONFIRM: string;
            TRANSFER_CONFIRM: string;
            ADDING: string;
            TRANSFER: string;
            TRANSFER_OWNERSHIP: string;
            TRANSFERRING: string;
            YES: string;
            NO: string;
            ANSWER: string;
            ADD_ANOTHER_ANSWER: string;
            SET_THE_ANSWERS: string;
            TRY_AGAIN: string;
            INVALID_GROUP_NAME: string;
            INVALID_PASSWORD: string;
            INVALID_GROUP_TYPE: string;
            WRONG_PASSWORD: string;
            INVALID_POLL_QUESTION: string;
            INVALID_POLL_OPTION: string;
            SAME_LANGUAGE_MESSAGE: string;
            LEAVE: string;
            CLICK_TO_START_CONVERSATION: string;
            CUSTOM_MESSAGE_LOCATION: string;
            SHARED_LOCATION: string;
            IN_A_THREAD: string;
            CALLS: string;
            CALL_DETAILS: string;
            OFFLINE: string;
            POLLS: string;
            YOU: string;
            PRIVACY: string;
            BLOCKED_USERS: string;
            "YOU'VE_BLOCKED": string;
            NO_PHOTOS: string;
            NO_VIDEOS: string;
            NO_DOCUMENTS: string;
            JOIN: string;
            REMOVE: string;
            BLOCK: string;
            CHANGE_ROLE: string;
            NEW_CHAT: string;
            FORM_COMPLETION_MESSAGE: string;
            HISTORY: string;
            CANCELLED_AUDIO_CALL: string;
            CANCELLED_VIDEO_CALL: string;
            REJECTED_AUDIO_CALL: string;
            REJECTED_VIDEO_CALL: string;
            CANCELLED_CALL: string;
            UNANSWERED_CALL: string;
            RECORDING: string;
            PARTICIPANTS: string;
            CALL_HISTORY: string;
            NO_CALLS_FOUND: string;
            ONGOING_AUDIO_CALL: string;
            ONGOING_VIDEO_CALL: string;
            CALL_DETAIL: string;
            FORM: string;
            CARD: string;
            GENERATING_SUMMARY: string;
            CONVERSATION_SUMMARY: string;
            GENERATE_SUMMARY: string;
            COMETCHAT_BOT_FIRST_MESSAGE: string;
            COMETCHAT_ASK_BOT: string;
            COMETCHAT_ASK_AI_BOT: string;
            COMETCHAT_ASK_BOT_SUBTITLE: string;
            MENTIONS_LIMIT_WARNING_MESSAGE: string;
            ALL: string;
            CLICK_TO_REMOVE: string;
            OTHERS: string;
            AND: string;
        };
        de: {
            INFO: string;
            REACT: string;
            EDIT: string;
            MESSAGE_PRIVATELY: string;
            TRANSLATE: string;
            USERS: string;
            CHATS: string;
            WOULD__YOU_LIKE_TO_DELETE_THIS_CONVERSATION: string;
            GROUPS: string;
            SHARED: string;
            SOUND_MANAGER: string;
            THEME: string;
            LOCALIZE: string;
            CONVERSATION_LIST_ITEM: string;
            DATA_ITEM: string;
            STATUS_INDICATOR: string;
            BADGE_COUNT: string;
            MESSAGE_RECEIPT: string;
            MESSAGE: string;
            RECEIPT_INFORMATION: string;
            NO_RECIPIENT: string;
            NO_RECIPIENTS: string;
            CONVERSATIONS_WITH_MESSAGES: string; /**Properties and constants */
            CONVERSATIONS: string;
            CONVERSATION_LIST: string;
            MESSAGES: string;
            MESSAGE_HEADER: string;
            MESSAGE_LIST: string;
            MESSAGE_COMPOSER: string;
            USERS_WITH_MESSAGES: string;
            USER_LIST: string;
            GROUP_LIST: string;
            GROUPS_WITH_MESSAGES: string;
            NEW__GROUP: string;
            PASSWORD: string;
            CONTINUE: string;
            NO_CHATS_SELECTED: string;
            NO_USERS_SELECTED: string;
            NO_GROUPS_SELECTED: string;
            SELECT_DAY: string;
            SELECT_TIME: string;
            NO_CALLS_SELECTED: string;
            SELECT__GROUP: string;
            SELECT__USER: string;
            GROUP_PASSWORD_BLANK: string;
            GROUP_NAME_BLANK: string;
            GROUP_TYPE_BLANK: string;
            DELETE_CONVERSATION: string;
            ADD_TO_CHAT: string;
            MORE: string;
            COPY: string;
            VOICE_RECORDING: string;
            MESSAGE_IMAGE: string;
            MESSAGE_FILE: string;
            MESSAGE_VIDEO: string;
            MESSAGE_AUDIO: string;
            CUSTOM_MESSAGE: string;
            SELECT_A_DATE: string;
            TIME_ZONE: string;
            MEETING_SCHEDULED: string;
            SOMETHING_WRONG: string;
            MEETING_SLOT_BOOK: string;
            MEETING_BOOK_NEW_SLOT: string;
            MEETING_NO_SLOTS_AVAILABLE: string;
            MEETING_TRY_DIFFERENT_DATE: string;
            NO_TIME_SLOTS_AVAILABLE: string;
            SCHEDULE: string;
            MORE_TIMES: string;
            MISSED_VOICE_CALL: string;
            MEET_WITH: string;
            MEETING_SCHEDULER: string;
            MISSED_VIDEO_CALL: string;
            CUSTOM_MESSAGE_POLL: string;
            CUSTOM_MESSAGE_STICKER: string;
            CUSTOM_MESSAGE_DOCUMENT: string;
            CUSTOM_MESSAGE_WHITEBOARD: string;
            ONLINE: string;
            ADMINISTRATOR: string;
            ADMIN: string;
            MODERATOR: string;
            PARTICIPANT: string; /**
             * Accepts the string to localize and return the localized string
             * @param {String} str
             * @returns {String} localized str
             */
            PUBLIC: string;
            PRIVATE: string;
            PASSWORD_PROTECTED: string;
            PRIVACY_AND_SECURITY: string;
            PREFERENCES: string;
            MEMBERS: string;
            MEMBER: string;
            TODAY: string;
            YESTERDAY: string;
            SUNDAY: string;
            MONDAY: string;
            TUESDAY: string;
            WEDNESDAY: string;
            THURSDAY: string;
            FRIDAY: string;
            SATURDAY: string;
            TYPING: string;
            IS_TYPING: string;
            CLOSE: string;
            ENTER_GROUP_NAME: string;
            ADD_MEMBERS: string;
            SEND_MESSAGE: string;
            UNBLOCK_USER: string;
            BLOCK_USER: string;
            DELETE_AND_EXIT: string;
            LEAVE_GROUP: string;
            CREATE_GROUP: string;
            SHARED_MEDIA: string;
            SHARED_FILE: string;
            VIDEO_CALL: string;
            AUDIO_CALL: string;
            LOADING: string;
            REPLY: string;
            REPLIES: string;
            AI: string;
            SMART_REPLIES: string;
            CONVERSATION_STARTER: string;
            LAUNCH: string;
            SHARED_COLLABORATIVE_DOCUMENT: string;
            SHARED_COLLABORATIVE_WHITEBOARD: string;
            CREATED_WHITEBOARD: string;
            CREATED_DOCUMENT: string;
            PHOTOS: string;
            VIDEOS: string;
            DOCUMENT: string;
            YOU_DELETED_THIS_MESSAGE: string;
            THIS_MESSAGE_DELETED: string;
            MESSAGE_IS_DELETED: string;
            VIEW_ON_YOUTUBE: string;
            SEARCH: string;
            NO_USERS_FOUND: string;
            ERROR: string;
            NO_GROUPS_FOUND: string;
            NO_CHATS_FOUND: string;
            CANT__LOAD__CHATS: string;
            MEDIA_MESSAGE: string;
            INCOMING_AUDIO_CALL: string;
            INCOMING_VIDEO_CALL: string;
            DECLINE: string;
            ACCEPT: string;
            CALL_INITIATED: string;
            OUTGOING_AUDIO_CALL: string;
            OUTGOING_VIDEO_CALL: string;
            CALL_REJECTED: string;
            REJECTED_CALL: string;
            CALL_ACCEPTED: string;
            OUTGOING_CALL: string;
            INCOMING_CALL: string;
            MISSED_CALL: string;
            JOINED: string;
            LEFT_THE_CALL: string;
            UNANSWERED_AUDIO_CALL: string;
            UNANSWERED_VIDEO_CALL: string;
            CALL_ENDED: string;
            CALL_CANCELLED: string;
            CALL_BUSY: string;
            CALLING: string;
            ADD: string;
            NO_BANNED_MEMBERS_FOUND: string;
            BANNED_MEMBERS: string;
            NAME: string;
            SCOPE: string;
            UNBAN: string;
            SELECT_GROUP_TYPE: string;
            ENTER_GROUP_PASSWORD: string;
            CREATE: string;
            CREATE_POLL: string;
            QUESTION: string;
            ENTER_YOUR_QUESTION: string;
            OPTIONS: string;
            ENTER_YOUR_OPTION: string;
            ADD_NEW_OPTION: string;
            VIEW_MEMBERS: string;
            DETAILS: string;
            NOTIFICATIONS: string;
            OTHER: string;
            HELP: string;
            REPORT_PROBLEM: string;
            GROUP_MEMBERS: string;
            BAN: string;
            KICK: string;
            PICK_YOUR_EMOJI: string;
            PRIVATE_GROUP: string;
            PROTECTED_GROUP: string;
            VISIT: string;
            ATTACH: string;
            OPEN_WHITEBOARD: string;
            ATTACH_FILE: string;
            GENERATING_REPLIES: string;
            ATTACH_VIDEO: string;
            ATTACH_AUDIO: string;
            ATTACH_IMAGE: string;
            COLLABORATE_USING_DOCUMENT: string;
            COLLABORATE_USING_WHITEBOARD: string;
            SUGGEST_A_REPLY: string;
            GENERATING_ICEBREAKERS: string;
            EMOJI: string;
            NO_REPLIES_FOUND: string;
            ENTER_YOUR_MESSAGE_HERE: string;
            NO_MESSAGES_FOUND: string;
            THREAD: string;
            COLLABORATIVE_DOCUMENT: string;
            COLLABORATIVE_WHITEBOARD: string;
            ADD_REACTION: string;
            NO_STICKERS_FOUND: string;
            REPLY_TO_THREAD: string;
            REPLY_IN_THREAD: string;
            VIEW: string;
            DELETE_MESSAGE: string;
            EDIT_MESSAGE: string;
            OWNER: string;
            CHANGE_SCOPE: string;
            STICKER: string;
            LAST_ACTIVE_AT: string;
            VOICE_CALL: string;
            VIEW_DETAIL: string;
            VOTES: string;
            VOTE: string;
            NO_VOTE: string;
            REACTED: string;
            ADDED: string;
            SHOW_UNSAFE_CONTENT: string;
            REACT_TO_MESSAGE: string;
            UNBANNED: string;
            MADE: string;
            CALL_UNANSWERED: string;
            MISSED_AUDIO_CALL: string;
            ENTER_YOUR_PASSWORD: string;
            DRAW_DOCUMENT_TOGETHER: string;
            DOCS: string;
            NO_RECORDS_FOUND: string;
            LIVE_REACTION: string;
            SMILEY_PEOPLE: string;
            DRAW_WHITEBOARD_TOGETHER: string;
            ANIMALES_NATURE: string;
            FOOD_DRINK: string;
            OPEN_DOCUMENT: string;
            ACTIVITY: string;
            TRAVEL_PLACES: string;
            OBJECTS: string;
            SYMBOLS: string;
            FLAGS: string;
            SENT: string;
            SEEN: string;
            DELIVERED: string;
            READ: string;
            MESSAGE_INFORMATION: string;
            TRANSLATE_MESSAGE: string;
            TRANSLATED_MESSAGE: string;
            LEFT: string;
            KICKED: string;
            BANNED: string;
            NEW_MESSAGES: string;
            NEW_MESSAGE: string;
            JUMP: string;
            SELECT_VIDEO_SOURCE: string;
            SELECT_INPUT_AUDIO_SOURCE: string;
            SELECT_OUTPUT_AUDIO_SOURCE: string;
            INITIATED_GROUP_CALL: string;
            YOU_INITIATED_GROUP_CALL: string;
            IGNORE: string;
            ON_ANOTHER_CALL: string;
            CREATING: string;
            AVATAR: string;
            ONGOING_CALL: string;
            YOU_ALREADY_ONGOING_CALL: string;
            RESIZE: string;
            SETTINGS: string;
            ACTIONS: string;
            VIEW_PROFILE: string;
            SEND_MESSAGE_IN_PRIVATE: string;
            DELETE: string;
            DELETE_CONFIRM: string;
            CANCEL: string;
            LEAVE_CONFIRM: string;
            TRANSFER_CONFIRM: string;
            ADDING: string;
            TRANSFER: string;
            TRANSFER_OWNERSHIP: string;
            TRANSFERRING: string;
            YES: string;
            NO: string;
            ANSWER: string;
            ADD_ANOTHER_ANSWER: string;
            SET_THE_ANSWERS: string;
            TRY_AGAIN: string;
            INVALID_GROUP_NAME: string;
            INVALID_PASSWORD: string;
            INVALID_GROUP_TYPE: string;
            WRONG_PASSWORD: string;
            INVALID_POLL_QUESTION: string;
            INVALID_POLL_OPTION: string;
            SAME_LANGUAGE_MESSAGE: string;
            LEAVE: string;
            CLICK_TO_START_CONVERSATION: string;
            CUSTOM_MESSAGE_LOCATION: string;
            SHARED_LOCATION: string;
            IN_A_THREAD: string;
            CALLS: string;
            CALL_DETAILS: string;
            OFFLINE: string;
            POLLS: string;
            YOU: string;
            PRIVACY: string;
            BLOCKED_USERS: string;
            "YOU'VE_BLOCKED": string;
            NO_PHOTOS: string;
            NO_VIDEOS: string;
            NO_DOCUMENTS: string;
            JOIN: string;
            REMOVE: string;
            BLOCK: string;
            CHANGE_ROLE: string;
            NEW_CHAT: string;
            FORM_COMPLETION_MESSAGE: string;
            HISTORY: string;
            CANCELLED_AUDIO_CALL: string;
            CANCELLED_VIDEO_CALL: string;
            REJECTED_AUDIO_CALL: string;
            REJECTED_VIDEO_CALL: string;
            CANCELLED_CALL: string;
            UNANSWERED_CALL: string;
            RECORDING: string;
            PARTICIPANTS: string;
            CALL_HISTORY: string;
            NO_CALLS_FOUND: string;
            ONGOING_AUDIO_CALL: string;
            ONGOING_VIDEO_CALL: string;
            CALL_DETAIL: string;
            FORM: string;
            CARD: string;
            GENERATING_SUMMARY: string;
            CONVERSATION_SUMMARY: string;
            GENERATE_SUMMARY: string;
            COMETCHAT_BOT_FIRST_MESSAGE: string;
            COMETCHAT_ASK_BOT: string;
            COMETCHAT_ASK_AI_BOT: string;
            COMETCHAT_ASK_BOT_SUBTITLE: string;
            MENTIONS_LIMIT_WARNING_MESSAGE: string;
            ALL: string;
            CLICK_TO_REMOVE: string;
            OTHERS: string;
            AND: string;
        };
        en: {
            INFO: string;
            REACT: string;
            EDIT: string;
            MESSAGE_PRIVATELY: string;
            TRANSLATE: string;
            USERS: string;
            CHATS: string;
            WOULD__YOU_LIKE_TO_DELETE_THIS_CONVERSATION: string;
            GROUPS: string;
            SHARED: string;
            SOUND_MANAGER: string;
            THEME: string;
            LOCALIZE: string;
            CONVERSATION_LIST_ITEM: string;
            DATA_ITEM: string;
            STATUS_INDICATOR: string;
            BADGE_COUNT: string;
            MESSAGE_RECEIPT: string;
            MESSAGE: string;
            RECEIPT_INFORMATION: string;
            NO_RECIPIENT: string;
            NO_RECIPIENTS: string;
            CONVERSATIONS_WITH_MESSAGES: string;
            CONVERSATIONS: string;
            CONVERSATION_LIST: string;
            MESSAGES: string;
            MESSAGE_HEADER: string;
            MESSAGE_LIST: string;
            MESSAGE_COMPOSER: string;
            USERS_WITH_MESSAGES: string;
            USER_LIST: string;
            GROUP_LIST: string;
            GROUPS_WITH_MESSAGES: string;
            NEW__GROUP: string;
            PASSWORD: string;
            CONTINUE: string;
            NO_CHATS_SELECTED: string;
            NO_USERS_SELECTED: string;
            NO_GROUPS_SELECTED: string; /**
             * Needs to be called at the start of the application in order to set the language
             * @param {Object} - language & resources
             */
            SELECT_DAY: string;
            SELECT_TIME: string;
            NO_CALLS_SELECTED: string;
            SELECT__GROUP: string;
            SELECT__USER: string;
            GROUP_PASSWORD_BLANK: string;
            GROUP_NAME_BLANK: string;
            GROUP_TYPE_BLANK: string;
            DELETE_CONVERSATION: string;
            ADD_TO_CHAT: string;
            MORE: string;
            COPY: string;
            VOICE_RECORDING: string;
            MESSAGE_IMAGE: string;
            MESSAGE_FILE: string;
            MESSAGE_VIDEO: string;
            MESSAGE_AUDIO: string;
            CUSTOM_MESSAGE: string;
            SELECT_A_DATE: string;
            TIME_ZONE: string;
            MEETING_SCHEDULED: string;
            SOMETHING_WRONG: string;
            MEETING_SLOT_BOOK: string;
            MEETING_BOOK_NEW_SLOT: string;
            MEETING_NO_SLOTS_AVAILABLE: string;
            MEETING_TRY_DIFFERENT_DATE: string;
            NO_TIME_SLOTS_AVAILABLE: string;
            SCHEDULE: string;
            MORE_TIMES: string;
            MISSED_VOICE_CALL: string;
            MEET_WITH: string;
            MEETING_SCHEDULER: string;
            MISSED_VIDEO_CALL: string;
            CUSTOM_MESSAGE_POLL: string;
            CUSTOM_MESSAGE_STICKER: string;
            CUSTOM_MESSAGE_DOCUMENT: string;
            CUSTOM_MESSAGE_WHITEBOARD: string;
            ONLINE: string;
            ADMINISTRATOR: string;
            ADMIN: string;
            MODERATOR: string;
            PARTICIPANT: string;
            PUBLIC: string;
            PRIVATE: string;
            PASSWORD_PROTECTED: string;
            PRIVACY_AND_SECURITY: string;
            PREFERENCES: string;
            MEMBERS: string;
            MEMBER: string;
            TODAY: string;
            YESTERDAY: string;
            SUNDAY: string;
            MONDAY: string;
            TUESDAY: string;
            WEDNESDAY: string;
            THURSDAY: string;
            FRIDAY: string;
            SATURDAY: string;
            TYPING: string;
            IS_TYPING: string;
            CLOSE: string;
            ENTER_GROUP_NAME: string;
            ADD_MEMBERS: string;
            SEND_MESSAGE: string;
            UNBLOCK_USER: string;
            BLOCK_USER: string;
            DELETE_AND_EXIT: string;
            LEAVE_GROUP: string;
            CREATE_GROUP: string;
            SHARED_MEDIA: string;
            SHARED_FILE: string;
            VIDEO_CALL: string;
            AUDIO_CALL: string;
            LOADING: string;
            REPLY: string;
            REPLIES: string;
            AI: string;
            SMART_REPLIES: string;
            CONVERSATION_STARTER: string;
            LAUNCH: string;
            SHARED_COLLABORATIVE_DOCUMENT: string;
            SHARED_COLLABORATIVE_WHITEBOARD: string;
            CREATED_WHITEBOARD: string;
            CREATED_DOCUMENT: string;
            PHOTOS: string;
            VIDEOS: string;
            DOCUMENT: string;
            YOU_DELETED_THIS_MESSAGE: string;
            THIS_MESSAGE_DELETED: string;
            MESSAGE_IS_DELETED: string;
            VIEW_ON_YOUTUBE: string;
            SEARCH: string;
            NO_USERS_FOUND: string;
            ERROR: string;
            NO_GROUPS_FOUND: string;
            NO_CHATS_FOUND: string;
            CANT__LOAD__CHATS: string;
            MEDIA_MESSAGE: string;
            INCOMING_AUDIO_CALL: string;
            INCOMING_VIDEO_CALL: string;
            DECLINE: string;
            ACCEPT: string;
            CALL_INITIATED: string;
            OUTGOING_AUDIO_CALL: string;
            OUTGOING_VIDEO_CALL: string;
            CALL_REJECTED: string;
            REJECTED_CALL: string;
            CALL_ACCEPTED: string;
            OUTGOING_CALL: string;
            INCOMING_CALL: string;
            MISSED_CALL: string;
            JOINED: string;
            LEFT_THE_CALL: string;
            UNANSWERED_AUDIO_CALL: string;
            UNANSWERED_VIDEO_CALL: string;
            CALL_ENDED: string;
            CALL_CANCELLED: string;
            CALL_BUSY: string;
            CALLING: string;
            ADD: string;
            NO_BANNED_MEMBERS_FOUND: string;
            BANNED_MEMBERS: string;
            NAME: string;
            SCOPE: string;
            UNBAN: string;
            SELECT_GROUP_TYPE: string;
            ENTER_GROUP_PASSWORD: string;
            CREATE: string;
            CREATE_POLL: string;
            QUESTION: string;
            ENTER_YOUR_QUESTION: string;
            OPTIONS: string;
            ENTER_YOUR_OPTION: string;
            ADD_NEW_OPTION: string;
            VIEW_MEMBERS: string;
            DETAILS: string;
            NOTIFICATIONS: string;
            OTHER: string;
            HELP: string;
            REPORT_PROBLEM: string;
            GROUP_MEMBERS: string;
            BAN: string;
            KICK: string;
            PICK_YOUR_EMOJI: string;
            PRIVATE_GROUP: string;
            PROTECTED_GROUP: string;
            VISIT: string;
            ATTACH: string;
            OPEN_WHITEBOARD: string;
            ATTACH_FILE: string;
            GENERATING_REPLIES: string;
            ATTACH_VIDEO: string;
            ATTACH_AUDIO: string;
            ATTACH_IMAGE: string;
            COLLABORATE_USING_DOCUMENT: string;
            COLLABORATE_USING_WHITEBOARD: string;
            SUGGEST_A_REPLY: string;
            GENERATING_ICEBREAKERS: string;
            EMOJI: string;
            NO_REPLIES_FOUND: string;
            ENTER_YOUR_MESSAGE_HERE: string;
            NO_MESSAGES_FOUND: string;
            THREAD: string;
            COLLABORATIVE_DOCUMENT: string;
            COLLABORATIVE_WHITEBOARD: string;
            ADD_REACTION: string;
            NO_STICKERS_FOUND: string;
            REPLY_TO_THREAD: string;
            REPLY_IN_THREAD: string;
            VIEW: string;
            DELETE_MESSAGE: string;
            EDIT_MESSAGE: string;
            OWNER: string;
            CHANGE_SCOPE: string;
            STICKER: string;
            LAST_ACTIVE_AT: string;
            VOICE_CALL: string;
            VIEW_DETAIL: string;
            VOTES: string;
            VOTE: string;
            NO_VOTE: string;
            REACTED: string;
            ADDED: string;
            SHOW_UNSAFE_CONTENT: string;
            REACT_TO_MESSAGE: string;
            UNBANNED: string;
            MADE: string;
            CALL_UNANSWERED: string;
            MISSED_AUDIO_CALL: string;
            ENTER_YOUR_PASSWORD: string;
            DRAW_DOCUMENT_TOGETHER: string;
            DOCS: string;
            NO_RECORDS_FOUND: string;
            LIVE_REACTION: string;
            SMILEY_PEOPLE: string;
            DRAW_WHITEBOARD_TOGETHER: string;
            ANIMALES_NATURE: string;
            FOOD_DRINK: string;
            OPEN_DOCUMENT: string;
            ACTIVITY: string;
            TRAVEL_PLACES: string;
            OBJECTS: string;
            SYMBOLS: string;
            FLAGS: string;
            SENT: string;
            SEEN: string;
            DELIVERED: string;
            READ: string;
            MESSAGE_INFORMATION: string;
            TRANSLATE_MESSAGE: string;
            TRANSLATED_MESSAGE: string;
            LEFT: string;
            KICKED: string;
            BANNED: string;
            NEW_MESSAGES: string;
            NEW_MESSAGE: string;
            JUMP: string;
            SELECT_VIDEO_SOURCE: string;
            SELECT_INPUT_AUDIO_SOURCE: string;
            SELECT_OUTPUT_AUDIO_SOURCE: string;
            INITIATED_GROUP_CALL: string;
            YOU_INITIATED_GROUP_CALL: string;
            IGNORE: string;
            ON_ANOTHER_CALL: string;
            CREATING: string;
            AVATAR: string;
            ONGOING_CALL: string;
            YOU_ALREADY_ONGOING_CALL: string;
            RESIZE: string;
            SETTINGS: string;
            ACTIONS: string;
            VIEW_PROFILE: string;
            SEND_MESSAGE_IN_PRIVATE: string;
            DELETE: string;
            DELETE_CONFIRM: string;
            CANCEL: string;
            LEAVE_CONFIRM: string;
            TRANSFER_CONFIRM: string;
            ADDING: string;
            TRANSFER: string;
            TRANSFER_OWNERSHIP: string;
            TRANSFERRING: string;
            YES: string;
            NO: string;
            ANSWER: string;
            ADD_ANOTHER_ANSWER: string;
            SET_THE_ANSWERS: string;
            TRY_AGAIN: string;
            INVALID_GROUP_NAME: string;
            INVALID_PASSWORD: string;
            INVALID_GROUP_TYPE: string;
            WRONG_PASSWORD: string;
            INVALID_POLL_QUESTION: string;
            INVALID_POLL_OPTION: string;
            SAME_LANGUAGE_MESSAGE: string;
            LEAVE: string;
            CLICK_TO_START_CONVERSATION: string;
            CUSTOM_MESSAGE_LOCATION: string;
            SHARED_LOCATION: string;
            IN_A_THREAD: string;
            CALLS: string;
            CALL_DETAILS: string;
            OFFLINE: string;
            POLLS: string;
            YOU: string;
            PRIVACY: string;
            BLOCKED_USERS: string;
            "YOU'VE_BLOCKED": string;
            NO_PHOTOS: string;
            NO_VIDEOS: string;
            NO_DOCUMENTS: string;
            JOIN: string;
            REMOVE: string;
            BLOCK: string;
            CHANGE_ROLE: string;
            NEW_CHAT: string;
            FORM_COMPLETION_MESSAGE: string;
            HISTORY: string;
            CANCELLED_AUDIO_CALL: string;
            CANCELLED_VIDEO_CALL: string;
            REJECTED_AUDIO_CALL: string;
            REJECTED_VIDEO_CALL: string;
            CANCELLED_CALL: string;
            UNANSWERED_CALL: string;
            RECORDING: string;
            PARTICIPANTS: string;
            CALL_HISTORY: string;
            NO_CALLS_FOUND: string;
            ONGOING_AUDIO_CALL: string;
            ONGOING_VIDEO_CALL: string;
            CALL_DETAIL: string;
            FORM: string;
            CARD: string;
            GENERATING_SUMMARY: string;
            CONVERSATION_SUMMARY: string;
            GENERATE_SUMMARY: string;
            COMETCHAT_BOT_FIRST_MESSAGE: string;
            COMETCHAT_ASK_BOT: string;
            COMETCHAT_ASK_AI_BOT: string;
            COMETCHAT_ASK_BOT_SUBTITLE: string;
            MENTIONS_LIMIT_WARNING_MESSAGE: string;
            ALL: string;
            CLICK_TO_REMOVE: string;
            OTHERS: string;
            AND: string;
        };
        es: {
            INFO: string;
            REACT: string;
            EDIT: string;
            MESSAGE_PRIVATELY: string;
            TRANSLATE: string;
            USERS: string;
            CHATS: string;
            WOULD__YOU_LIKE_TO_DELETE_THIS_CONVERSATION: string;
            GROUPS: string;
            SHARED: string;
            SOUND_MANAGER: string;
            THEME: string;
            LOCALIZE: string;
            CONVERSATION_LIST_ITEM: string;
            DATA_ITEM: string;
            STATUS_INDICATOR: string;
            BADGE_COUNT: string;
            MESSAGE_RECEIPT: string;
            MESSAGE: string;
            RECEIPT_INFORMATION: string;
            NO_RECIPIENT: string;
            NO_RECIPIENTS: string;
            CONVERSATIONS_WITH_MESSAGES: string;
            CONVERSATIONS: string;
            CONVERSATION_LIST: string;
            MESSAGES: string;
            MESSAGE_HEADER: string;
            MESSAGE_LIST: string;
            MESSAGE_COMPOSER: string;
            USERS_WITH_MESSAGES: string;
            USER_LIST: string;
            GROUP_LIST: string;
            GROUPS_WITH_MESSAGES: string;
            NEW__GROUP: string;
            PASSWORD: string;
            CONTINUE: string;
            NO_CHATS_SELECTED: string;
            NO_USERS_SELECTED: string;
            NO_GROUPS_SELECTED: string;
            SELECT_DAY: string;
            SELECT_TIME: string;
            NO_CALLS_SELECTED: string;
            SELECT__GROUP: string;
            SELECT__USER: string;
            GROUP_PASSWORD_BLANK: string;
            GROUP_NAME_BLANK: string;
            GROUP_TYPE_BLANK: string;
            DELETE_CONVERSATION: string;
            ADD_TO_CHAT: string;
            MORE: string;
            COPY: string;
            VOICE_RECORDING: string;
            MESSAGE_IMAGE: string;
            MESSAGE_FILE: string;
            MESSAGE_VIDEO: string; /**
             * Returns the browser language
             * @returns {String} browser langauge i.e. en-US
             */
            MESSAGE_AUDIO: string;
            CUSTOM_MESSAGE: string;
            SELECT_A_DATE: string;
            TIME_ZONE: string;
            MEETING_SCHEDULED: string;
            SOMETHING_WRONG: string;
            MEETING_SLOT_BOOK: string;
            MEETING_BOOK_NEW_SLOT: string;
            MEETING_NO_SLOTS_AVAILABLE: string;
            MEETING_TRY_DIFFERENT_DATE: string;
            NO_TIME_SLOTS_AVAILABLE: string;
            SCHEDULE: string;
            MORE_TIMES: string;
            MISSED_VOICE_CALL: string;
            MEET_WITH: string;
            MEETING_SCHEDULER: string;
            MISSED_VIDEO_CALL: string;
            CUSTOM_MESSAGE_POLL: string;
            CUSTOM_MESSAGE_STICKER: string;
            CUSTOM_MESSAGE_DOCUMENT: string;
            CUSTOM_MESSAGE_WHITEBOARD: string;
            ONLINE: string;
            ADMINISTRATOR: string;
            ADMIN: string;
            MODERATOR: string;
            PARTICIPANT: string;
            PUBLIC: string;
            PRIVATE: string;
            PASSWORD_PROTECTED: string;
            PRIVACY_AND_SECURITY: string;
            PREFERENCES: string;
            MEMBERS: string;
            MEMBER: string;
            TODAY: string;
            YESTERDAY: string;
            SUNDAY: string;
            MONDAY: string;
            TUESDAY: string;
            WEDNESDAY: string;
            THURSDAY: string;
            FRIDAY: string;
            SATURDAY: string;
            TYPING: string;
            IS_TYPING: string;
            CLOSE: string;
            ENTER_GROUP_NAME: string;
            ADD_MEMBERS: string;
            SEND_MESSAGE: string;
            UNBLOCK_USER: string;
            BLOCK_USER: string;
            DELETE_AND_EXIT: string;
            LEAVE_GROUP: string;
            CREATE_GROUP: string;
            SHARED_MEDIA: string;
            SHARED_FILE: string;
            VIDEO_CALL: string;
            AUDIO_CALL: string;
            LOADING: string;
            REPLY: string;
            REPLIES: string;
            AI: string;
            SMART_REPLIES: string;
            CONVERSATION_STARTER: string;
            LAUNCH: string;
            SHARED_COLLABORATIVE_DOCUMENT: string;
            SHARED_COLLABORATIVE_WHITEBOARD: string;
            CREATED_WHITEBOARD: string;
            CREATED_DOCUMENT: string;
            PHOTOS: string;
            VIDEOS: string;
            DOCUMENT: string;
            YOU_DELETED_THIS_MESSAGE: string;
            THIS_MESSAGE_DELETED: string;
            MESSAGE_IS_DELETED: string;
            VIEW_ON_YOUTUBE: string;
            SEARCH: string;
            NO_USERS_FOUND: string;
            ERROR: string;
            NO_GROUPS_FOUND: string;
            NO_CHATS_FOUND: string;
            CANT__LOAD__CHATS: string;
            MEDIA_MESSAGE: string;
            INCOMING_AUDIO_CALL: string;
            INCOMING_VIDEO_CALL: string;
            DECLINE: string;
            ACCEPT: string;
            CALL_INITIATED: string;
            OUTGOING_AUDIO_CALL: string;
            OUTGOING_VIDEO_CALL: string;
            CALL_REJECTED: string;
            REJECTED_CALL: string;
            CALL_ACCEPTED: string;
            OUTGOING_CALL: string;
            INCOMING_CALL: string;
            MISSED_CALL: string;
            JOINED: string;
            LEFT_THE_CALL: string;
            UNANSWERED_AUDIO_CALL: string;
            UNANSWERED_VIDEO_CALL: string;
            CALL_ENDED: string;
            CALL_CANCELLED: string;
            CALL_BUSY: string;
            CALLING: string;
            ADD: string;
            NO_BANNED_MEMBERS_FOUND: string;
            BANNED_MEMBERS: string;
            NAME: string;
            SCOPE: string;
            UNBAN: string;
            SELECT_GROUP_TYPE: string;
            ENTER_GROUP_PASSWORD: string;
            CREATE: string;
            CREATE_POLL: string;
            QUESTION: string;
            ENTER_YOUR_QUESTION: string;
            OPTIONS: string;
            ENTER_YOUR_OPTION: string;
            ADD_NEW_OPTION: string;
            VIEW_MEMBERS: string;
            DETAILS: string;
            NOTIFICATIONS: string;
            OTHER: string;
            HELP: string;
            REPORT_PROBLEM: string;
            GROUP_MEMBERS: string;
            BAN: string;
            KICK: string;
            PICK_YOUR_EMOJI: string;
            PRIVATE_GROUP: string;
            PROTECTED_GROUP: string;
            VISIT: string;
            ATTACH: string;
            OPEN_WHITEBOARD: string;
            ATTACH_FILE: string;
            GENERATING_REPLIES: string;
            ATTACH_VIDEO: string;
            ATTACH_AUDIO: string;
            ATTACH_IMAGE: string;
            COLLABORATE_USING_DOCUMENT: string;
            COLLABORATE_USING_WHITEBOARD: string;
            SUGGEST_A_REPLY: string;
            GENERATING_ICEBREAKERS: string;
            EMOJI: string;
            NO_REPLIES_FOUND: string;
            ENTER_YOUR_MESSAGE_HERE: string;
            NO_MESSAGES_FOUND: string;
            THREAD: string;
            COLLABORATIVE_DOCUMENT: string;
            COLLABORATIVE_WHITEBOARD: string;
            ADD_REACTION: string;
            NO_STICKERS_FOUND: string;
            REPLY_TO_THREAD: string;
            REPLY_IN_THREAD: string;
            VIEW: string;
            DELETE_MESSAGE: string;
            EDIT_MESSAGE: string;
            OWNER: string;
            CHANGE_SCOPE: string;
            STICKER: string;
            LAST_ACTIVE_AT: string;
            VOICE_CALL: string;
            VIEW_DETAIL: string;
            VOTES: string;
            VOTE: string;
            NO_VOTE: string;
            REACTED: string;
            ADDED: string;
            SHOW_UNSAFE_CONTENT: string;
            REACT_TO_MESSAGE: string;
            UNBANNED: string;
            MADE: string;
            CALL_UNANSWERED: string;
            MISSED_AUDIO_CALL: string;
            ENTER_YOUR_PASSWORD: string;
            DRAW_DOCUMENT_TOGETHER: string;
            DOCS: string;
            NO_RECORDS_FOUND: string;
            LIVE_REACTION: string;
            SMILEY_PEOPLE: string;
            DRAW_WHITEBOARD_TOGETHER: string;
            ANIMALES_NATURE: string;
            FOOD_DRINK: string;
            OPEN_DOCUMENT: string;
            ACTIVITY: string;
            TRAVEL_PLACES: string;
            OBJECTS: string;
            SYMBOLS: string;
            FLAGS: string;
            SENT: string;
            SEEN: string;
            DELIVERED: string;
            READ: string;
            MESSAGE_INFORMATION: string;
            TRANSLATE_MESSAGE: string;
            TRANSLATED_MESSAGE: string;
            LEFT: string;
            KICKED: string;
            BANNED: string;
            NEW_MESSAGES: string;
            NEW_MESSAGE: string;
            JUMP: string;
            SELECT_VIDEO_SOURCE: string;
            SELECT_INPUT_AUDIO_SOURCE: string;
            SELECT_OUTPUT_AUDIO_SOURCE: string;
            INITIATED_GROUP_CALL: string;
            YOU_INITIATED_GROUP_CALL: string;
            IGNORE: string;
            ON_ANOTHER_CALL: string;
            CREATING: string;
            AVATAR: string;
            ONGOING_CALL: string;
            YOU_ALREADY_ONGOING_CALL: string;
            RESIZE: string;
            SETTINGS: string;
            ACTIONS: string;
            VIEW_PROFILE: string;
            SEND_MESSAGE_IN_PRIVATE: string;
            DELETE: string;
            DELETE_CONFIRM: string;
            CANCEL: string;
            LEAVE_CONFIRM: string;
            TRANSFER_CONFIRM: string;
            ADDING: string;
            TRANSFER: string;
            TRANSFER_OWNERSHIP: string;
            TRANSFERRING: string;
            YES: string;
            NO: string;
            ANSWER: string;
            ADD_ANOTHER_ANSWER: string;
            SET_THE_ANSWERS: string;
            TRY_AGAIN: string;
            INVALID_GROUP_NAME: string;
            INVALID_PASSWORD: string;
            INVALID_GROUP_TYPE: string;
            WRONG_PASSWORD: string;
            INVALID_POLL_QUESTION: string;
            INVALID_POLL_OPTION: string;
            SAME_LANGUAGE_MESSAGE: string;
            LEAVE: string;
            CLICK_TO_START_CONVERSATION: string;
            CUSTOM_MESSAGE_LOCATION: string;
            SHARED_LOCATION: string;
            IN_A_THREAD: string;
            CALLS: string;
            CALL_DETAILS: string;
            OFFLINE: string;
            POLLS: string;
            YOU: string;
            PRIVACY: string;
            BLOCKED_USERS: string;
            "YOU'VE_BLOCKED": string;
            NO_PHOTOS: string;
            NO_VIDEOS: string;
            NO_DOCUMENTS: string;
            JOIN: string;
            REMOVE: string;
            BLOCK: string;
            CHANGE_ROLE: string;
            NEW_CHAT: string;
            FORM_COMPLETION_MESSAGE: string;
            HISTORY: string;
            CANCELLED_AUDIO_CALL: string;
            CANCELLED_VIDEO_CALL: string;
            REJECTED_AUDIO_CALL: string;
            REJECTED_VIDEO_CALL: string;
            CANCELLED_CALL: string;
            UNANSWERED_CALL: string;
            RECORDING: string;
            PARTICIPANTS: string;
            CALL_HISTORY: string;
            NO_CALLS_FOUND: string;
            ONGOING_AUDIO_CALL: string;
            ONGOING_VIDEO_CALL: string;
            CALL_DETAIL: string;
            FORM: string;
            CARD: string;
            GENERATING_SUMMARY: string;
            CONVERSATION_SUMMARY: string;
            GENERATE_SUMMARY: string;
            COMETCHAT_BOT_FIRST_MESSAGE: string;
            COMETCHAT_ASK_BOT: string;
            COMETCHAT_ASK_AI_BOT: string;
            COMETCHAT_ASK_BOT_SUBTITLE: string;
            MENTIONS_LIMIT_WARNING_MESSAGE: string;
            ALL: string;
            CLICK_TO_REMOVE: string;
            OTHERS: string;
            AND: string;
        };
        fr: {
            INFO: string;
            REACT: string;
            EDIT: string;
            MESSAGE_PRIVATELY: string;
            TRANSLATE: string;
            USERS: string;
            CHATS: string;
            WOULD__YOU_LIKE_TO_DELETE_THIS_CONVERSATION: string;
            GROUPS: string;
            SHARED: string;
            SOUND_MANAGER: string;
            THEME: string;
            LOCALIZE: string;
            CONVERSATION_LIST_ITEM: string;
            DATA_ITEM: string;
            STATUS_INDICATOR: string;
            BADGE_COUNT: string;
            MESSAGE_RECEIPT: string;
            MESSAGE: string;
            RECEIPT_INFORMATION: string;
            NO_RECIPIENT: string;
            NO_RECIPIENTS: string;
            CONVERSATIONS_WITH_MESSAGES: string;
            CONVERSATIONS: string;
            CONVERSATION_LIST: string;
            MESSAGES: string;
            MESSAGE_HEADER: string;
            MESSAGE_LIST: string;
            MESSAGE_COMPOSER: string;
            USERS_WITH_MESSAGES: string;
            USER_LIST: string;
            GROUP_LIST: string;
            GROUPS_WITH_MESSAGES: string;
            NEW__GROUP: string;
            PASSWORD: string;
            CONTINUE: string;
            NO_CHATS_SELECTED: string;
            NO_USERS_SELECTED: string;
            NO_GROUPS_SELECTED: string;
            SELECT_DAY: string;
            SELECT_TIME: string;
            NO_CALLS_SELECTED: string;
            SELECT__GROUP: string;
            SELECT__USER: string;
            GROUP_PASSWORD_BLANK: string;
            GROUP_NAME_BLANK: string;
            GROUP_TYPE_BLANK: string;
            DELETE_CONVERSATION: string;
            ADD_TO_CHAT: string;
            MORE: string;
            COPY: string;
            VOICE_RECORDING: string;
            MESSAGE_IMAGE: string;
            MESSAGE_FILE: string;
            MESSAGE_VIDEO: string;
            MESSAGE_AUDIO: string;
            CUSTOM_MESSAGE: string;
            SELECT_A_DATE: string;
            TIME_ZONE: string;
            MEETING_SCHEDULED: string;
            SOMETHING_WRONG: string;
            MEETING_SLOT_BOOK: string;
            MEETING_BOOK_NEW_SLOT: string;
            MEETING_NO_SLOTS_AVAILABLE: string;
            MEETING_TRY_DIFFERENT_DATE: string;
            NO_TIME_SLOTS_AVAILABLE: string;
            SCHEDULE: string;
            MORE_TIMES: string;
            MISSED_VOICE_CALL: string;
            MEET_WITH: string;
            MEETING_SCHEDULER: string;
            MISSED_VIDEO_CALL: string;
            CUSTOM_MESSAGE_POLL: string;
            CUSTOM_MESSAGE_STICKER: string;
            /**
             * Set the active language
             * @param {String} language
             */
            CUSTOM_MESSAGE_DOCUMENT: string;
            CUSTOM_MESSAGE_WHITEBOARD: string;
            ONLINE: string;
            ADMINISTRATOR: string;
            ADMIN: string;
            MODERATOR: string;
            PARTICIPANT: string;
            PUBLIC: string;
            PRIVATE: string;
            PASSWORD_PROTECTED: string;
            PRIVACY_AND_SECURITY: string;
            PREFERENCES: string;
            MEMBERS: string;
            MEMBER: string;
            TODAY: string;
            YESTERDAY: string;
            SUNDAY: string;
            MONDAY: string;
            TUESDAY: string;
            WEDNESDAY: string;
            THURSDAY: string;
            FRIDAY: string;
            SATURDAY: string;
            TYPING: string;
            IS_TYPING: string;
            CLOSE: string;
            ENTER_GROUP_NAME: string;
            ADD_MEMBERS: string;
            SEND_MESSAGE: string;
            UNBLOCK_USER: string;
            BLOCK_USER: string;
            DELETE_AND_EXIT: string;
            LEAVE_GROUP: string;
            CREATE_GROUP: string;
            SHARED_MEDIA: string;
            SHARED_FILE: string;
            VIDEO_CALL: string;
            AUDIO_CALL: string;
            LOADING: string;
            REPLY: string;
            REPLIES: string;
            AI: string;
            SMART_REPLIES: string;
            CONVERSATION_STARTER: string;
            LAUNCH: string;
            SHARED_COLLABORATIVE_DOCUMENT: string;
            SHARED_COLLABORATIVE_WHITEBOARD: string;
            CREATED_WHITEBOARD: string;
            CREATED_DOCUMENT: string;
            PHOTOS: string;
            VIDEOS: string;
            DOCUMENT: string;
            YOU_DELETED_THIS_MESSAGE: string;
            THIS_MESSAGE_DELETED: string;
            MESSAGE_IS_DELETED: string;
            VIEW_ON_YOUTUBE: string;
            SEARCH: string;
            NO_USERS_FOUND: string;
            ERROR: string;
            NO_GROUPS_FOUND: string;
            NO_CHATS_FOUND: string;
            CANT__LOAD__CHATS: string;
            MEDIA_MESSAGE: string;
            INCOMING_AUDIO_CALL: string;
            INCOMING_VIDEO_CALL: string;
            DECLINE: string;
            ACCEPT: string;
            CALL_INITIATED: string;
            OUTGOING_AUDIO_CALL: string;
            OUTGOING_VIDEO_CALL: string;
            CALL_REJECTED: string;
            REJECTED_CALL: string;
            CALL_ACCEPTED: string;
            OUTGOING_CALL: string;
            INCOMING_CALL: string;
            MISSED_CALL: string;
            JOINED: string;
            LEFT_THE_CALL: string;
            UNANSWERED_AUDIO_CALL: string;
            UNANSWERED_VIDEO_CALL: string;
            CALL_ENDED: string;
            CALL_CANCELLED: string;
            CALL_BUSY: string;
            CALLING: string;
            ADD: string;
            NO_BANNED_MEMBERS_FOUND: string;
            BANNED_MEMBERS: string;
            NAME: string;
            SCOPE: string;
            UNBAN: string;
            SELECT_GROUP_TYPE: string;
            ENTER_GROUP_PASSWORD: string;
            CREATE: string;
            CREATE_POLL: string;
            QUESTION: string;
            ENTER_YOUR_QUESTION: string;
            OPTIONS: string;
            ENTER_YOUR_OPTION: string;
            ADD_NEW_OPTION: string;
            VIEW_MEMBERS: string;
            DETAILS: string;
            NOTIFICATIONS: string;
            OTHER: string;
            HELP: string;
            REPORT_PROBLEM: string;
            GROUP_MEMBERS: string;
            BAN: string;
            KICK: string;
            PICK_YOUR_EMOJI: string;
            PRIVATE_GROUP: string;
            PROTECTED_GROUP: string;
            VISIT: string;
            ATTACH: string;
            OPEN_WHITEBOARD: string;
            ATTACH_FILE: string;
            GENERATING_REPLIES: string;
            ATTACH_VIDEO: string;
            ATTACH_AUDIO: string;
            ATTACH_IMAGE: string;
            COLLABORATE_USING_DOCUMENT: string;
            COLLABORATE_USING_WHITEBOARD: string;
            SUGGEST_A_REPLY: string;
            GENERATING_ICEBREAKERS: string;
            EMOJI: string;
            NO_REPLIES_FOUND: string;
            ENTER_YOUR_MESSAGE_HERE: string;
            NO_MESSAGES_FOUND: string;
            THREAD: string;
            COLLABORATIVE_DOCUMENT: string;
            COLLABORATIVE_WHITEBOARD: string;
            ADD_REACTION: string;
            NO_STICKERS_FOUND: string;
            REPLY_TO_THREAD: string;
            REPLY_IN_THREAD: string;
            VIEW: string;
            DELETE_MESSAGE: string;
            EDIT_MESSAGE: string;
            OWNER: string;
            CHANGE_SCOPE: string;
            STICKER: string;
            LAST_ACTIVE_AT: string;
            VOICE_CALL: string;
            VIEW_DETAIL: string;
            VOTES: string;
            VOTE: string;
            NO_VOTE: string;
            REACTED: string;
            ADDED: string;
            SHOW_UNSAFE_CONTENT: string;
            REACT_TO_MESSAGE: string;
            UNBANNED: string;
            MADE: string;
            CALL_UNANSWERED: string;
            MISSED_AUDIO_CALL: string;
            ENTER_YOUR_PASSWORD: string;
            DRAW_DOCUMENT_TOGETHER: string;
            DOCS: string;
            NO_RECORDS_FOUND: string;
            LIVE_REACTION: string;
            SMILEY_PEOPLE: string;
            DRAW_WHITEBOARD_TOGETHER: string;
            ANIMALES_NATURE: string;
            FOOD_DRINK: string;
            OPEN_DOCUMENT: string;
            ACTIVITY: string;
            TRAVEL_PLACES: string;
            OBJECTS: string;
            SYMBOLS: string;
            FLAGS: string;
            SENT: string;
            SEEN: string;
            DELIVERED: string;
            READ: string;
            MESSAGE_INFORMATION: string;
            TRANSLATE_MESSAGE: string;
            TRANSLATED_MESSAGE: string;
            LEFT: string;
            KICKED: string;
            BANNED: string;
            NEW_MESSAGES: string;
            NEW_MESSAGE: string;
            JUMP: string;
            SELECT_VIDEO_SOURCE: string;
            SELECT_INPUT_AUDIO_SOURCE: string;
            SELECT_OUTPUT_AUDIO_SOURCE: string;
            INITIATED_GROUP_CALL: string;
            YOU_INITIATED_GROUP_CALL: string;
            IGNORE: string;
            ON_ANOTHER_CALL: string;
            CREATING: string;
            AVATAR: string;
            ONGOING_CALL: string;
            YOU_ALREADY_ONGOING_CALL: string;
            RESIZE: string;
            SETTINGS: string;
            ACTIONS: string;
            VIEW_PROFILE: string;
            SEND_MESSAGE_IN_PRIVATE: string;
            DELETE: string;
            DELETE_CONFIRM: string;
            CANCEL: string;
            LEAVE_CONFIRM: string;
            TRANSFER_CONFIRM: string;
            ADDING: string;
            TRANSFER: string;
            TRANSFER_OWNERSHIP: string;
            TRANSFERRING: string;
            YES: string;
            NO: string;
            ANSWER: string;
            ADD_ANOTHER_ANSWER: string;
            SET_THE_ANSWERS: string;
            TRY_AGAIN: string;
            INVALID_GROUP_NAME: string;
            INVALID_PASSWORD: string;
            INVALID_GROUP_TYPE: string;
            WRONG_PASSWORD: string;
            INVALID_POLL_QUESTION: string;
            INVALID_POLL_OPTION: string;
            SAME_LANGUAGE_MESSAGE: string;
            LEAVE: string;
            CLICK_TO_START_CONVERSATION: string;
            CUSTOM_MESSAGE_LOCATION: string;
            SHARED_LOCATION: string;
            IN_A_THREAD: string;
            CALLS: string;
            CALL_DETAILS: string;
            OFFLINE: string;
            POLLS: string;
            YOU: string;
            PRIVACY: string;
            BLOCKED_USERS: string;
            "YOU'VE_BLOCKED": string;
            NO_PHOTOS: string;
            NO_VIDEOS: string;
            NO_DOCUMENTS: string;
            JOIN: string;
            REMOVE: string;
            BLOCK: string;
            CHANGE_ROLE: string;
            NEW_CHAT: string;
            FORM_COMPLETION_MESSAGE: string;
            HISTORY: string;
            CANCELLED_AUDIO_CALL: string;
            CANCELLED_VIDEO_CALL: string;
            REJECTED_AUDIO_CALL: string;
            REJECTED_VIDEO_CALL: string;
            CANCELLED_CALL: string;
            UNANSWERED_CALL: string;
            RECORDING: string;
            PARTICIPANTS: string;
            CALL_HISTORY: string;
            NO_CALLS_FOUND: string;
            ONGOING_AUDIO_CALL: string;
            ONGOING_VIDEO_CALL: string;
            CALL_DETAIL: string;
            FORM: string;
            CARD: string;
            GENERATING_SUMMARY: string;
            CONVERSATION_SUMMARY: string;
            GENERATE_SUMMARY: string;
            COMETCHAT_BOT_FIRST_MESSAGE: string;
            COMETCHAT_ASK_BOT: string;
            COMETCHAT_ASK_AI_BOT: string;
            COMETCHAT_ASK_BOT_SUBTITLE: string;
            MENTIONS_LIMIT_WARNING_MESSAGE: string;
            ALL: string;
            CLICK_TO_REMOVE: string;
            OTHERS: string;
            AND: string;
        };
        hi: {
            INFO: string;
            REACT: string;
            EDIT: string;
            MESSAGE_PRIVATELY: string;
            TRANSLATE: string;
            USERS: string;
            CHATS: string;
            WOULD__YOU_LIKE_TO_DELETE_THIS_CONVERSATION: string;
            GROUPS: string;
            SHARED: string;
            SOUND_MANAGER: string;
            THEME: string;
            LOCALIZE: string;
            CONVERSATION_LIST_ITEM: string;
            DATA_ITEM: string;
            STATUS_INDICATOR: string;
            BADGE_COUNT: string;
            MESSAGE_RECEIPT: string;
            MESSAGE: string;
            RECEIPT_INFORMATION: string;
            NO_RECIPIENT: string;
            NO_RECIPIENTS: string;
            CONVERSATIONS_WITH_MESSAGES: string;
            CONVERSATIONS: string;
            CONVERSATION_LIST: string;
            MESSAGES: string;
            MESSAGE_HEADER: string;
            MESSAGE_LIST: string;
            MESSAGE_COMPOSER: string;
            USERS_WITH_MESSAGES: string;
            USER_LIST: string;
            GROUP_LIST: string;
            GROUPS_WITH_MESSAGES: string;
            NEW__GROUP: string;
            PASSWORD: string;
            CONTINUE: string;
            NO_CHATS_SELECTED: string;
            NO_USERS_SELECTED: string;
            NO_GROUPS_SELECTED: string;
            SELECT_DAY: string;
            SELECT_TIME: string;
            NO_CALLS_SELECTED: string;
            SELECT__GROUP: string;
            SELECT__USER: string;
            GROUP_PASSWORD_BLANK: string;
            GROUP_NAME_BLANK: string;
            GROUP_TYPE_BLANK: string;
            DELETE_CONVERSATION: string;
            ADD_TO_CHAT: string;
            MORE: string;
            COPY: string;
            VOICE_RECORDING: string;
            MESSAGE_IMAGE: string;
            MESSAGE_FILE: string;
            MESSAGE_VIDEO: string;
            MESSAGE_AUDIO: string;
            CUSTOM_MESSAGE: string;
            SELECT_A_DATE: string;
            TIME_ZONE: string;
            MEETING_SCHEDULED: string;
            SOMETHING_WRONG: string;
            MEETING_SLOT_BOOK: string;
            MEETING_BOOK_NEW_SLOT: string;
            MEETING_NO_SLOTS_AVAILABLE: string;
            MEETING_TRY_DIFFERENT_DATE: string;
            NO_TIME_SLOTS_AVAILABLE: string;
            SCHEDULE: string;
            MORE_TIMES: string;
            MISSED_VOICE_CALL: string;
            MEET_WITH: string;
            MEETING_SCHEDULER: string;
            MISSED_VIDEO_CALL: string;
            CUSTOM_MESSAGE_POLL: string;
            CUSTOM_MESSAGE_STICKER: string;
            CUSTOM_MESSAGE_DOCUMENT: string;
            CUSTOM_MESSAGE_WHITEBOARD: string;
            ONLINE: string;
            ADMINISTRATOR: string;
            ADMIN: string;
            MODERATOR: string;
            PARTICIPANT: string;
            PUBLIC: string;
            PRIVATE: string;
            PASSWORD_PROTECTED: string;
            PRIVACY_AND_SECURITY: string;
            PREFERENCES: string;
            MEMBERS: string;
            MEMBER: string;
            TODAY: string;
            YESTERDAY: string;
            SUNDAY: string;
            MONDAY: string;
            TUESDAY: string;
            WEDNESDAY: string;
            THURSDAY: string;
            FRIDAY: string;
            SATURDAY: string;
            TYPING: string;
            IS_TYPING: string;
            CLOSE: string;
            ENTER_GROUP_NAME: string;
            ADD_MEMBERS: string;
            SEND_MESSAGE: string;
            UNBLOCK_USER: string;
            BLOCK_USER: string;
            DELETE_AND_EXIT: string;
            LEAVE_GROUP: string;
            CREATE_GROUP: string;
            SHARED_MEDIA: string;
            SHARED_FILE: string;
            VIDEO_CALL: string;
            AUDIO_CALL: string;
            LOADING: string;
            REPLY: string;
            REPLIES: string;
            AI: string;
            SMART_REPLIES: string;
            CONVERSATION_STARTER: string;
            LAUNCH: string;
            SHARED_COLLABORATIVE_DOCUMENT: string; /**
             * Returns true if the active language is rtl otherwise return false
             * @returns {Boolean} whether the language is rtl or not
             */
            SHARED_COLLABORATIVE_WHITEBOARD: string;
            CREATED_WHITEBOARD: string;
            CREATED_DOCUMENT: string;
            PHOTOS: string;
            VIDEOS: string;
            DOCUMENT: string;
            YOU_DELETED_THIS_MESSAGE: string;
            THIS_MESSAGE_DELETED: string;
            MESSAGE_IS_DELETED: string;
            VIEW_ON_YOUTUBE: string;
            SEARCH: string;
            NO_USERS_FOUND: string;
            ERROR: string;
            NO_GROUPS_FOUND: string;
            NO_CHATS_FOUND: string;
            CANT__LOAD__CHATS: string;
            MEDIA_MESSAGE: string;
            INCOMING_AUDIO_CALL: string;
            INCOMING_VIDEO_CALL: string;
            DECLINE: string;
            ACCEPT: string;
            CALL_INITIATED: string;
            OUTGOING_AUDIO_CALL: string;
            OUTGOING_VIDEO_CALL: string;
            CALL_REJECTED: string;
            REJECTED_CALL: string;
            CALL_ACCEPTED: string;
            OUTGOING_CALL: string;
            INCOMING_CALL: string;
            MISSED_CALL: string;
            JOINED: string;
            LEFT_THE_CALL: string;
            UNANSWERED_AUDIO_CALL: string;
            UNANSWERED_VIDEO_CALL: string;
            CALL_ENDED: string;
            CALL_CANCELLED: string;
            CALL_BUSY: string;
            CALLING: string;
            ADD: string;
            NO_BANNED_MEMBERS_FOUND: string;
            BANNED_MEMBERS: string;
            NAME: string;
            SCOPE: string;
            UNBAN: string;
            SELECT_GROUP_TYPE: string;
            ENTER_GROUP_PASSWORD: string;
            CREATE: string;
            CREATE_POLL: string;
            QUESTION: string;
            ENTER_YOUR_QUESTION: string;
            OPTIONS: string;
            ENTER_YOUR_OPTION: string;
            ADD_NEW_OPTION: string;
            VIEW_MEMBERS: string;
            DETAILS: string;
            NOTIFICATIONS: string;
            OTHER: string;
            HELP: string;
            REPORT_PROBLEM: string;
            GROUP_MEMBERS: string;
            BAN: string;
            KICK: string;
            PICK_YOUR_EMOJI: string;
            PRIVATE_GROUP: string;
            PROTECTED_GROUP: string;
            VISIT: string;
            ATTACH: string;
            OPEN_WHITEBOARD: string;
            ATTACH_FILE: string;
            GENERATING_REPLIES: string;
            ATTACH_VIDEO: string;
            ATTACH_AUDIO: string;
            ATTACH_IMAGE: string;
            COLLABORATE_USING_DOCUMENT: string;
            COLLABORATE_USING_WHITEBOARD: string;
            SUGGEST_A_REPLY: string;
            GENERATING_ICEBREAKERS: string;
            EMOJI: string;
            NO_REPLIES_FOUND: string;
            ENTER_YOUR_MESSAGE_HERE: string;
            NO_MESSAGES_FOUND: string;
            THREAD: string;
            COLLABORATIVE_DOCUMENT: string;
            COLLABORATIVE_WHITEBOARD: string;
            ADD_REACTION: string;
            NO_STICKERS_FOUND: string;
            REPLY_TO_THREAD: string;
            REPLY_IN_THREAD: string;
            VIEW: string;
            DELETE_MESSAGE: string;
            EDIT_MESSAGE: string;
            OWNER: string;
            CHANGE_SCOPE: string;
            STICKER: string;
            LAST_ACTIVE_AT: string;
            VOICE_CALL: string;
            VIEW_DETAIL: string;
            VOTES: string;
            VOTE: string;
            NO_VOTE: string;
            REACTED: string;
            ADDED: string;
            SHOW_UNSAFE_CONTENT: string;
            REACT_TO_MESSAGE: string;
            UNBANNED: string;
            MADE: string;
            CALL_UNANSWERED: string;
            MISSED_AUDIO_CALL: string;
            ENTER_YOUR_PASSWORD: string;
            DRAW_DOCUMENT_TOGETHER: string;
            DOCS: string;
            NO_RECORDS_FOUND: string;
            LIVE_REACTION: string;
            SMILEY_PEOPLE: string;
            DRAW_WHITEBOARD_TOGETHER: string;
            ANIMALES_NATURE: string;
            FOOD_DRINK: string;
            OPEN_DOCUMENT: string;
            ACTIVITY: string;
            TRAVEL_PLACES: string;
            OBJECTS: string;
            SYMBOLS: string;
            FLAGS: string;
            SENT: string;
            SEEN: string;
            DELIVERED: string;
            READ: string;
            MESSAGE_INFORMATION: string;
            TRANSLATE_MESSAGE: string;
            TRANSLATED_MESSAGE: string;
            LEFT: string;
            KICKED: string;
            BANNED: string;
            NEW_MESSAGES: string;
            NEW_MESSAGE: string;
            JUMP: string;
            SELECT_VIDEO_SOURCE: string;
            SELECT_INPUT_AUDIO_SOURCE: string;
            SELECT_OUTPUT_AUDIO_SOURCE: string;
            INITIATED_GROUP_CALL: string;
            YOU_INITIATED_GROUP_CALL: string;
            IGNORE: string;
            ON_ANOTHER_CALL: string;
            CREATING: string;
            AVATAR: string;
            ONGOING_CALL: string;
            YOU_ALREADY_ONGOING_CALL: string;
            RESIZE: string;
            SETTINGS: string;
            ACTIONS: string;
            VIEW_PROFILE: string;
            SEND_MESSAGE_IN_PRIVATE: string;
            DELETE: string;
            DELETE_CONFIRM: string;
            CANCEL: string;
            LEAVE_CONFIRM: string;
            TRANSFER_CONFIRM: string;
            ADDING: string;
            TRANSFER: string;
            TRANSFER_OWNERSHIP: string;
            TRANSFERRING: string;
            YES: string;
            NO: string;
            ANSWER: string;
            ADD_ANOTHER_ANSWER: string;
            SET_THE_ANSWERS: string;
            TRY_AGAIN: string;
            INVALID_GROUP_NAME: string;
            INVALID_PASSWORD: string;
            INVALID_GROUP_TYPE: string;
            WRONG_PASSWORD: string;
            INVALID_POLL_QUESTION: string;
            INVALID_POLL_OPTION: string;
            SAME_LANGUAGE_MESSAGE: string;
            LEAVE: string;
            CLICK_TO_START_CONVERSATION: string;
            CUSTOM_MESSAGE_LOCATION: string;
            SHARED_LOCATION: string;
            IN_A_THREAD: string;
            CALLS: string;
            CALL_DETAILS: string;
            OFFLINE: string;
            POLLS: string;
            YOU: string;
            PRIVACY: string;
            BLOCKED_USERS: string;
            "YOU'VE_BLOCKED": string;
            NO_PHOTOS: string;
            NO_VIDEOS: string;
            NO_DOCUMENTS: string;
            JOIN: string;
            REMOVE: string;
            BLOCK: string;
            CHANGE_ROLE: string;
            NEW_CHAT: string;
            FORM_COMPLETION_MESSAGE: string;
            HISTORY: string;
            CANCELLED_AUDIO_CALL: string;
            CANCELLED_VIDEO_CALL: string;
            REJECTED_AUDIO_CALL: string;
            REJECTED_VIDEO_CALL: string;
            CANCELLED_CALL: string;
            UNANSWERED_CALL: string;
            RECORDING: string;
            PARTICIPANTS: string;
            CALL_HISTORY: string;
            NO_CALLS_FOUND: string;
            ONGOING_AUDIO_CALL: string;
            ONGOING_VIDEO_CALL: string;
            CALL_DETAIL: string;
            FORM: string;
            CARD: string;
            GENERATING_SUMMARY: string;
            CONVERSATION_SUMMARY: string;
            GENERATE_SUMMARY: string;
            COMETCHAT_BOT_FIRST_MESSAGE: string;
            COMETCHAT_ASK_BOT: string;
            COMETCHAT_ASK_AI_BOT: string;
            COMETCHAT_ASK_BOT_SUBTITLE: string;
            MENTIONS_LIMIT_WARNING_MESSAGE: string;
            ALL: string;
            CLICK_TO_REMOVE: string;
            OTHERS: string;
            AND: string;
        };
        ms: {
            INFO: string;
            REACT: string;
            EDIT: string;
            MESSAGE_PRIVATELY: string;
            TRANSLATE: string;
            USERS: string;
            CHATS: string;
            WOULD__YOU_LIKE_TO_DELETE_THIS_CONVERSATION: string;
            GROUPS: string;
            SHARED: string;
            SOUND_MANAGER: string;
            THEME: string;
            LOCALIZE: string;
            CONVERSATION_LIST_ITEM: string;
            DATA_ITEM: string;
            STATUS_INDICATOR: string;
            BADGE_COUNT: string;
            MESSAGE_RECEIPT: string;
            MESSAGE: string;
            RECEIPT_INFORMATION: string;
            NO_RECIPIENT: string;
            NO_RECIPIENTS: string;
            CONVERSATIONS_WITH_MESSAGES: string;
            CONVERSATIONS: string;
            CONVERSATION_LIST: string;
            MESSAGES: string;
            MESSAGE_HEADER: string;
            MESSAGE_LIST: string;
            MESSAGE_COMPOSER: string;
            USERS_WITH_MESSAGES: string;
            USER_LIST: string;
            GROUP_LIST: string;
            GROUPS_WITH_MESSAGES: string;
            NEW__GROUP: string;
            PASSWORD: string;
            CONTINUE: string;
            NO_CHATS_SELECTED: string;
            NO_USERS_SELECTED: string;
            NO_GROUPS_SELECTED: string;
            SELECT_DAY: string;
            SELECT_TIME: string;
            NO_CALLS_SELECTED: string;
            SELECT__GROUP: string;
            SELECT__USER: string;
            GROUP_PASSWORD_BLANK: string;
            GROUP_NAME_BLANK: string;
            GROUP_TYPE_BLANK: string;
            DELETE_CONVERSATION: string;
            ADD_TO_CHAT: string;
            MORE: string;
            COPY: string;
            VOICE_RECORDING: string;
            MESSAGE_IMAGE: string;
            MESSAGE_FILE: string;
            MESSAGE_VIDEO: string;
            MESSAGE_AUDIO: string;
            CUSTOM_MESSAGE: string;
            SELECT_A_DATE: string;
            TIME_ZONE: string;
            MEETING_SCHEDULED: string;
            SOMETHING_WRONG: string;
            MEETING_SLOT_BOOK: string;
            MEETING_BOOK_NEW_SLOT: string;
            MEETING_NO_SLOTS_AVAILABLE: string;
            MEETING_TRY_DIFFERENT_DATE: string;
            NO_TIME_SLOTS_AVAILABLE: string;
            SCHEDULE: string;
            MORE_TIMES: string;
            MISSED_VOICE_CALL: string;
            MEET_WITH: string;
            MEETING_SCHEDULER: string;
            MISSED_VIDEO_CALL: string;
            CUSTOM_MESSAGE_POLL: string;
            CUSTOM_MESSAGE_STICKER: string;
            CUSTOM_MESSAGE_DOCUMENT: string;
            CUSTOM_MESSAGE_WHITEBOARD: string;
            ONLINE: string;
            ADMINISTRATOR: string;
            ADMIN: string;
            MODERATOR: string;
            PARTICIPANT: string;
            PUBLIC: string;
            PRIVATE: string;
            PASSWORD_PROTECTED: string;
            PRIVACY_AND_SECURITY: string;
            PREFERENCES: string;
            MEMBERS: string;
            MEMBER: string;
            TODAY: string;
            YESTERDAY: string;
            SUNDAY: string;
            MONDAY: string;
            TUESDAY: string;
            WEDNESDAY: string;
            THURSDAY: string;
            FRIDAY: string;
            SATURDAY: string;
            TYPING: string;
            IS_TYPING: string;
            CLOSE: string;
            ENTER_GROUP_NAME: string;
            ADD_MEMBERS: string;
            SEND_MESSAGE: string;
            UNBLOCK_USER: string;
            BLOCK_USER: string;
            DELETE_AND_EXIT: string;
            LEAVE_GROUP: string;
            CREATE_GROUP: string;
            SHARED_MEDIA: string;
            SHARED_FILE: string;
            VIDEO_CALL: string;
            AUDIO_CALL: string;
            LOADING: string;
            REPLY: string;
            REPLIES: string;
            AI: string;
            SMART_REPLIES: string;
            CONVERSATION_STARTER: string;
            /**
             * Returns true if the active language is rtl otherwise return false
             * @returns {Boolean} whether the language is rtl or not
             */
            LAUNCH: string;
            SHARED_COLLABORATIVE_DOCUMENT: string;
            SHARED_COLLABORATIVE_WHITEBOARD: string;
            CREATED_WHITEBOARD: string;
            CREATED_DOCUMENT: string;
            PHOTOS: string;
            VIDEOS: string;
            DOCUMENT: string;
            YOU_DELETED_THIS_MESSAGE: string;
            THIS_MESSAGE_DELETED: string;
            MESSAGE_IS_DELETED: string;
            VIEW_ON_YOUTUBE: string;
            SEARCH: string;
            NO_USERS_FOUND: string;
            ERROR: string;
            NO_GROUPS_FOUND: string;
            NO_CHATS_FOUND: string;
            CANT__LOAD__CHATS: string;
            MEDIA_MESSAGE: string;
            INCOMING_AUDIO_CALL: string;
            INCOMING_VIDEO_CALL: string;
            DECLINE: string;
            ACCEPT: string;
            CALL_INITIATED: string;
            OUTGOING_AUDIO_CALL: string;
            OUTGOING_VIDEO_CALL: string;
            CALL_REJECTED: string;
            REJECTED_CALL: string;
            CALL_ACCEPTED: string;
            OUTGOING_CALL: string;
            INCOMING_CALL: string;
            MISSED_CALL: string;
            JOINED: string;
            LEFT_THE_CALL: string;
            UNANSWERED_AUDIO_CALL: string;
            UNANSWERED_VIDEO_CALL: string;
            CALL_ENDED: string;
            CALL_CANCELLED: string;
            CALL_BUSY: string;
            CALLING: string;
            ADD: string;
            NO_BANNED_MEMBERS_FOUND: string;
            BANNED_MEMBERS: string;
            NAME: string;
            SCOPE: string;
            UNBAN: string;
            SELECT_GROUP_TYPE: string;
            ENTER_GROUP_PASSWORD: string;
            CREATE: string;
            CREATE_POLL: string;
            QUESTION: string;
            ENTER_YOUR_QUESTION: string;
            OPTIONS: string;
            ENTER_YOUR_OPTION: string;
            ADD_NEW_OPTION: string;
            VIEW_MEMBERS: string;
            DETAILS: string;
            NOTIFICATIONS: string;
            OTHER: string;
            HELP: string;
            REPORT_PROBLEM: string;
            GROUP_MEMBERS: string;
            BAN: string;
            KICK: string;
            PICK_YOUR_EMOJI: string;
            PRIVATE_GROUP: string;
            PROTECTED_GROUP: string;
            VISIT: string;
            ATTACH: string;
            OPEN_WHITEBOARD: string;
            ATTACH_FILE: string;
            GENERATING_REPLIES: string;
            ATTACH_VIDEO: string;
            ATTACH_AUDIO: string;
            ATTACH_IMAGE: string;
            COLLABORATE_USING_DOCUMENT: string;
            COLLABORATE_USING_WHITEBOARD: string;
            SUGGEST_A_REPLY: string;
            GENERATING_ICEBREAKERS: string;
            EMOJI: string;
            NO_REPLIES_FOUND: string;
            ENTER_YOUR_MESSAGE_HERE: string;
            NO_MESSAGES_FOUND: string;
            THREAD: string;
            COLLABORATIVE_DOCUMENT: string;
            COLLABORATIVE_WHITEBOARD: string;
            ADD_REACTION: string;
            NO_STICKERS_FOUND: string;
            REPLY_TO_THREAD: string;
            REPLY_IN_THREAD: string;
            VIEW: string;
            DELETE_MESSAGE: string;
            EDIT_MESSAGE: string;
            OWNER: string;
            CHANGE_SCOPE: string;
            STICKER: string;
            LAST_ACTIVE_AT: string;
            VOICE_CALL: string;
            VIEW_DETAIL: string;
            VOTES: string;
            VOTE: string;
            NO_VOTE: string;
            REACTED: string;
            ADDED: string;
            SHOW_UNSAFE_CONTENT: string;
            REACT_TO_MESSAGE: string;
            UNBANNED: string;
            MADE: string;
            CALL_UNANSWERED: string;
            MISSED_AUDIO_CALL: string;
            ENTER_YOUR_PASSWORD: string;
            DRAW_DOCUMENT_TOGETHER: string;
            DOCS: string;
            NO_RECORDS_FOUND: string;
            LIVE_REACTION: string;
            SMILEY_PEOPLE: string;
            DRAW_WHITEBOARD_TOGETHER: string;
            ANIMALES_NATURE: string;
            FOOD_DRINK: string;
            OPEN_DOCUMENT: string;
            ACTIVITY: string;
            TRAVEL_PLACES: string;
            OBJECTS: string;
            SYMBOLS: string;
            FLAGS: string;
            SENT: string;
            SEEN: string;
            DELIVERED: string;
            READ: string;
            MESSAGE_INFORMATION: string;
            TRANSLATE_MESSAGE: string;
            TRANSLATED_MESSAGE: string;
            LEFT: string;
            KICKED: string;
            BANNED: string;
            NEW_MESSAGES: string;
            NEW_MESSAGE: string;
            JUMP: string;
            SELECT_VIDEO_SOURCE: string;
            SELECT_INPUT_AUDIO_SOURCE: string;
            SELECT_OUTPUT_AUDIO_SOURCE: string;
            INITIATED_GROUP_CALL: string;
            YOU_INITIATED_GROUP_CALL: string;
            IGNORE: string;
            ON_ANOTHER_CALL: string;
            CREATING: string;
            AVATAR: string;
            ONGOING_CALL: string;
            YOU_ALREADY_ONGOING_CALL: string;
            RESIZE: string;
            SETTINGS: string;
            ACTIONS: string;
            VIEW_PROFILE: string;
            SEND_MESSAGE_IN_PRIVATE: string;
            DELETE: string;
            DELETE_CONFIRM: string;
            CANCEL: string;
            LEAVE_CONFIRM: string;
            TRANSFER_CONFIRM: string;
            ADDING: string;
            TRANSFER: string;
            TRANSFER_OWNERSHIP: string;
            TRANSFERRING: string;
            YES: string;
            NO: string;
            ANSWER: string;
            ADD_ANOTHER_ANSWER: string;
            SET_THE_ANSWERS: string;
            TRY_AGAIN: string;
            INVALID_GROUP_NAME: string;
            INVALID_PASSWORD: string;
            INVALID_GROUP_TYPE: string;
            WRONG_PASSWORD: string;
            INVALID_POLL_QUESTION: string;
            INVALID_POLL_OPTION: string;
            SAME_LANGUAGE_MESSAGE: string;
            LEAVE: string;
            CLICK_TO_START_CONVERSATION: string;
            CUSTOM_MESSAGE_LOCATION: string;
            SHARED_LOCATION: string;
            IN_A_THREAD: string;
            CALLS: string;
            CALL_DETAILS: string;
            OFFLINE: string;
            POLLS: string;
            YOU: string;
            PRIVACY: string;
            BLOCKED_USERS: string;
            "YOU'VE_BLOCKED": string;
            NO_PHOTOS: string;
            NO_VIDEOS: string;
            NO_DOCUMENTS: string;
            JOIN: string;
            REMOVE: string;
            BLOCK: string;
            CHANGE_ROLE: string;
            NEW_CHAT: string;
            FORM_COMPLETION_MESSAGE: string;
            HISTORY: string;
            CANCELLED_AUDIO_CALL: string;
            CANCELLED_VIDEO_CALL: string;
            REJECTED_AUDIO_CALL: string;
            REJECTED_VIDEO_CALL: string;
            CANCELLED_CALL: string;
            UNANSWERED_CALL: string;
            RECORDING: string;
            PARTICIPANTS: string;
            CALL_HISTORY: string;
            NO_CALLS_FOUND: string;
            ONGOING_AUDIO_CALL: string;
            ONGOING_VIDEO_CALL: string;
            CALL_DETAIL: string;
            FORM: string;
            CARD: string;
            GENERATING_SUMMARY: string;
            CONVERSATION_SUMMARY: string;
            GENERATE_SUMMARY: string;
            COMETCHAT_BOT_FIRST_MESSAGE: string;
            COMETCHAT_ASK_BOT: string;
            COMETCHAT_ASK_AI_BOT: string;
            COMETCHAT_ASK_BOT_SUBTITLE: string;
            MENTIONS_LIMIT_WARNING_MESSAGE: string;
            ALL: string;
            CLICK_TO_REMOVE: string;
            OTHERS: string;
            AND: string;
        };
        pt: {
            INFO: string;
            REACT: string;
            EDIT: string;
            MESSAGE_PRIVATELY: string;
            TRANSLATE: string;
            USERS: string;
            CHATS: string;
            WOULD__YOU_LIKE_TO_DELETE_THIS_CONVERSATION: string;
            GROUPS: string;
            SHARED: string;
            SOUND_MANAGER: string;
            THEME: string;
            LOCALIZE: string;
            CONVERSATION_LIST_ITEM: string;
            DATA_ITEM: string;
            STATUS_INDICATOR: string;
            BADGE_COUNT: string;
            MESSAGE_RECEIPT: string;
            MESSAGE: string;
            RECEIPT_INFORMATION: string;
            NO_RECIPIENT: string;
            NO_RECIPIENTS: string;
            CONVERSATIONS_WITH_MESSAGES: string; /**Properties and constants */
            CONVERSATIONS: string;
            CONVERSATION_LIST: string;
            MESSAGES: string;
            MESSAGE_HEADER: string;
            MESSAGE_LIST: string;
            MESSAGE_COMPOSER: string;
            USERS_WITH_MESSAGES: string;
            USER_LIST: string;
            GROUP_LIST: string;
            GROUPS_WITH_MESSAGES: string;
            NEW__GROUP: string;
            PASSWORD: string;
            CONTINUE: string;
            NO_CHATS_SELECTED: string;
            NO_USERS_SELECTED: string;
            NO_GROUPS_SELECTED: string;
            SELECT_DAY: string;
            SELECT_TIME: string;
            NO_CALLS_SELECTED: string;
            SELECT__GROUP: string;
            SELECT__USER: string;
            GROUP_PASSWORD_BLANK: string;
            GROUP_NAME_BLANK: string;
            GROUP_TYPE_BLANK: string;
            DELETE_CONVERSATION: string;
            ADD_TO_CHAT: string;
            MORE: string;
            COPY: string;
            VOICE_RECORDING: string;
            MESSAGE_IMAGE: string;
            MESSAGE_FILE: string;
            MESSAGE_VIDEO: string;
            MESSAGE_AUDIO: string;
            CUSTOM_MESSAGE: string;
            SELECT_A_DATE: string;
            TIME_ZONE: string;
            MEETING_SCHEDULED: string;
            SOMETHING_WRONG: string;
            MEETING_SLOT_BOOK: string;
            MEETING_BOOK_NEW_SLOT: string;
            MEETING_NO_SLOTS_AVAILABLE: string;
            MEETING_TRY_DIFFERENT_DATE: string;
            NO_TIME_SLOTS_AVAILABLE: string;
            SCHEDULE: string;
            MORE_TIMES: string;
            MISSED_VOICE_CALL: string;
            MEET_WITH: string;
            MEETING_SCHEDULER: string;
            MISSED_VIDEO_CALL: string;
            CUSTOM_MESSAGE_POLL: string;
            CUSTOM_MESSAGE_STICKER: string;
            CUSTOM_MESSAGE_DOCUMENT: string;
            CUSTOM_MESSAGE_WHITEBOARD: string;
            ONLINE: string;
            ADMINISTRATOR: string;
            ADMIN: string;
            MODERATOR: string;
            PARTICIPANT: string;
            PUBLIC: string;
            PRIVATE: string;
            PASSWORD_PROTECTED: string;
            PRIVACY_AND_SECURITY: string;
            PREFERENCES: string;
            MEMBERS: string;
            MEMBER: string;
            TODAY: string;
            YESTERDAY: string;
            SUNDAY: string;
            MONDAY: string;
            TUESDAY: string;
            WEDNESDAY: string;
            THURSDAY: string;
            FRIDAY: string;
            SATURDAY: string;
            TYPING: string;
            IS_TYPING: string;
            CLOSE: string;
            ENTER_GROUP_NAME: string;
            ADD_MEMBERS: string;
            SEND_MESSAGE: string;
            UNBLOCK_USER: string;
            BLOCK_USER: string;
            DELETE_AND_EXIT: string;
            LEAVE_GROUP: string;
            CREATE_GROUP: string;
            SHARED_MEDIA: string;
            SHARED_FILE: string;
            VIDEO_CALL: string;
            AUDIO_CALL: string;
            LOADING: string;
            REPLY: string;
            REPLIES: string;
            AI: string;
            SMART_REPLIES: string;
            CONVERSATION_STARTER: string;
            LAUNCH: string;
            SHARED_COLLABORATIVE_DOCUMENT: string;
            SHARED_COLLABORATIVE_WHITEBOARD: string;
            CREATED_WHITEBOARD: string;
            CREATED_DOCUMENT: string;
            PHOTOS: string;
            VIDEOS: string;
            DOCUMENT: string;
            YOU_DELETED_THIS_MESSAGE: string;
            THIS_MESSAGE_DELETED: string;
            MESSAGE_IS_DELETED: string;
            VIEW_ON_YOUTUBE: string;
            SEARCH: string;
            NO_USERS_FOUND: string;
            ERROR: string;
            NO_GROUPS_FOUND: string;
            NO_CHATS_FOUND: string;
            CANT__LOAD__CHATS: string;
            MEDIA_MESSAGE: string;
            INCOMING_AUDIO_CALL: string;
            INCOMING_VIDEO_CALL: string;
            DECLINE: string;
            ACCEPT: string;
            CALL_INITIATED: string;
            OUTGOING_AUDIO_CALL: string;
            OUTGOING_VIDEO_CALL: string;
            CALL_REJECTED: string;
            REJECTED_CALL: string;
            CALL_ACCEPTED: string;
            OUTGOING_CALL: string;
            INCOMING_CALL: string;
            MISSED_CALL: string;
            JOINED: string;
            LEFT_THE_CALL: string;
            UNANSWERED_AUDIO_CALL: string;
            UNANSWERED_VIDEO_CALL: string;
            CALL_ENDED: string;
            CALL_CANCELLED: string;
            CALL_BUSY: string;
            CALLING: string;
            ADD: string;
            NO_BANNED_MEMBERS_FOUND: string;
            BANNED_MEMBERS: string;
            NAME: string;
            SCOPE: string;
            UNBAN: string;
            SELECT_GROUP_TYPE: string;
            ENTER_GROUP_PASSWORD: string;
            CREATE: string;
            CREATE_POLL: string;
            QUESTION: string;
            ENTER_YOUR_QUESTION: string;
            OPTIONS: string;
            ENTER_YOUR_OPTION: string;
            ADD_NEW_OPTION: string;
            VIEW_MEMBERS: string;
            DETAILS: string;
            NOTIFICATIONS: string;
            OTHER: string;
            HELP: string;
            REPORT_PROBLEM: string;
            GROUP_MEMBERS: string;
            BAN: string;
            KICK: string;
            PICK_YOUR_EMOJI: string;
            PRIVATE_GROUP: string;
            PROTECTED_GROUP: string;
            VISIT: string;
            ATTACH: string;
            OPEN_WHITEBOARD: string;
            ATTACH_FILE: string;
            GENERATING_REPLIES: string;
            ATTACH_VIDEO: string;
            ATTACH_AUDIO: string;
            ATTACH_IMAGE: string;
            COLLABORATE_USING_DOCUMENT: string;
            COLLABORATE_USING_WHITEBOARD: string;
            SUGGEST_A_REPLY: string;
            GENERATING_ICEBREAKERS: string;
            EMOJI: string;
            NO_REPLIES_FOUND: string;
            ENTER_YOUR_MESSAGE_HERE: string;
            NO_MESSAGES_FOUND: string;
            THREAD: string;
            COLLABORATIVE_DOCUMENT: string;
            COLLABORATIVE_WHITEBOARD: string;
            ADD_REACTION: string;
            NO_STICKERS_FOUND: string;
            REPLY_TO_THREAD: string;
            REPLY_IN_THREAD: string;
            VIEW: string;
            DELETE_MESSAGE: string;
            EDIT_MESSAGE: string;
            OWNER: string;
            CHANGE_SCOPE: string;
            STICKER: string;
            LAST_ACTIVE_AT: string;
            VOICE_CALL: string;
            VIEW_DETAIL: string;
            VOTES: string;
            VOTE: string;
            NO_VOTE: string;
            REACTED: string;
            ADDED: string;
            SHOW_UNSAFE_CONTENT: string;
            REACT_TO_MESSAGE: string;
            UNBANNED: string;
            MADE: string;
            CALL_UNANSWERED: string;
            MISSED_AUDIO_CALL: string;
            ENTER_YOUR_PASSWORD: string;
            DRAW_DOCUMENT_TOGETHER: string;
            DOCS: string;
            NO_RECORDS_FOUND: string;
            LIVE_REACTION: string;
            SMILEY_PEOPLE: string;
            DRAW_WHITEBOARD_TOGETHER: string;
            ANIMALES_NATURE: string;
            FOOD_DRINK: string;
            OPEN_DOCUMENT: string;
            ACTIVITY: string;
            TRAVEL_PLACES: string;
            OBJECTS: string;
            SYMBOLS: string;
            FLAGS: string;
            SENT: string;
            SEEN: string;
            DELIVERED: string;
            READ: string;
            MESSAGE_INFORMATION: string;
            TRANSLATE_MESSAGE: string;
            TRANSLATED_MESSAGE: string;
            LEFT: string;
            KICKED: string;
            BANNED: string;
            NEW_MESSAGES: string;
            NEW_MESSAGE: string;
            JUMP: string;
            SELECT_VIDEO_SOURCE: string;
            SELECT_INPUT_AUDIO_SOURCE: string;
            SELECT_OUTPUT_AUDIO_SOURCE: string;
            INITIATED_GROUP_CALL: string;
            YOU_INITIATED_GROUP_CALL: string;
            IGNORE: string;
            ON_ANOTHER_CALL: string;
            CREATING: string;
            AVATAR: string;
            ONGOING_CALL: string;
            YOU_ALREADY_ONGOING_CALL: string;
            RESIZE: string;
            SETTINGS: string;
            ACTIONS: string;
            VIEW_PROFILE: string;
            SEND_MESSAGE_IN_PRIVATE: string;
            DELETE: string;
            DELETE_CONFIRM: string;
            CANCEL: string;
            LEAVE_CONFIRM: string;
            TRANSFER_CONFIRM: string;
            ADDING: string;
            TRANSFER: string;
            TRANSFER_OWNERSHIP: string;
            TRANSFERRING: string;
            YES: string;
            NO: string;
            ANSWER: string;
            ADD_ANOTHER_ANSWER: string;
            SET_THE_ANSWERS: string;
            TRY_AGAIN: string;
            INVALID_GROUP_NAME: string;
            INVALID_PASSWORD: string;
            INVALID_GROUP_TYPE: string;
            WRONG_PASSWORD: string;
            INVALID_POLL_QUESTION: string;
            INVALID_POLL_OPTION: string;
            SAME_LANGUAGE_MESSAGE: string;
            LEAVE: string;
            CLICK_TO_START_CONVERSATION: string;
            CUSTOM_MESSAGE_LOCATION: string;
            SHARED_LOCATION: string;
            IN_A_THREAD: string;
            CALLS: string;
            CALL_DETAILS: string;
            OFFLINE: string;
            POLLS: string;
            YOU: string;
            PRIVACY: string;
            BLOCKED_USERS: string;
            "YOU'VE_BLOCKED": string;
            NO_PHOTOS: string;
            NO_VIDEOS: string;
            NO_DOCUMENTS: string;
            JOIN: string;
            REMOVE: string;
            BLOCK: string;
            CHANGE_ROLE: string;
            NEW_CHAT: string;
            FORM_COMPLETION_MESSAGE: string;
            HISTORY: string;
            CANCELLED_AUDIO_CALL: string;
            CANCELLED_VIDEO_CALL: string;
            REJECTED_AUDIO_CALL: string;
            REJECTED_VIDEO_CALL: string;
            CANCELLED_CALL: string;
            UNANSWERED_CALL: string;
            RECORDING: string;
            PARTICIPANTS: string;
            CALL_HISTORY: string;
            NO_CALLS_FOUND: string;
            ONGOING_AUDIO_CALL: string;
            ONGOING_VIDEO_CALL: string;
            CALL_DETAIL: string;
            FORM: string;
            CARD: string;
            GENERATING_SUMMARY: string;
            CONVERSATION_SUMMARY: string;
            GENERATE_SUMMARY: string;
            COMETCHAT_BOT_FIRST_MESSAGE: string;
            COMETCHAT_ASK_BOT: string;
            COMETCHAT_ASK_AI_BOT: string;
            COMETCHAT_ASK_BOT_SUBTITLE: string;
            MENTIONS_LIMIT_WARNING_MESSAGE: string;
            ALL: string;
            CLICK_TO_REMOVE: string;
            OTHERS: string;
            AND: string;
        };
        ru: {
            INFO: string;
            REACT: string;
            EDIT: string;
            MESSAGE_PRIVATELY: string;
            TRANSLATE: string;
            USERS: string;
            CHATS: string;
            WOULD__YOU_LIKE_TO_DELETE_THIS_CONVERSATION: string;
            GROUPS: string;
            SHARED: string;
            SOUND_MANAGER: string;
            THEME: string;
            LOCALIZE: string;
            CONVERSATION_LIST_ITEM: string;
            DATA_ITEM: string;
            STATUS_INDICATOR: string;
            BADGE_COUNT: string;
            MESSAGE_RECEIPT: string;
            MESSAGE: string;
            RECEIPT_INFORMATION: string;
            NO_RECIPIENT: string;
            NO_RECIPIENTS: string;
            CONVERSATIONS_WITH_MESSAGES: string;
            CONVERSATIONS: string;
            CONVERSATION_LIST: string;
            MESSAGES: string;
            MESSAGE_HEADER: string;
            MESSAGE_LIST: string;
            MESSAGE_COMPOSER: string;
            USERS_WITH_MESSAGES: string;
            USER_LIST: string;
            GROUP_LIST: string;
            GROUPS_WITH_MESSAGES: string;
            NEW__GROUP: string;
            PASSWORD: string;
            CONTINUE: string;
            NO_CHATS_SELECTED: string;
            NO_USERS_SELECTED: string;
            NO_GROUPS_SELECTED: string;
            SELECT_DAY: string;
            SELECT_TIME: string;
            NO_CALLS_SELECTED: string;
            SELECT__GROUP: string;
            SELECT__USER: string;
            GROUP_PASSWORD_BLANK: string;
            GROUP_NAME_BLANK: string;
            GROUP_TYPE_BLANK: string;
            DELETE_CONVERSATION: string;
            ADD_TO_CHAT: string;
            MORE: string;
            COPY: string;
            VOICE_RECORDING: string;
            MESSAGE_IMAGE: string;
            MESSAGE_FILE: string;
            MESSAGE_VIDEO: string;
            MESSAGE_AUDIO: string;
            CUSTOM_MESSAGE: string;
            SELECT_A_DATE: string;
            TIME_ZONE: string;
            MEETING_SCHEDULED: string;
            SOMETHING_WRONG: string;
            MEETING_SLOT_BOOK: string;
            MEETING_BOOK_NEW_SLOT: string;
            MEETING_NO_SLOTS_AVAILABLE: string;
            MEETING_TRY_DIFFERENT_DATE: string;
            NO_TIME_SLOTS_AVAILABLE: string;
            SCHEDULE: string;
            MORE_TIMES: string;
            MISSED_VOICE_CALL: string;
            MEET_WITH: string;
            MEETING_SCHEDULER: string;
            MISSED_VIDEO_CALL: string;
            CUSTOM_MESSAGE_POLL: string;
            CUSTOM_MESSAGE_STICKER: string;
            CUSTOM_MESSAGE_DOCUMENT: string;
            CUSTOM_MESSAGE_WHITEBOARD: string;
            ONLINE: string;
            ADMINISTRATOR: string;
            ADMIN: string;
            MODERATOR: string;
            PARTICIPANT: string;
            PUBLIC: string;
            PRIVATE: string;
            PASSWORD_PROTECTED: string;
            PRIVACY_AND_SECURITY: string; /**
             * Accepts the string to localize and return the localized string
             * @param {String} str
             * @returns {String} localized str
             */
            PREFERENCES: string;
            MEMBERS: string;
            MEMBER: string;
            TODAY: string;
            YESTERDAY: string;
            SUNDAY: string;
            MONDAY: string;
            TUESDAY: string;
            WEDNESDAY: string;
            THURSDAY: string;
            FRIDAY: string;
            SATURDAY: string;
            TYPING: string;
            IS_TYPING: string;
            CLOSE: string;
            ENTER_GROUP_NAME: string;
            ADD_MEMBERS: string;
            SEND_MESSAGE: string;
            UNBLOCK_USER: string;
            BLOCK_USER: string;
            DELETE_AND_EXIT: string;
            LEAVE_GROUP: string;
            CREATE_GROUP: string;
            SHARED_MEDIA: string;
            SHARED_FILE: string;
            VIDEO_CALL: string;
            AUDIO_CALL: string;
            LOADING: string;
            REPLY: string;
            REPLIES: string;
            AI: string;
            SMART_REPLIES: string;
            CONVERSATION_STARTER: string;
            LAUNCH: string;
            SHARED_COLLABORATIVE_DOCUMENT: string;
            SHARED_COLLABORATIVE_WHITEBOARD: string;
            CREATED_WHITEBOARD: string;
            CREATED_DOCUMENT: string;
            PHOTOS: string;
            VIDEOS: string;
            DOCUMENT: string;
            YOU_DELETED_THIS_MESSAGE: string;
            THIS_MESSAGE_DELETED: string;
            MESSAGE_IS_DELETED: string;
            VIEW_ON_YOUTUBE: string;
            SEARCH: string;
            NO_USERS_FOUND: string;
            ERROR: string;
            NO_GROUPS_FOUND: string;
            NO_CHATS_FOUND: string;
            CANT__LOAD__CHATS: string;
            MEDIA_MESSAGE: string;
            INCOMING_AUDIO_CALL: string;
            INCOMING_VIDEO_CALL: string;
            DECLINE: string;
            ACCEPT: string;
            CALL_INITIATED: string;
            OUTGOING_AUDIO_CALL: string;
            OUTGOING_VIDEO_CALL: string;
            CALL_REJECTED: string;
            REJECTED_CALL: string;
            CALL_ACCEPTED: string;
            OUTGOING_CALL: string;
            INCOMING_CALL: string;
            MISSED_CALL: string;
            JOINED: string;
            LEFT_THE_CALL: string;
            UNANSWERED_AUDIO_CALL: string;
            UNANSWERED_VIDEO_CALL: string;
            CALL_ENDED: string;
            CALL_CANCELLED: string;
            CALL_BUSY: string;
            CALLING: string;
            ADD: string;
            NO_BANNED_MEMBERS_FOUND: string;
            BANNED_MEMBERS: string;
            NAME: string;
            SCOPE: string;
            UNBAN: string;
            SELECT_GROUP_TYPE: string;
            ENTER_GROUP_PASSWORD: string;
            CREATE: string;
            CREATE_POLL: string;
            QUESTION: string;
            ENTER_YOUR_QUESTION: string;
            OPTIONS: string;
            ENTER_YOUR_OPTION: string;
            ADD_NEW_OPTION: string;
            VIEW_MEMBERS: string;
            DETAILS: string;
            NOTIFICATIONS: string;
            OTHER: string;
            HELP: string;
            REPORT_PROBLEM: string;
            GROUP_MEMBERS: string;
            BAN: string;
            KICK: string;
            PICK_YOUR_EMOJI: string;
            PRIVATE_GROUP: string;
            PROTECTED_GROUP: string;
            VISIT: string;
            ATTACH: string;
            OPEN_WHITEBOARD: string;
            ATTACH_FILE: string;
            GENERATING_REPLIES: string;
            ATTACH_VIDEO: string;
            ATTACH_AUDIO: string;
            ATTACH_IMAGE: string;
            COLLABORATE_USING_DOCUMENT: string;
            COLLABORATE_USING_WHITEBOARD: string;
            SUGGEST_A_REPLY: string;
            GENERATING_ICEBREAKERS: string;
            EMOJI: string;
            NO_REPLIES_FOUND: string;
            ENTER_YOUR_MESSAGE_HERE: string;
            NO_MESSAGES_FOUND: string;
            THREAD: string;
            COLLABORATIVE_DOCUMENT: string;
            COLLABORATIVE_WHITEBOARD: string;
            ADD_REACTION: string;
            NO_STICKERS_FOUND: string;
            REPLY_TO_THREAD: string;
            REPLY_IN_THREAD: string;
            VIEW: string;
            DELETE_MESSAGE: string;
            EDIT_MESSAGE: string;
            OWNER: string;
            CHANGE_SCOPE: string;
            STICKER: string;
            LAST_ACTIVE_AT: string;
            VOICE_CALL: string;
            VIEW_DETAIL: string;
            VOTES: string;
            VOTE: string;
            NO_VOTE: string;
            REACTED: string;
            ADDED: string;
            SHOW_UNSAFE_CONTENT: string;
            REACT_TO_MESSAGE: string;
            UNBANNED: string;
            MADE: string;
            CALL_UNANSWERED: string;
            MISSED_AUDIO_CALL: string;
            ENTER_YOUR_PASSWORD: string;
            DRAW_DOCUMENT_TOGETHER: string;
            DOCS: string;
            NO_RECORDS_FOUND: string;
            LIVE_REACTION: string;
            SMILEY_PEOPLE: string;
            DRAW_WHITEBOARD_TOGETHER: string;
            ANIMALES_NATURE: string;
            FOOD_DRINK: string;
            OPEN_DOCUMENT: string;
            ACTIVITY: string;
            TRAVEL_PLACES: string;
            OBJECTS: string;
            SYMBOLS: string;
            FLAGS: string;
            SENT: string;
            SEEN: string;
            DELIVERED: string;
            READ: string;
            MESSAGE_INFORMATION: string;
            TRANSLATE_MESSAGE: string;
            TRANSLATED_MESSAGE: string;
            LEFT: string;
            KICKED: string;
            BANNED: string;
            NEW_MESSAGES: string;
            NEW_MESSAGE: string;
            JUMP: string;
            SELECT_VIDEO_SOURCE: string;
            SELECT_INPUT_AUDIO_SOURCE: string;
            SELECT_OUTPUT_AUDIO_SOURCE: string;
            INITIATED_GROUP_CALL: string;
            YOU_INITIATED_GROUP_CALL: string;
            IGNORE: string;
            ON_ANOTHER_CALL: string;
            CREATING: string;
            AVATAR: string;
            ONGOING_CALL: string;
            YOU_ALREADY_ONGOING_CALL: string;
            RESIZE: string;
            SETTINGS: string;
            ACTIONS: string;
            VIEW_PROFILE: string;
            SEND_MESSAGE_IN_PRIVATE: string;
            DELETE: string;
            DELETE_CONFIRM: string;
            CANCEL: string;
            LEAVE_CONFIRM: string;
            TRANSFER_CONFIRM: string;
            ADDING: string;
            TRANSFER: string;
            TRANSFER_OWNERSHIP: string;
            TRANSFERRING: string;
            YES: string;
            NO: string;
            ANSWER: string;
            ADD_ANOTHER_ANSWER: string;
            SET_THE_ANSWERS: string;
            TRY_AGAIN: string;
            INVALID_GROUP_NAME: string;
            INVALID_PASSWORD: string;
            INVALID_GROUP_TYPE: string;
            WRONG_PASSWORD: string;
            INVALID_POLL_QUESTION: string;
            INVALID_POLL_OPTION: string;
            SAME_LANGUAGE_MESSAGE: string;
            LEAVE: string;
            CLICK_TO_START_CONVERSATION: string;
            CUSTOM_MESSAGE_LOCATION: string;
            SHARED_LOCATION: string;
            IN_A_THREAD: string;
            CALLS: string;
            CALL_DETAILS: string;
            OFFLINE: string;
            POLLS: string;
            YOU: string;
            PRIVACY: string;
            BLOCKED_USERS: string;
            "YOU'VE_BLOCKED": string;
            NO_PHOTOS: string;
            NO_VIDEOS: string;
            NO_DOCUMENTS: string;
            JOIN: string;
            REMOVE: string;
            BLOCK: string;
            CHANGE_ROLE: string;
            NEW_CHAT: string;
            FORM_COMPLETION_MESSAGE: string;
            HISTORY: string;
            CANCELLED_AUDIO_CALL: string;
            CANCELLED_VIDEO_CALL: string;
            REJECTED_AUDIO_CALL: string;
            REJECTED_VIDEO_CALL: string;
            CANCELLED_CALL: string;
            UNANSWERED_CALL: string;
            RECORDING: string;
            PARTICIPANTS: string;
            CALL_HISTORY: string;
            NO_CALLS_FOUND: string;
            ONGOING_AUDIO_CALL: string;
            ONGOING_VIDEO_CALL: string;
            CALL_DETAIL: string;
            FORM: string;
            CARD: string;
            GENERATING_SUMMARY: string;
            CONVERSATION_SUMMARY: string;
            GENERATE_SUMMARY: string;
            COMETCHAT_BOT_FIRST_MESSAGE: string;
            COMETCHAT_ASK_BOT: string;
            COMETCHAT_ASK_AI_BOT: string;
            COMETCHAT_ASK_BOT_SUBTITLE: string;
            MENTIONS_LIMIT_WARNING_MESSAGE: string;
            ALL: string;
            CLICK_TO_REMOVE: string;
            OTHERS: string;
            AND: string;
        };
        zh: {
            INFO: string;
            REACT: string;
            EDIT: string;
            MESSAGE_PRIVATELY: string;
            TRANSLATE: string;
            USERS: string;
            CHATS: string;
            WOULD__YOU_LIKE_TO_DELETE_THIS_CONVERSATION: string;
            GROUPS: string;
            SHARED: string;
            SOUND_MANAGER: string;
            THEME: string;
            LOCALIZE: string;
            CONVERSATION_LIST_ITEM: string;
            DATA_ITEM: string;
            STATUS_INDICATOR: string;
            BADGE_COUNT: string;
            MESSAGE_RECEIPT: string;
            MESSAGE: string;
            RECEIPT_INFORMATION: string;
            NO_RECIPIENT: string;
            NO_RECIPIENTS: string;
            CONVERSATIONS_WITH_MESSAGES: string;
            CONVERSATIONS: string;
            CONVERSATION_LIST: string;
            MESSAGES: string;
            MESSAGE_HEADER: string;
            MESSAGE_LIST: string;
            MESSAGE_COMPOSER: string;
            USERS_WITH_MESSAGES: string;
            USER_LIST: string;
            GROUP_LIST: string;
            GROUPS_WITH_MESSAGES: string;
            NEW__GROUP: string;
            PASSWORD: string;
            CONTINUE: string;
            NO_CHATS_SELECTED: string;
            NO_USERS_SELECTED: string;
            NO_GROUPS_SELECTED: string;
            SELECT_DAY: string;
            SELECT_TIME: string;
            NO_CALLS_SELECTED: string;
            SELECT__GROUP: string;
            SELECT__USER: string;
            GROUP_PASSWORD_BLANK: string;
            GROUP_NAME_BLANK: string;
            GROUP_TYPE_BLANK: string;
            DELETE_CONVERSATION: string;
            ADD_TO_CHAT: string;
            MORE: string;
            COPY: string;
            VOICE_RECORDING: string;
            MESSAGE_IMAGE: string;
            MESSAGE_FILE: string;
            MESSAGE_VIDEO: string;
            MESSAGE_AUDIO: string;
            CUSTOM_MESSAGE: string;
            SELECT_A_DATE: string;
            TIME_ZONE: string;
            MEETING_SCHEDULED: string;
            SOMETHING_WRONG: string;
            MEETING_SLOT_BOOK: string;
            MEETING_BOOK_NEW_SLOT: string;
            MEETING_NO_SLOTS_AVAILABLE: string;
            MEETING_TRY_DIFFERENT_DATE: string;
            NO_TIME_SLOTS_AVAILABLE: string;
            SCHEDULE: string;
            MORE_TIMES: string;
            MISSED_VOICE_CALL: string;
            MEET_WITH: string;
            MEETING_SCHEDULER: string;
            MISSED_VIDEO_CALL: string;
            CUSTOM_MESSAGE_POLL: string;
            CUSTOM_MESSAGE_STICKER: string;
            CUSTOM_MESSAGE_DOCUMENT: string;
            CUSTOM_MESSAGE_WHITEBOARD: string;
            ONLINE: string;
            ADMINISTRATOR: string;
            ADMIN: string;
            MODERATOR: string;
            PARTICIPANT: string;
            PUBLIC: string;
            PRIVATE: string;
            PASSWORD_PROTECTED: string;
            PRIVACY_AND_SECURITY: string;
            PREFERENCES: string;
            MEMBERS: string;
            MEMBER: string;
            TODAY: string;
            YESTERDAY: string;
            SUNDAY: string;
            MONDAY: string;
            TUESDAY: string;
            WEDNESDAY: string;
            THURSDAY: string;
            FRIDAY: string;
            SATURDAY: string;
            TYPING: string;
            IS_TYPING: string;
            CLOSE: string;
            ENTER_GROUP_NAME: string;
            ADD_MEMBERS: string;
            SEND_MESSAGE: string;
            UNBLOCK_USER: string;
            BLOCK_USER: string;
            DELETE_AND_EXIT: string;
            LEAVE_GROUP: string;
            CREATE_GROUP: string;
            SHARED_MEDIA: string;
            SHARED_FILE: string;
            VIDEO_CALL: string;
            AUDIO_CALL: string;
            LOADING: string;
            REPLY: string;
            REPLIES: string;
            AI: string;
            SMART_REPLIES: string;
            CONVERSATION_STARTER: string;
            LAUNCH: string;
            SHARED_COLLABORATIVE_DOCUMENT: string;
            SHARED_COLLABORATIVE_WHITEBOARD: string;
            CREATED_WHITEBOARD: string;
            CREATED_DOCUMENT: string;
            PHOTOS: string;
            VIDEOS: string;
            DOCUMENT: string;
            YOU_DELETED_THIS_MESSAGE: string;
            THIS_MESSAGE_DELETED: string;
            MESSAGE_IS_DELETED: string;
            VIEW_ON_YOUTUBE: string;
            SEARCH: string;
            NO_USERS_FOUND: string;
            ERROR: string;
            NO_GROUPS_FOUND: string;
            NO_CHATS_FOUND: string;
            CANT__LOAD__CHATS: string;
            MEDIA_MESSAGE: string;
            INCOMING_AUDIO_CALL: string;
            INCOMING_VIDEO_CALL: string;
            DECLINE: string;
            ACCEPT: string;
            CALL_INITIATED: string;
            /**
             * Sets the default lannguage if no language is passed in init method
             */
            OUTGOING_AUDIO_CALL: string;
            OUTGOING_VIDEO_CALL: string;
            CALL_REJECTED: string;
            REJECTED_CALL: string;
            CALL_ACCEPTED: string;
            OUTGOING_CALL: string;
            INCOMING_CALL: string;
            MISSED_CALL: string;
            JOINED: string;
            LEFT_THE_CALL: string;
            UNANSWERED_AUDIO_CALL: string;
            UNANSWERED_VIDEO_CALL: string;
            CALL_ENDED: string;
            CALL_CANCELLED: string;
            CALL_BUSY: string;
            CALLING: string;
            ADD: string;
            NO_BANNED_MEMBERS_FOUND: string;
            BANNED_MEMBERS: string;
            NAME: string;
            SCOPE: string;
            UNBAN: string;
            SELECT_GROUP_TYPE: string;
            ENTER_GROUP_PASSWORD: string;
            CREATE: string;
            CREATE_POLL: string;
            QUESTION: string;
            ENTER_YOUR_QUESTION: string;
            OPTIONS: string;
            ENTER_YOUR_OPTION: string;
            ADD_NEW_OPTION: string;
            VIEW_MEMBERS: string;
            DETAILS: string;
            NOTIFICATIONS: string;
            OTHER: string;
            HELP: string;
            REPORT_PROBLEM: string;
            GROUP_MEMBERS: string;
            BAN: string;
            KICK: string;
            PICK_YOUR_EMOJI: string;
            PRIVATE_GROUP: string;
            PROTECTED_GROUP: string;
            VISIT: string;
            ATTACH: string;
            OPEN_WHITEBOARD: string;
            ATTACH_FILE: string;
            GENERATING_REPLIES: string;
            ATTACH_VIDEO: string;
            ATTACH_AUDIO: string;
            ATTACH_IMAGE: string;
            COLLABORATE_USING_DOCUMENT: string;
            COLLABORATE_USING_WHITEBOARD: string;
            SUGGEST_A_REPLY: string;
            GENERATING_ICEBREAKERS: string;
            EMOJI: string;
            NO_REPLIES_FOUND: string;
            ENTER_YOUR_MESSAGE_HERE: string;
            NO_MESSAGES_FOUND: string;
            THREAD: string;
            COLLABORATIVE_DOCUMENT: string;
            COLLABORATIVE_WHITEBOARD: string;
            ADD_REACTION: string;
            NO_STICKERS_FOUND: string;
            REPLY_TO_THREAD: string;
            REPLY_IN_THREAD: string;
            VIEW: string;
            DELETE_MESSAGE: string;
            EDIT_MESSAGE: string;
            OWNER: string;
            CHANGE_SCOPE: string;
            STICKER: string;
            LAST_ACTIVE_AT: string;
            VOICE_CALL: string;
            VIEW_DETAIL: string;
            VOTES: string;
            VOTE: string;
            NO_VOTE: string;
            REACTED: string;
            ADDED: string;
            SHOW_UNSAFE_CONTENT: string;
            REACT_TO_MESSAGE: string;
            UNBANNED: string;
            MADE: string;
            CALL_UNANSWERED: string;
            MISSED_AUDIO_CALL: string;
            ENTER_YOUR_PASSWORD: string;
            DRAW_DOCUMENT_TOGETHER: string;
            DOCS: string;
            NO_RECORDS_FOUND: string;
            LIVE_REACTION: string;
            SMILEY_PEOPLE: string;
            DRAW_WHITEBOARD_TOGETHER: string;
            ANIMALES_NATURE: string;
            FOOD_DRINK: string;
            OPEN_DOCUMENT: string;
            ACTIVITY: string;
            TRAVEL_PLACES: string;
            OBJECTS: string;
            SYMBOLS: string;
            FLAGS: string;
            SENT: string;
            SEEN: string;
            DELIVERED: string;
            READ: string;
            MESSAGE_INFORMATION: string;
            TRANSLATE_MESSAGE: string;
            TRANSLATED_MESSAGE: string;
            LEFT: string;
            KICKED: string;
            BANNED: string;
            NEW_MESSAGES: string;
            NEW_MESSAGE: string;
            JUMP: string;
            SELECT_VIDEO_SOURCE: string;
            SELECT_INPUT_AUDIO_SOURCE: string;
            SELECT_OUTPUT_AUDIO_SOURCE: string;
            INITIATED_GROUP_CALL: string;
            YOU_INITIATED_GROUP_CALL: string;
            IGNORE: string;
            ON_ANOTHER_CALL: string;
            CREATING: string;
            AVATAR: string;
            ONGOING_CALL: string;
            YOU_ALREADY_ONGOING_CALL: string;
            RESIZE: string;
            SETTINGS: string;
            ACTIONS: string;
            VIEW_PROFILE: string;
            SEND_MESSAGE_IN_PRIVATE: string;
            DELETE: string;
            DELETE_CONFIRM: string;
            CANCEL: string;
            LEAVE_CONFIRM: string;
            TRANSFER_CONFIRM: string;
            ADDING: string;
            TRANSFER: string;
            TRANSFER_OWNERSHIP: string;
            TRANSFERRING: string;
            YES: string;
            NO: string;
            ANSWER: string;
            ADD_ANOTHER_ANSWER: string;
            SET_THE_ANSWERS: string;
            TRY_AGAIN: string;
            INVALID_GROUP_NAME: string;
            INVALID_PASSWORD: string;
            INVALID_GROUP_TYPE: string;
            WRONG_PASSWORD: string;
            INVALID_POLL_QUESTION: string;
            INVALID_POLL_OPTION: string;
            SAME_LANGUAGE_MESSAGE: string;
            LEAVE: string;
            CLICK_TO_START_CONVERSATION: string;
            CUSTOM_MESSAGE_LOCATION: string;
            SHARED_LOCATION: string;
            IN_A_THREAD: string;
            CALLS: string;
            CALL_DETAILS: string;
            OFFLINE: string;
            POLLS: string;
            YOU: string;
            PRIVACY: string;
            BLOCKED_USERS: string;
            "YOU'VE_BLOCKED": string;
            NO_PHOTOS: string;
            NO_VIDEOS: string;
            NO_DOCUMENTS: string;
            JOIN: string;
            REMOVE: string;
            BLOCK: string;
            CHANGE_ROLE: string;
            NEW_CHAT: string;
            FORM_COMPLETION_MESSAGE: string;
            HISTORY: string;
            CANCELLED_AUDIO_CALL: string;
            CANCELLED_VIDEO_CALL: string;
            REJECTED_AUDIO_CALL: string;
            REJECTED_VIDEO_CALL: string;
            CANCELLED_CALL: string;
            UNANSWERED_CALL: string;
            RECORDING: string;
            PARTICIPANTS: string;
            CALL_HISTORY: string;
            NO_CALLS_FOUND: string;
            ONGOING_AUDIO_CALL: string;
            ONGOING_VIDEO_CALL: string;
            CALL_DETAIL: string;
            FORM: string;
            CARD: string;
            GENERATING_SUMMARY: string;
            CONVERSATION_SUMMARY: string;
            GENERATE_SUMMARY: string;
            COMETCHAT_BOT_FIRST_MESSAGE: string;
            COMETCHAT_ASK_BOT: string;
            COMETCHAT_ASK_AI_BOT: string;
            COMETCHAT_ASK_BOT_SUBTITLE: string;
            MENTIONS_LIMIT_WARNING_MESSAGE: string;
            ALL: string;
            CLICK_TO_REMOVE: string;
            OTHERS: string;
            AND: string;
        };
        "zh-tw": {
            INFO: string;
            REACT: string;
            EDIT: string;
            MESSAGE_PRIVATELY: string;
            TRANSLATE: string;
            USERS: string;
            CHATS: string;
            WOULD__YOU_LIKE_TO_DELETE_THIS_CONVERSATION: string;
            GROUPS: string;
            SHARED: string;
            SOUND_MANAGER: string;
            THEME: string;
            LOCALIZE: string;
            CONVERSATION_LIST_ITEM: string;
            DATA_ITEM: string;
            STATUS_INDICATOR: string;
            BADGE_COUNT: string;
            MESSAGE_RECEIPT: string;
            MESSAGE: string;
            RECEIPT_INFORMATION: string;
            NO_RECIPIENT: string;
            NO_RECIPIENTS: string;
            CONVERSATIONS_WITH_MESSAGES: string;
            CONVERSATIONS: string;
            CONVERSATION_LIST: string;
            MESSAGES: string;
            MESSAGE_HEADER: string;
            MESSAGE_LIST: string;
            MESSAGE_COMPOSER: string;
            USERS_WITH_MESSAGES: string;
            USER_LIST: string;
            GROUP_LIST: string;
            GROUPS_WITH_MESSAGES: string;
            NEW__GROUP: string;
            /**Properties and constants */
            PASSWORD: string;
            CONTINUE: string;
            NO_CHATS_SELECTED: string;
            NO_USERS_SELECTED: string;
            NO_GROUPS_SELECTED: string;
            SELECT_DAY: string;
            SELECT_TIME: string;
            NO_CALLS_SELECTED: string;
            SELECT__GROUP: string;
            SELECT__USER: string;
            GROUP_PASSWORD_BLANK: string;
            GROUP_NAME_BLANK: string;
            GROUP_TYPE_BLANK: string;
            DELETE_CONVERSATION: string;
            ADD_TO_CHAT: string;
            MORE: string;
            COPY: string;
            VOICE_RECORDING: string;
            MESSAGE_IMAGE: string;
            MESSAGE_FILE: string;
            MESSAGE_VIDEO: string;
            MESSAGE_AUDIO: string;
            CUSTOM_MESSAGE: string;
            SELECT_A_DATE: string;
            TIME_ZONE: string;
            MEETING_SCHEDULED: string;
            SOMETHING_WRONG: string;
            MEETING_SLOT_BOOK: string;
            MEETING_BOOK_NEW_SLOT: string;
            MEETING_NO_SLOTS_AVAILABLE: string;
            MEETING_TRY_DIFFERENT_DATE: string;
            NO_TIME_SLOTS_AVAILABLE: string;
            SCHEDULE: string;
            MORE_TIMES: string;
            MISSED_VOICE_CALL: string;
            MEET_WITH: string;
            MEETING_SCHEDULER: string;
            MISSED_VIDEO_CALL: string;
            CUSTOM_MESSAGE_POLL: string;
            CUSTOM_MESSAGE_STICKER: string;
            CUSTOM_MESSAGE_DOCUMENT: string;
            CUSTOM_MESSAGE_WHITEBOARD: string;
            ONLINE: string;
            ADMINISTRATOR: string;
            ADMIN: string;
            MODERATOR: string;
            PARTICIPANT: string;
            PUBLIC: string;
            PRIVATE: string;
            PASSWORD_PROTECTED: string;
            PRIVACY_AND_SECURITY: string;
            PREFERENCES: string;
            MEMBERS: string;
            MEMBER: string;
            TODAY: string;
            YESTERDAY: string;
            SUNDAY: string;
            MONDAY: string;
            TUESDAY: string;
            WEDNESDAY: string; /**
             * Returns the language code
             * @returns {String} language code i.e. en
             */
            THURSDAY: string;
            FRIDAY: string;
            SATURDAY: string;
            TYPING: string;
            IS_TYPING: string;
            CLOSE: string;
            ENTER_GROUP_NAME: string;
            ADD_MEMBERS: string;
            SEND_MESSAGE: string;
            UNBLOCK_USER: string;
            BLOCK_USER: string;
            DELETE_AND_EXIT: string;
            LEAVE_GROUP: string;
            CREATE_GROUP: string;
            SHARED_MEDIA: string;
            SHARED_FILE: string;
            VIDEO_CALL: string;
            AUDIO_CALL: string;
            LOADING: string;
            REPLY: string;
            REPLIES: string;
            AI: string;
            SMART_REPLIES: string;
            CONVERSATION_STARTER: string;
            LAUNCH: string;
            SHARED_COLLABORATIVE_DOCUMENT: string;
            SHARED_COLLABORATIVE_WHITEBOARD: string;
            CREATED_WHITEBOARD: string;
            CREATED_DOCUMENT: string;
            PHOTOS: string;
            VIDEOS: string;
            DOCUMENT: string;
            YOU_DELETED_THIS_MESSAGE: string;
            THIS_MESSAGE_DELETED: string;
            MESSAGE_IS_DELETED: string;
            VIEW_ON_YOUTUBE: string;
            SEARCH: string;
            NO_USERS_FOUND: string;
            ERROR: string;
            NO_GROUPS_FOUND: string;
            NO_CHATS_FOUND: string;
            CANT__LOAD__CHATS: string;
            MEDIA_MESSAGE: string;
            INCOMING_AUDIO_CALL: string;
            INCOMING_VIDEO_CALL: string;
            DECLINE: string;
            ACCEPT: string;
            CALL_INITIATED: string;
            OUTGOING_AUDIO_CALL: string;
            OUTGOING_VIDEO_CALL: string;
            CALL_REJECTED: string;
            REJECTED_CALL: string;
            CALL_ACCEPTED: string;
            OUTGOING_CALL: string;
            INCOMING_CALL: string;
            MISSED_CALL: string;
            JOINED: string;
            LEFT_THE_CALL: string;
            UNANSWERED_AUDIO_CALL: string;
            UNANSWERED_VIDEO_CALL: string;
            CALL_ENDED: string;
            CALL_CANCELLED: string;
            CALL_BUSY: string;
            CALLING: string;
            ADD: string;
            NO_BANNED_MEMBERS_FOUND: string;
            BANNED_MEMBERS: string;
            NAME: string;
            SCOPE: string;
            UNBAN: string;
            SELECT_GROUP_TYPE: string;
            ENTER_GROUP_PASSWORD: string;
            CREATE: string;
            CREATE_POLL: string;
            QUESTION: string;
            ENTER_YOUR_QUESTION: string;
            OPTIONS: string;
            ENTER_YOUR_OPTION: string;
            ADD_NEW_OPTION: string;
            VIEW_MEMBERS: string;
            DETAILS: string;
            NOTIFICATIONS: string;
            OTHER: string;
            HELP: string;
            REPORT_PROBLEM: string;
            GROUP_MEMBERS: string;
            BAN: string;
            KICK: string;
            PICK_YOUR_EMOJI: string;
            PRIVATE_GROUP: string;
            PROTECTED_GROUP: string;
            VISIT: string;
            ATTACH: string;
            OPEN_WHITEBOARD: string;
            ATTACH_FILE: string;
            GENERATING_REPLIES: string;
            ATTACH_VIDEO: string;
            ATTACH_AUDIO: string;
            ATTACH_IMAGE: string;
            COLLABORATE_USING_DOCUMENT: string;
            COLLABORATE_USING_WHITEBOARD: string;
            SUGGEST_A_REPLY: string;
            GENERATING_ICEBREAKERS: string;
            EMOJI: string;
            NO_REPLIES_FOUND: string;
            ENTER_YOUR_MESSAGE_HERE: string;
            NO_MESSAGES_FOUND: string;
            THREAD: string;
            COLLABORATIVE_DOCUMENT: string;
            COLLABORATIVE_WHITEBOARD: string;
            ADD_REACTION: string;
            NO_STICKERS_FOUND: string;
            REPLY_TO_THREAD: string;
            REPLY_IN_THREAD: string;
            VIEW: string;
            DELETE_MESSAGE: string;
            EDIT_MESSAGE: string;
            OWNER: string;
            CHANGE_SCOPE: string;
            STICKER: string;
            LAST_ACTIVE_AT: string;
            VOICE_CALL: string;
            VIEW_DETAIL: string;
            VOTES: string;
            VOTE: string;
            NO_VOTE: string;
            REACTED: string;
            ADDED: string;
            SHOW_UNSAFE_CONTENT: string;
            REACT_TO_MESSAGE: string;
            UNBANNED: string;
            MADE: string;
            CALL_UNANSWERED: string;
            MISSED_AUDIO_CALL: string;
            ENTER_YOUR_PASSWORD: string;
            DRAW_DOCUMENT_TOGETHER: string;
            DOCS: string;
            NO_RECORDS_FOUND: string;
            LIVE_REACTION: string;
            SMILEY_PEOPLE: string;
            DRAW_WHITEBOARD_TOGETHER: string;
            ANIMALES_NATURE: string;
            FOOD_DRINK: string;
            OPEN_DOCUMENT: string;
            ACTIVITY: string;
            TRAVEL_PLACES: string;
            OBJECTS: string;
            SYMBOLS: string;
            FLAGS: string;
            SENT: string;
            SEEN: string;
            DELIVERED: string;
            READ: string;
            MESSAGE_INFORMATION: string;
            TRANSLATE_MESSAGE: string;
            TRANSLATED_MESSAGE: string;
            LEFT: string;
            KICKED: string;
            BANNED: string;
            NEW_MESSAGES: string;
            NEW_MESSAGE: string;
            JUMP: string;
            SELECT_VIDEO_SOURCE: string;
            SELECT_INPUT_AUDIO_SOURCE: string;
            SELECT_OUTPUT_AUDIO_SOURCE: string;
            INITIATED_GROUP_CALL: string;
            YOU_INITIATED_GROUP_CALL: string;
            IGNORE: string;
            ON_ANOTHER_CALL: string;
            CREATING: string;
            AVATAR: string;
            ONGOING_CALL: string;
            YOU_ALREADY_ONGOING_CALL: string;
            RESIZE: string;
            SETTINGS: string;
            ACTIONS: string;
            VIEW_PROFILE: string;
            SEND_MESSAGE_IN_PRIVATE: string;
            DELETE: string;
            DELETE_CONFIRM: string;
            CANCEL: string;
            LEAVE_CONFIRM: string;
            TRANSFER_CONFIRM: string;
            ADDING: string;
            TRANSFER: string;
            TRANSFER_OWNERSHIP: string;
            TRANSFERRING: string;
            YES: string;
            NO: string;
            ANSWER: string;
            ADD_ANOTHER_ANSWER: string;
            SET_THE_ANSWERS: string;
            TRY_AGAIN: string;
            INVALID_GROUP_NAME: string;
            INVALID_PASSWORD: string;
            INVALID_GROUP_TYPE: string;
            WRONG_PASSWORD: string;
            INVALID_POLL_QUESTION: string;
            INVALID_POLL_OPTION: string;
            SAME_LANGUAGE_MESSAGE: string;
            LEAVE: string;
            CLICK_TO_START_CONVERSATION: string;
            CUSTOM_MESSAGE_LOCATION: string;
            SHARED_LOCATION: string;
            IN_A_THREAD: string;
            CALLS: string;
            CALL_DETAILS: string;
            OFFLINE: string;
            POLLS: string;
            YOU: string;
            PRIVACY: string;
            BLOCKED_USERS: string;
            "YOU'VE_BLOCKED": string;
            NO_PHOTOS: string;
            NO_VIDEOS: string;
            NO_DOCUMENTS: string;
            JOIN: string;
            REMOVE: string;
            BLOCK: string;
            CHANGE_ROLE: string;
            NEW_CHAT: string;
            FORM_COMPLETION_MESSAGE: string;
            HISTORY: string;
            CANCELLED_AUDIO_CALL: string;
            CANCELLED_VIDEO_CALL: string;
            REJECTED_AUDIO_CALL: string;
            REJECTED_VIDEO_CALL: string;
            CANCELLED_CALL: string;
            UNANSWERED_CALL: string;
            RECORDING: string;
            PARTICIPANTS: string;
            CALL_HISTORY: string;
            NO_CALLS_FOUND: string;
            ONGOING_AUDIO_CALL: string;
            ONGOING_VIDEO_CALL: string;
            CALL_DETAIL: string;
            FORM: string;
            CARD: string;
            GENERATING_SUMMARY: string;
            CONVERSATION_SUMMARY: string;
            GENERATE_SUMMARY: string;
            COMETCHAT_BOT_FIRST_MESSAGE: string;
            COMETCHAT_ASK_BOT: string;
            COMETCHAT_ASK_AI_BOT: string;
            COMETCHAT_ASK_BOT_SUBTITLE: string;
            MENTIONS_LIMIT_WARNING_MESSAGE: string;
            ALL: string;
            CLICK_TO_REMOVE: string;
            OTHERS: string;
            AND: string;
        };
        sv: {
            INFO: string;
            REACT: string;
            EDIT: string;
            MESSAGE_PRIVATELY: string;
            TRANSLATE: string;
            USERS: string;
            CHATS: string;
            WOULD__YOU_LIKE_TO_DELETE_THIS_CONVERSATION: string;
            GROUPS: string;
            SHARED: string;
            SOUND_MANAGER: string;
            THEME: string;
            LOCALIZE: string;
            CONVERSATION_LIST_ITEM: string;
            DATA_ITEM: string;
            STATUS_INDICATOR: string;
            BADGE_COUNT: string;
            MESSAGE_RECEIPT: string;
            MESSAGE: string;
            RECEIPT_INFORMATION: string;
            NO_RECIPIENT: string;
            NO_RECIPIENTS: string;
            CONVERSATIONS_WITH_MESSAGES: string;
            CONVERSATIONS: string;
            CONVERSATION_LIST: string;
            MESSAGES: string;
            MESSAGE_HEADER: string;
            MESSAGE_LIST: string;
            MESSAGE_COMPOSER: string;
            USERS_WITH_MESSAGES: string;
            USER_LIST: string;
            GROUP_LIST: string;
            GROUPS_WITH_MESSAGES: string;
            NEW__GROUP: string;
            PASSWORD: string;
            CONTINUE: string;
            NO_CHATS_SELECTED: string;
            NO_USERS_SELECTED: string;
            NO_GROUPS_SELECTED: string;
            SELECT_DAY: string;
            SELECT_TIME: string;
            NO_CALLS_SELECTED: string;
            SELECT__GROUP: string;
            SELECT__USER: string;
            GROUP_PASSWORD_BLANK: string;
            GROUP_NAME_BLANK: string;
            GROUP_TYPE_BLANK: string;
            DELETE_CONVERSATION: string;
            ADD_TO_CHAT: string;
            MORE: string;
            COPY: string;
            VOICE_RECORDING: string;
            MESSAGE_IMAGE: string;
            MESSAGE_FILE: string;
            MESSAGE_VIDEO: string;
            MESSAGE_AUDIO: string;
            CUSTOM_MESSAGE: string;
            SELECT_A_DATE: string;
            TIME_ZONE: string;
            MEETING_SCHEDULED: string;
            SOMETHING_WRONG: string;
            MEETING_SLOT_BOOK: string;
            MEETING_BOOK_NEW_SLOT: string;
            MEETING_NO_SLOTS_AVAILABLE: string;
            MEETING_TRY_DIFFERENT_DATE: string;
            NO_TIME_SLOTS_AVAILABLE: string;
            SCHEDULE: string;
            MORE_TIMES: string;
            MISSED_VOICE_CALL: string;
            MEET_WITH: string;
            MEETING_SCHEDULER: string;
            MISSED_VIDEO_CALL: string;
            CUSTOM_MESSAGE_POLL: string;
            CUSTOM_MESSAGE_STICKER: string;
            CUSTOM_MESSAGE_DOCUMENT: string;
            CUSTOM_MESSAGE_WHITEBOARD: string;
            ONLINE: string;
            ADMINISTRATOR: string;
            ADMIN: string;
            MODERATOR: string;
            PARTICIPANT: string;
            PUBLIC: string;
            PRIVATE: string;
            PASSWORD_PROTECTED: string;
            PRIVACY_AND_SECURITY: string;
            PREFERENCES: string;
            MEMBERS: string;
            MEMBER: string;
            TODAY: string;
            YESTERDAY: string;
            SUNDAY: string;
            MONDAY: string;
            TUESDAY: string;
            WEDNESDAY: string;
            THURSDAY: string;
            FRIDAY: string;
            SATURDAY: string;
            TYPING: string;
            IS_TYPING: string;
            CLOSE: string;
            ENTER_GROUP_NAME: string;
            ADD_MEMBERS: string;
            SEND_MESSAGE: string;
            UNBLOCK_USER: string;
            BLOCK_USER: string;
            DELETE_AND_EXIT: string;
            LEAVE_GROUP: string;
            CREATE_GROUP: string;
            SHARED_MEDIA: string;
            SHARED_FILE: string;
            VIDEO_CALL: string;
            AUDIO_CALL: string;
            LOADING: string;
            REPLY: string;
            REPLIES: string;
            AI: string;
            SMART_REPLIES: string;
            CONVERSATION_STARTER: string;
            LAUNCH: string;
            SHARED_COLLABORATIVE_DOCUMENT: string;
            SHARED_COLLABORATIVE_WHITEBOARD: string;
            CREATED_WHITEBOARD: string;
            CREATED_DOCUMENT: string;
            PHOTOS: string;
            VIDEOS: string;
            DOCUMENT: string;
            YOU_DELETED_THIS_MESSAGE: string;
            THIS_MESSAGE_DELETED: string;
            MESSAGE_IS_DELETED: string;
            VIEW_ON_YOUTUBE: string;
            SEARCH: string;
            NO_USERS_FOUND: string;
            ERROR: string;
            NO_GROUPS_FOUND: string;
            NO_CHATS_FOUND: string;
            CANT__LOAD__CHATS: string;
            MEDIA_MESSAGE: string;
            INCOMING_AUDIO_CALL: string;
            INCOMING_VIDEO_CALL: string;
            DECLINE: string;
            ACCEPT: string;
            CALL_INITIATED: string;
            OUTGOING_AUDIO_CALL: string;
            OUTGOING_VIDEO_CALL: string;
            CALL_REJECTED: string;
            REJECTED_CALL: string;
            CALL_ACCEPTED: string;
            OUTGOING_CALL: string;
            INCOMING_CALL: string;
            MISSED_CALL: string;
            JOINED: string;
            LEFT_THE_CALL: string;
            UNANSWERED_AUDIO_CALL: string;
            UNANSWERED_VIDEO_CALL: string;
            CALL_ENDED: string;
            CALL_CANCELLED: string;
            CALL_BUSY: string;
            CALLING: string;
            ADD: string;
            NO_BANNED_MEMBERS_FOUND: string;
            BANNED_MEMBERS: string;
            NAME: string;
            SCOPE: string;
            UNBAN: string;
            SELECT_GROUP_TYPE: string;
            ENTER_GROUP_PASSWORD: string;
            CREATE: string;
            CREATE_POLL: string;
            QUESTION: string;
            ENTER_YOUR_QUESTION: string;
            OPTIONS: string;
            ENTER_YOUR_OPTION: string;
            ADD_NEW_OPTION: string;
            VIEW_MEMBERS: string;
            DETAILS: string;
            NOTIFICATIONS: string;
            OTHER: string;
            HELP: string;
            REPORT_PROBLEM: string;
            GROUP_MEMBERS: string;
            BAN: string;
            KICK: string;
            PICK_YOUR_EMOJI: string;
            PRIVATE_GROUP: string;
            PROTECTED_GROUP: string;
            VISIT: string;
            ATTACH: string;
            OPEN_WHITEBOARD: string;
            ATTACH_FILE: string;
            GENERATING_REPLIES: string;
            ATTACH_VIDEO: string;
            ATTACH_AUDIO: string;
            ATTACH_IMAGE: string;
            COLLABORATE_USING_DOCUMENT: string;
            COLLABORATE_USING_WHITEBOARD: string;
            SUGGEST_A_REPLY: string;
            GENERATING_ICEBREAKERS: string;
            EMOJI: string;
            NO_REPLIES_FOUND: string;
            ENTER_YOUR_MESSAGE_HERE: string;
            NO_MESSAGES_FOUND: string;
            THREAD: string;
            COLLABORATIVE_DOCUMENT: string;
            COLLABORATIVE_WHITEBOARD: string;
            ADD_REACTION: string;
            NO_STICKERS_FOUND: string;
            REPLY_TO_THREAD: string;
            REPLY_IN_THREAD: string;
            VIEW: string;
            DELETE_MESSAGE: string;
            EDIT_MESSAGE: string;
            OWNER: string;
            CHANGE_SCOPE: string;
            STICKER: string;
            LAST_ACTIVE_AT: string;
            VOICE_CALL: string;
            VIEW_DETAIL: string;
            VOTES: string;
            VOTE: string;
            NO_VOTE: string;
            REACTED: string;
            ADDED: string;
            SHOW_UNSAFE_CONTENT: string;
            REACT_TO_MESSAGE: string;
            UNBANNED: string;
            MADE: string;
            CALL_UNANSWERED: string;
            MISSED_AUDIO_CALL: string;
            ENTER_YOUR_PASSWORD: string;
            DRAW_DOCUMENT_TOGETHER: string;
            DOCS: string;
            NO_RECORDS_FOUND: string;
            LIVE_REACTION: string;
            SMILEY_PEOPLE: string;
            DRAW_WHITEBOARD_TOGETHER: string;
            ANIMALES_NATURE: string;
            FOOD_DRINK: string;
            OPEN_DOCUMENT: string;
            ACTIVITY: string;
            TRAVEL_PLACES: string;
            OBJECTS: string;
            SYMBOLS: string;
            FLAGS: string;
            SENT: string;
            SEEN: string;
            DELIVERED: string;
            READ: string;
            MESSAGE_INFORMATION: string;
            TRANSLATE_MESSAGE: string;
            TRANSLATED_MESSAGE: string;
            LEFT: string;
            KICKED: string;
            BANNED: string;
            NEW_MESSAGES: string;
            NEW_MESSAGE: string;
            JUMP: string;
            SELECT_VIDEO_SOURCE: string;
            SELECT_INPUT_AUDIO_SOURCE: string;
            SELECT_OUTPUT_AUDIO_SOURCE: string;
            INITIATED_GROUP_CALL: string;
            YOU_INITIATED_GROUP_CALL: string;
            IGNORE: string;
            ON_ANOTHER_CALL: string;
            CREATING: string;
            AVATAR: string;
            ONGOING_CALL: string;
            YOU_ALREADY_ONGOING_CALL: string;
            RESIZE: string;
            SETTINGS: string;
            ACTIONS: string;
            VIEW_PROFILE: string;
            SEND_MESSAGE_IN_PRIVATE: string;
            DELETE: string;
            DELETE_CONFIRM: string;
            CANCEL: string;
            LEAVE_CONFIRM: string;
            TRANSFER_CONFIRM: string;
            ADDING: string;
            TRANSFER: string;
            TRANSFER_OWNERSHIP: string;
            TRANSFERRING: string;
            YES: string;
            NO: string;
            ANSWER: string;
            ADD_ANOTHER_ANSWER: string;
            SET_THE_ANSWERS: string;
            TRY_AGAIN: string;
            INVALID_GROUP_NAME: string;
            INVALID_PASSWORD: string;
            INVALID_GROUP_TYPE: string;
            WRONG_PASSWORD: string;
            INVALID_POLL_QUESTION: string;
            INVALID_POLL_OPTION: string;
            SAME_LANGUAGE_MESSAGE: string;
            LEAVE: string;
            CLICK_TO_START_CONVERSATION: string;
            CUSTOM_MESSAGE_LOCATION: string;
            SHARED_LOCATION: string;
            IN_A_THREAD: string;
            CALLS: string;
            CALL_DETAILS: string;
            OFFLINE: string;
            POLLS: string;
            YOU: string;
            PRIVACY: string;
            BLOCKED_USERS: string;
            "YOU'VE_BLOCKED": string;
            NO_PHOTOS: string;
            NO_VIDEOS: string;
            NO_DOCUMENTS: string;
            JOIN: string;
            REMOVE: string;
            BLOCK: string;
            CHANGE_ROLE: string;
            NEW_CHAT: string;
            FORM_COMPLETION_MESSAGE: string;
            HISTORY: string;
            CANCELLED_AUDIO_CALL: string;
            CANCELLED_VIDEO_CALL: string;
            REJECTED_AUDIO_CALL: string;
            REJECTED_VIDEO_CALL: string;
            CANCELLED_CALL: string;
            UNANSWERED_CALL: string;
            RECORDING: string;
            PARTICIPANTS: string;
            CALL_HISTORY: string;
            NO_CALLS_FOUND: string;
            ONGOING_AUDIO_CALL: string;
            ONGOING_VIDEO_CALL: string;
            CALL_DETAIL: string;
            FORM: string;
            CARD: string;
            GENERATING_SUMMARY: string;
            CONVERSATION_SUMMARY: string;
            GENERATE_SUMMARY: string;
            COMETCHAT_BOT_FIRST_MESSAGE: string;
            COMETCHAT_ASK_BOT: string;
            COMETCHAT_ASK_AI_BOT: string;
            COMETCHAT_ASK_BOT_SUBTITLE: string;
            MENTIONS_LIMIT_WARNING_MESSAGE: string;
            ALL: string;
            CLICK_TO_REMOVE: string;
            OTHERS: string;
            AND: string;
        };
        lt: {
            INFO: string;
            REACT: string;
            EDIT: string;
            MESSAGE_PRIVATELY: string;
            TRANSLATE: string;
            USERS: string;
            CHATS: string;
            WOULD__YOU_LIKE_TO_DELETE_THIS_CONVERSATION: string;
            GROUPS: string;
            SHARED: string;
            SOUND_MANAGER: string;
            THEME: string;
            LOCALIZE: string;
            CONVERSATION_LIST_ITEM: string;
            DATA_ITEM: string;
            STATUS_INDICATOR: string;
            BADGE_COUNT: string;
            MESSAGE_RECEIPT: string;
            MESSAGE: string;
            RECEIPT_INFORMATION: string;
            NO_RECIPIENT: string;
            NO_RECIPIENTS: string;
            CONVERSATIONS_WITH_MESSAGES: string;
            CONVERSATIONS: string;
            CONVERSATION_LIST: string;
            MESSAGES: string;
            MESSAGE_HEADER: string;
            MESSAGE_LIST: string;
            MESSAGE_COMPOSER: string;
            USERS_WITH_MESSAGES: string;
            USER_LIST: string;
            GROUP_LIST: string;
            GROUPS_WITH_MESSAGES: string;
            NEW__GROUP: string;
            PASSWORD: string;
            CONTINUE: string;
            /**
             * @param  {string=""} language
             * @param  {object={}} resources
             */
            NO_CHATS_SELECTED: string;
            NO_USERS_SELECTED: string;
            NO_GROUPS_SELECTED: string;
            SELECT_DAY: string;
            SELECT_TIME: string;
            NO_CALLS_SELECTED: string;
            SELECT__GROUP: string;
            SELECT__USER: string;
            GROUP_PASSWORD_BLANK: string;
            GROUP_NAME_BLANK: string;
            GROUP_TYPE_BLANK: string;
            DELETE_CONVERSATION: string;
            ADD_TO_CHAT: string;
            MORE: string;
            COPY: string;
            VOICE_RECORDING: string;
            MESSAGE_IMAGE: string;
            MESSAGE_FILE: string;
            MESSAGE_VIDEO: string;
            MESSAGE_AUDIO: string;
            CUSTOM_MESSAGE: string;
            SELECT_A_DATE: string;
            TIME_ZONE: string;
            MEETING_SCHEDULED: string;
            SOMETHING_WRONG: string;
            MEETING_SLOT_BOOK: string;
            MEETING_BOOK_NEW_SLOT: string;
            MEETING_NO_SLOTS_AVAILABLE: string;
            MEETING_TRY_DIFFERENT_DATE: string;
            NO_TIME_SLOTS_AVAILABLE: string;
            SCHEDULE: string;
            MORE_TIMES: string;
            MISSED_VOICE_CALL: string;
            MEET_WITH: string;
            MEETING_SCHEDULER: string;
            MISSED_VIDEO_CALL: string;
            CUSTOM_MESSAGE_POLL: string;
            CUSTOM_MESSAGE_STICKER: string;
            CUSTOM_MESSAGE_DOCUMENT: string;
            CUSTOM_MESSAGE_WHITEBOARD: string;
            /**
             * Set the active language
             * @param {String} language
             */
            ONLINE: string;
            ADMINISTRATOR: string;
            ADMIN: string;
            MODERATOR: string;
            PARTICIPANT: string;
            PUBLIC: string;
            PRIVATE: string;
            PASSWORD_PROTECTED: string;
            PRIVACY_AND_SECURITY: string;
            PREFERENCES: string;
            MEMBERS: string;
            MEMBER: string;
            TODAY: string;
            YESTERDAY: string;
            SUNDAY: string;
            MONDAY: string;
            TUESDAY: string;
            WEDNESDAY: string;
            THURSDAY: string;
            FRIDAY: string;
            SATURDAY: string;
            TYPING: string;
            IS_TYPING: string;
            CLOSE: string;
            ENTER_GROUP_NAME: string;
            ADD_MEMBERS: string;
            SEND_MESSAGE: string;
            UNBLOCK_USER: string;
            BLOCK_USER: string;
            DELETE_AND_EXIT: string;
            LEAVE_GROUP: string;
            CREATE_GROUP: string;
            SHARED_MEDIA: string;
            SHARED_FILE: string;
            VIDEO_CALL: string;
            AUDIO_CALL: string;
            LOADING: string;
            REPLY: string;
            REPLIES: string;
            AI: string;
            SMART_REPLIES: string;
            CONVERSATION_STARTER: string;
            LAUNCH: string;
            SHARED_COLLABORATIVE_DOCUMENT: string;
            SHARED_COLLABORATIVE_WHITEBOARD: string;
            CREATED_WHITEBOARD: string;
            CREATED_DOCUMENT: string;
            PHOTOS: string;
            VIDEOS: string;
            DOCUMENT: string;
            YOU_DELETED_THIS_MESSAGE: string;
            THIS_MESSAGE_DELETED: string;
            MESSAGE_IS_DELETED: string;
            VIEW_ON_YOUTUBE: string;
            SEARCH: string;
            NO_USERS_FOUND: string;
            ERROR: string;
            NO_GROUPS_FOUND: string;
            NO_CHATS_FOUND: string;
            CANT__LOAD__CHATS: string;
            MEDIA_MESSAGE: string;
            INCOMING_AUDIO_CALL: string;
            INCOMING_VIDEO_CALL: string;
            DECLINE: string;
            ACCEPT: string;
            CALL_INITIATED: string;
            OUTGOING_AUDIO_CALL: string;
            OUTGOING_VIDEO_CALL: string;
            CALL_REJECTED: string;
            REJECTED_CALL: string;
            CALL_ACCEPTED: string;
            OUTGOING_CALL: string;
            INCOMING_CALL: string;
            MISSED_CALL: string;
            JOINED: string;
            LEFT_THE_CALL: string;
            UNANSWERED_AUDIO_CALL: string;
            UNANSWERED_VIDEO_CALL: string;
            CALL_ENDED: string;
            CALL_CANCELLED: string;
            CALL_BUSY: string;
            CALLING: string;
            ADD: string;
            NO_BANNED_MEMBERS_FOUND: string;
            BANNED_MEMBERS: string;
            NAME: string;
            SCOPE: string;
            UNBAN: string;
            SELECT_GROUP_TYPE: string;
            ENTER_GROUP_PASSWORD: string;
            CREATE: string;
            CREATE_POLL: string;
            QUESTION: string;
            ENTER_YOUR_QUESTION: string;
            OPTIONS: string;
            ENTER_YOUR_OPTION: string;
            ADD_NEW_OPTION: string;
            VIEW_MEMBERS: string;
            DETAILS: string;
            NOTIFICATIONS: string;
            OTHER: string;
            HELP: string;
            REPORT_PROBLEM: string;
            GROUP_MEMBERS: string;
            BAN: string;
            KICK: string;
            PICK_YOUR_EMOJI: string;
            PRIVATE_GROUP: string;
            PROTECTED_GROUP: string;
            VISIT: string;
            ATTACH: string;
            OPEN_WHITEBOARD: string;
            ATTACH_FILE: string;
            GENERATING_REPLIES: string;
            ATTACH_VIDEO: string;
            ATTACH_AUDIO: string;
            ATTACH_IMAGE: string;
            COLLABORATE_USING_DOCUMENT: string;
            COLLABORATE_USING_WHITEBOARD: string;
            SUGGEST_A_REPLY: string;
            GENERATING_ICEBREAKERS: string;
            EMOJI: string;
            NO_REPLIES_FOUND: string;
            ENTER_YOUR_MESSAGE_HERE: string;
            NO_MESSAGES_FOUND: string;
            THREAD: string;
            COLLABORATIVE_DOCUMENT: string;
            COLLABORATIVE_WHITEBOARD: string;
            ADD_REACTION: string;
            NO_STICKERS_FOUND: string;
            REPLY_TO_THREAD: string;
            REPLY_IN_THREAD: string;
            VIEW: string;
            DELETE_MESSAGE: string;
            EDIT_MESSAGE: string;
            OWNER: string;
            CHANGE_SCOPE: string;
            STICKER: string;
            LAST_ACTIVE_AT: string;
            VOICE_CALL: string;
            VIEW_DETAIL: string;
            VOTES: string;
            VOTE: string;
            NO_VOTE: string;
            REACTED: string;
            ADDED: string;
            SHOW_UNSAFE_CONTENT: string;
            REACT_TO_MESSAGE: string;
            UNBANNED: string;
            MADE: string;
            CALL_UNANSWERED: string;
            MISSED_AUDIO_CALL: string;
            ENTER_YOUR_PASSWORD: string;
            DRAW_DOCUMENT_TOGETHER: string;
            DOCS: string;
            NO_RECORDS_FOUND: string;
            LIVE_REACTION: string;
            SMILEY_PEOPLE: string;
            DRAW_WHITEBOARD_TOGETHER: string;
            ANIMALES_NATURE: string;
            FOOD_DRINK: string;
            OPEN_DOCUMENT: string;
            ACTIVITY: string;
            TRAVEL_PLACES: string;
            OBJECTS: string;
            SYMBOLS: string;
            FLAGS: string;
            SENT: string;
            SEEN: string;
            DELIVERED: string;
            READ: string;
            MESSAGE_INFORMATION: string;
            TRANSLATE_MESSAGE: string;
            TRANSLATED_MESSAGE: string;
            LEFT: string;
            KICKED: string;
            BANNED: string;
            NEW_MESSAGES: string;
            NEW_MESSAGE: string;
            JUMP: string;
            SELECT_VIDEO_SOURCE: string;
            SELECT_INPUT_AUDIO_SOURCE: string;
            SELECT_OUTPUT_AUDIO_SOURCE: string;
            INITIATED_GROUP_CALL: string;
            YOU_INITIATED_GROUP_CALL: string;
            IGNORE: string;
            ON_ANOTHER_CALL: string;
            CREATING: string;
            AVATAR: string;
            ONGOING_CALL: string;
            YOU_ALREADY_ONGOING_CALL: string;
            RESIZE: string;
            SETTINGS: string;
            ACTIONS: string;
            VIEW_PROFILE: string;
            SEND_MESSAGE_IN_PRIVATE: string;
            DELETE: string;
            DELETE_CONFIRM: string;
            CANCEL: string;
            LEAVE_CONFIRM: string;
            TRANSFER_CONFIRM: string;
            ADDING: string;
            TRANSFER: string;
            TRANSFER_OWNERSHIP: string;
            TRANSFERRING: string;
            YES: string;
            NO: string;
            ANSWER: string;
            ADD_ANOTHER_ANSWER: string;
            SET_THE_ANSWERS: string;
            TRY_AGAIN: string;
            INVALID_GROUP_NAME: string;
            INVALID_PASSWORD: string;
            INVALID_GROUP_TYPE: string;
            WRONG_PASSWORD: string;
            INVALID_POLL_QUESTION: string;
            INVALID_POLL_OPTION: string;
            SAME_LANGUAGE_MESSAGE: string;
            LEAVE: string;
            CLICK_TO_START_CONVERSATION: string;
            CUSTOM_MESSAGE_LOCATION: string;
            SHARED_LOCATION: string;
            IN_A_THREAD: string;
            CALLS: string;
            CALL_DETAILS: string;
            OFFLINE: string;
            POLLS: string;
            YOU: string;
            PRIVACY: string;
            BLOCKED_USERS: string;
            "YOU'VE_BLOCKED": string;
            NO_PHOTOS: string;
            NO_VIDEOS: string;
            NO_DOCUMENTS: string;
            JOIN: string;
            REMOVE: string;
            BLOCK: string;
            CHANGE_ROLE: string;
            NEW_CHAT: string;
            FORM_COMPLETION_MESSAGE: string;
            HISTORY: string;
            CANCELLED_AUDIO_CALL: string;
            CANCELLED_VIDEO_CALL: string;
            REJECTED_AUDIO_CALL: string;
            REJECTED_VIDEO_CALL: string;
            CANCELLED_CALL: string;
            UNANSWERED_CALL: string;
            RECORDING: string;
            PARTICIPANTS: string;
            CALL_HISTORY: string;
            NO_CALLS_FOUND: string;
            ONGOING_AUDIO_CALL: string;
            ONGOING_VIDEO_CALL: string;
            CALL_DETAIL: string;
            FORM: string;
            CARD: string;
            GENERATING_SUMMARY: string;
            CONVERSATION_SUMMARY: string;
            GENERATE_SUMMARY: string;
            COMETCHAT_BOT_FIRST_MESSAGE: string;
            COMETCHAT_ASK_BOT: string;
            COMETCHAT_ASK_AI_BOT: string;
            COMETCHAT_ASK_BOT_SUBTITLE: string;
            MENTIONS_LIMIT_WARNING_MESSAGE: string;
            ALL: string;
            CLICK_TO_REMOVE: string;
            OTHERS: string;
            AND: string;
        };
        hu: {
            INFO: string;
            REACT: string;
            EDIT: string;
            MESSAGE_PRIVATELY: string;
            TRANSLATE: string;
            USERS: string;
            CHATS: string;
            WOULD__YOU_LIKE_TO_DELETE_THIS_CONVERSATION: string;
            GROUPS: string;
            SHARED: string;
            SOUND_MANAGER: string;
            THEME: string;
            LOCALIZE: string;
            CONVERSATION_LIST_ITEM: string;
            DATA_ITEM: string;
            STATUS_INDICATOR: string;
            BADGE_COUNT: string;
            MESSAGE_RECEIPT: string;
            MESSAGE: string;
            RECEIPT_INFORMATION: string;
            NO_RECIPIENT: string;
            NO_RECIPIENTS: string;
            CONVERSATIONS_WITH_MESSAGES: string;
            CONVERSATIONS: string;
            CONVERSATION_LIST: string;
            MESSAGES: string;
            MESSAGE_HEADER: string;
            MESSAGE_LIST: string;
            MESSAGE_COMPOSER: string;
            USERS_WITH_MESSAGES: string;
            USER_LIST: string;
            GROUP_LIST: string;
            GROUPS_WITH_MESSAGES: string;
            NEW__GROUP: string;
            PASSWORD: string;
            CONTINUE: string;
            NO_CHATS_SELECTED: string;
            NO_USERS_SELECTED: string;
            NO_GROUPS_SELECTED: string;
            SELECT_DAY: string;
            SELECT_TIME: string;
            NO_CALLS_SELECTED: string;
            SELECT__GROUP: string;
            SELECT__USER: string;
            GROUP_PASSWORD_BLANK: string;
            GROUP_NAME_BLANK: string;
            GROUP_TYPE_BLANK: string;
            DELETE_CONVERSATION: string;
            ADD_TO_CHAT: string;
            MORE: string;
            COPY: string;
            VOICE_RECORDING: string;
            MESSAGE_IMAGE: string;
            MESSAGE_FILE: string;
            MESSAGE_VIDEO: string;
            MESSAGE_AUDIO: string;
            CUSTOM_MESSAGE: string;
            SELECT_A_DATE: string;
            TIME_ZONE: string;
            MEETING_SCHEDULED: string;
            SOMETHING_WRONG: string;
            MEETING_SLOT_BOOK: string;
            MEETING_BOOK_NEW_SLOT: string;
            MEETING_NO_SLOTS_AVAILABLE: string;
            MEETING_TRY_DIFFERENT_DATE: string;
            NO_TIME_SLOTS_AVAILABLE: string;
            SCHEDULE: string;
            MORE_TIMES: string;
            MISSED_VOICE_CALL: string;
            MEET_WITH: string;
            MEETING_SCHEDULER: string;
            MISSED_VIDEO_CALL: string;
            CUSTOM_MESSAGE_POLL: string;
            CUSTOM_MESSAGE_STICKER: string;
            CUSTOM_MESSAGE_DOCUMENT: string;
            CUSTOM_MESSAGE_WHITEBOARD: string;
            ONLINE: string;
            ADMINISTRATOR: string;
            ADMIN: string;
            MODERATOR: string;
            PARTICIPANT: string;
            PUBLIC: string;
            PRIVATE: string;
            PASSWORD_PROTECTED: string;
            PRIVACY_AND_SECURITY: string;
            PREFERENCES: string;
            MEMBERS: string;
            MEMBER: string;
            TODAY: string;
            YESTERDAY: string;
            SUNDAY: string;
            MONDAY: string;
            TUESDAY: string;
            WEDNESDAY: string;
            THURSDAY: string;
            FRIDAY: string;
            SATURDAY: string;
            TYPING: string;
            IS_TYPING: string;
            CLOSE: string;
            ENTER_GROUP_NAME: string;
            ADD_MEMBERS: string;
            SEND_MESSAGE: string;
            UNBLOCK_USER: string;
            BLOCK_USER: string;
            DELETE_AND_EXIT: string;
            LEAVE_GROUP: string;
            CREATE_GROUP: string;
            SHARED_MEDIA: string;
            SHARED_FILE: string;
            VIDEO_CALL: string;
            AUDIO_CALL: string;
            LOADING: string;
            REPLY: string;
            REPLIES: string;
            AI: string;
            SMART_REPLIES: string;
            CONVERSATION_STARTER: string;
            LAUNCH: string;
            SHARED_COLLABORATIVE_DOCUMENT: string;
            SHARED_COLLABORATIVE_WHITEBOARD: string;
            CREATED_WHITEBOARD: string;
            CREATED_DOCUMENT: string;
            PHOTOS: string;
            VIDEOS: string;
            DOCUMENT: string;
            YOU_DELETED_THIS_MESSAGE: string;
            THIS_MESSAGE_DELETED: string;
            MESSAGE_IS_DELETED: string;
            VIEW_ON_YOUTUBE: string;
            SEARCH: string;
            NO_USERS_FOUND: string;
            ERROR: string;
            NO_GROUPS_FOUND: string;
            NO_CHATS_FOUND: string;
            CANT__LOAD__CHATS: string;
            MEDIA_MESSAGE: string;
            INCOMING_AUDIO_CALL: string;
            INCOMING_VIDEO_CALL: string;
            DECLINE: string;
            ACCEPT: string;
            CALL_INITIATED: string;
            OUTGOING_AUDIO_CALL: string;
            OUTGOING_VIDEO_CALL: string;
            CALL_REJECTED: string;
            REJECTED_CALL: string;
            CALL_ACCEPTED: string;
            OUTGOING_CALL: string;
            INCOMING_CALL: string;
            MISSED_CALL: string;
            JOINED: string;
            LEFT_THE_CALL: string;
            UNANSWERED_AUDIO_CALL: string;
            UNANSWERED_VIDEO_CALL: string;
            CALL_ENDED: string;
            CALL_CANCELLED: string;
            CALL_BUSY: string;
            CALLING: string;
            ADD: string;
            NO_BANNED_MEMBERS_FOUND: string;
            BANNED_MEMBERS: string;
            NAME: string;
            SCOPE: string;
            UNBAN: string;
            SELECT_GROUP_TYPE: string;
            ENTER_GROUP_PASSWORD: string;
            CREATE: string;
            CREATE_POLL: string;
            QUESTION: string;
            ENTER_YOUR_QUESTION: string;
            OPTIONS: string;
            ENTER_YOUR_OPTION: string;
            ADD_NEW_OPTION: string;
            VIEW_MEMBERS: string;
            DETAILS: string;
            NOTIFICATIONS: string;
            OTHER: string;
            HELP: string;
            REPORT_PROBLEM: string;
            GROUP_MEMBERS: string;
            BAN: string;
            KICK: string;
            PICK_YOUR_EMOJI: string;
            PRIVATE_GROUP: string;
            PROTECTED_GROUP: string;
            VISIT: string;
            ATTACH: string;
            OPEN_WHITEBOARD: string;
            ATTACH_FILE: string;
            GENERATING_REPLIES: string;
            ATTACH_VIDEO: string;
            ATTACH_AUDIO: string;
            ATTACH_IMAGE: string;
            COLLABORATE_USING_DOCUMENT: string;
            COLLABORATE_USING_WHITEBOARD: string;
            SUGGEST_A_REPLY: string;
            GENERATING_ICEBREAKERS: string;
            EMOJI: string;
            NO_REPLIES_FOUND: string;
            ENTER_YOUR_MESSAGE_HERE: string;
            NO_MESSAGES_FOUND: string;
            THREAD: string;
            COLLABORATIVE_DOCUMENT: string;
            COLLABORATIVE_WHITEBOARD: string;
            ADD_REACTION: string;
            NO_STICKERS_FOUND: string;
            REPLY_TO_THREAD: string;
            REPLY_IN_THREAD: string;
            VIEW: string;
            DELETE_MESSAGE: string;
            EDIT_MESSAGE: string;
            OWNER: string;
            CHANGE_SCOPE: string;
            STICKER: string;
            LAST_ACTIVE_AT: string;
            VOICE_CALL: string;
            VIEW_DETAIL: string;
            VOTES: string;
            VOTE: string;
            NO_VOTE: string;
            REACTED: string;
            ADDED: string;
            SHOW_UNSAFE_CONTENT: string;
            REACT_TO_MESSAGE: string;
            UNBANNED: string;
            MADE: string;
            CALL_UNANSWERED: string;
            MISSED_AUDIO_CALL: string;
            ENTER_YOUR_PASSWORD: string;
            DRAW_DOCUMENT_TOGETHER: string;
            DOCS: string;
            NO_RECORDS_FOUND: string;
            LIVE_REACTION: string;
            SMILEY_PEOPLE: string;
            DRAW_WHITEBOARD_TOGETHER: string;
            ANIMALES_NATURE: string;
            FOOD_DRINK: string;
            OPEN_DOCUMENT: string;
            ACTIVITY: string;
            TRAVEL_PLACES: string;
            OBJECTS: string;
            SYMBOLS: string;
            FLAGS: string;
            SENT: string;
            SEEN: string;
            DELIVERED: string;
            READ: string;
            MESSAGE_INFORMATION: string;
            TRANSLATE_MESSAGE: string;
            TRANSLATED_MESSAGE: string;
            LEFT: string;
            KICKED: string;
            BANNED: string;
            NEW_MESSAGES: string;
            NEW_MESSAGE: string;
            JUMP: string;
            SELECT_VIDEO_SOURCE: string;
            SELECT_INPUT_AUDIO_SOURCE: string;
            SELECT_OUTPUT_AUDIO_SOURCE: string;
            INITIATED_GROUP_CALL: string;
            YOU_INITIATED_GROUP_CALL: string;
            IGNORE: string;
            ON_ANOTHER_CALL: string;
            CREATING: string;
            AVATAR: string;
            ONGOING_CALL: string;
            YOU_ALREADY_ONGOING_CALL: string;
            RESIZE: string;
            SETTINGS: string;
            ACTIONS: string;
            VIEW_PROFILE: string;
            SEND_MESSAGE_IN_PRIVATE: string;
            DELETE: string;
            DELETE_CONFIRM: string;
            CANCEL: string;
            LEAVE_CONFIRM: string;
            TRANSFER_CONFIRM: string;
            ADDING: string;
            TRANSFER: string;
            TRANSFER_OWNERSHIP: string;
            TRANSFERRING: string;
            YES: string;
            NO: string;
            ANSWER: string;
            ADD_ANOTHER_ANSWER: string;
            SET_THE_ANSWERS: string;
            TRY_AGAIN: string;
            INVALID_GROUP_NAME: string;
            INVALID_PASSWORD: string;
            INVALID_GROUP_TYPE: string;
            WRONG_PASSWORD: string;
            INVALID_POLL_QUESTION: string;
            INVALID_POLL_OPTION: string;
            SAME_LANGUAGE_MESSAGE: string;
            LEAVE: string;
            CLICK_TO_START_CONVERSATION: string;
            CUSTOM_MESSAGE_LOCATION: string;
            SHARED_LOCATION: string;
            IN_A_THREAD: string;
            CALLS: string;
            CALL_DETAILS: string;
            OFFLINE: string;
            POLLS: string;
            YOU: string;
            PRIVACY: string;
            BLOCKED_USERS: string;
            "YOU'VE_BLOCKED": string;
            NO_PHOTOS: string;
            NO_VIDEOS: string;
            NO_DOCUMENTS: string;
            JOIN: string;
            REMOVE: string;
            BLOCK: string;
            CHANGE_ROLE: string;
            NEW_CHAT: string;
            FORM_COMPLETION_MESSAGE: string;
            HISTORY: string;
            CANCELLED_AUDIO_CALL: string;
            CANCELLED_VIDEO_CALL: string;
            REJECTED_AUDIO_CALL: string;
            REJECTED_VIDEO_CALL: string;
            CANCELLED_CALL: string;
            UNANSWERED_CALL: string;
            RECORDING: string;
            PARTICIPANTS: string;
            CALL_HISTORY: string;
            NO_CALLS_FOUND: string;
            ONGOING_AUDIO_CALL: string;
            ONGOING_VIDEO_CALL: string;
            CALL_DETAIL: string;
            FORM: string;
            CARD: string;
            GENERATING_SUMMARY: string;
            CONVERSATION_SUMMARY: string;
            GENERATE_SUMMARY: string;
            COMETCHAT_BOT_FIRST_MESSAGE: string;
            COMETCHAT_ASK_BOT: string;
            COMETCHAT_ASK_AI_BOT: string;
            COMETCHAT_ASK_BOT_SUBTITLE: string;
            MENTIONS_LIMIT_WARNING_MESSAGE: string;
            ALL: string;
            CLICK_TO_REMOVE: string;
            OTHERS: string;
            AND: string;
        };
    };
    /**
     * Needs to be called at the start of the application in order to set the language
     * @param {Object} - language & resources
     */
    /**
     * @param  {string=""} language
     * @param  {object={}} resources
     */
    static init: (language?: string, resources?: object) => void;
    /**
     * Returns the browser language
     * @returns {String} browser langauge i.e. en-US
     */
    static getBrowserLanguage: () => string;
    /**
     * Returns the language code
     * @returns {String} language code i.e. en
     */
    static getLanguageCode: () => string;
    /**
     * Returns the active language. Return fallback language if translation is not available for the active language
     * @returns {String} active language
     */
    static getLocale: () => string;
    /**
     * Set the active language
     * @param {String} language
     */
    static setLocale: (language: string) => void;
    /**
     * Accepts the string to localize and return the localized string
     * @param {String} str
     * @returns {String} localized str
     */
    static localize(str: string): any;
    /**
     * Sets the default lannguage if no language is passed in init method
     */
    static setDefaultLanguage: () => void;
    /**
     * Returns true if the active language is rtl otherwise return false
     * @returns {Boolean} whether the language is rtl or not
     */
    static isRTL: () => boolean;
    /**
     * Returns rtl or ltr based on the active language
     * @returns {String} the direction of the active langauge
     */
    static getDir: () => "ltr" | "rtl";
}
declare const localize: (str: string) => any;
export { CometChatLocalize, localize };
//# sourceMappingURL=cometchat-localize.d.ts.map