/**
 * @class PaletteItem
 * @param {String} light
 * @param {String} dark
 */
export declare class PaletteItem {
    light?: string;
    dark?: string;
    constructor({ light, dark }: {
        light?: string | undefined;
        dark?: string | undefined;
    });
}
export declare const modes: {
    light: string;
    dark: string;
};
export declare class CometChatPalette {
    mode: string;
    background: PaletteItem;
    primary: PaletteItem;
    primary150: PaletteItem;
    primary500: PaletteItem;
    error: PaletteItem;
    accent: PaletteItem;
    accent50: PaletteItem;
    accent100: PaletteItem;
    accent200: PaletteItem;
    accent300: PaletteItem;
    accent400: PaletteItem;
    accent500: PaletteItem;
    accent600: PaletteItem;
    accent700: PaletteItem;
    accent800: PaletteItem;
    accent900: PaletteItem;
    success: PaletteItem;
    secondary: PaletteItem;
    tertiary: PaletteItem;
    constructor({ mode, background, primary, primary150, primary500, error, accent, accent50, accent100, accent200, accent300, accent400, accent500, accent600, accent700, accent800, accent900, success, secondary, tertiary, }: {
        mode?: string | undefined;
        background?: PaletteItem | undefined;
        primary?: PaletteItem | undefined;
        primary150?: PaletteItem | undefined;
        primary500?: PaletteItem | undefined;
        error?: PaletteItem | undefined;
        accent?: PaletteItem | undefined;
        accent50?: PaletteItem | undefined;
        accent100?: PaletteItem | undefined;
        accent200?: PaletteItem | undefined;
        accent300?: PaletteItem | undefined;
        accent400?: PaletteItem | undefined;
        accent500?: PaletteItem | undefined;
        accent600?: PaletteItem | undefined;
        accent700?: PaletteItem | undefined;
        accent800?: PaletteItem | undefined;
        accent900?: PaletteItem | undefined;
        success?: PaletteItem | undefined;
        secondary?: PaletteItem | undefined;
        tertiary?: PaletteItem | undefined;
    });
    getAccent: (mode?: string) => string | undefined;
    getAccent50: (mode?: string) => string | undefined;
    getAccent100: (mode?: string) => string | undefined;
    getAccent200: (mode?: string) => string | undefined;
    getAccent300: (mode?: string) => string | undefined;
    getAccent400: (mode?: string) => string | undefined;
    getAccent500: (mode?: string) => string | undefined;
    getAccent600: (mode?: string) => string | undefined;
    getAccent700: (mode?: string) => string | undefined;
    getAccent800: (mode?: string) => string | undefined;
    getAccent900: (mode?: string) => string | undefined;
    getSuccess: (mode?: string) => string | undefined;
    getError: (mode?: string) => string | undefined;
    getPrimary: (mode?: string) => string | undefined;
    getPrimary150: (mode?: string) => string | undefined;
    getPrimary500: (mode?: string) => string | undefined;
    getSecondary: (mode?: string) => string | undefined;
    getBackground: (mode?: string) => string | undefined;
    getTertiary: (mode?: string) => string | undefined;
    /**
     * @param  {string} mode
     */
    setMode(mode: string): void;
    /**
     * @param  {PaletteItem} colorset
     */
    setBackground(colorset: PaletteItem): void;
    /**
     * @param  {PaletteItem} colorset
     */
    setPrimary(colorset: PaletteItem): void;
    /**
     * @param  {PaletteItem} colorset
     */
    setPrimary150(colorset: PaletteItem): void;
    /**
     * @param  {PaletteItem} colorset
     */
    setPrimary500(colorset: PaletteItem): void;
    /**
     * @param  {PaletteItem} colorset
     */
    setSecondary(colorset: PaletteItem): void;
    /**
     * @param  {PaletteItem} colorset
     */
    setError(colorset: PaletteItem): void;
    /**
     * @param  {PaletteItem} colorset
     */
    setAccent(colorset: PaletteItem): void;
    /**
     * @param  {PaletteItem} colorset
     */
    setAccent50(colorset?: PaletteItem): void;
    setAccent100(colorset: PaletteItem): void;
    /**
     * @param  {PaletteItem} colorset
     */
    setAccent200(colorset: PaletteItem): void;
    /**
     * @param  {PaletteItem} colorset
     */
    setAccent300(colorset: PaletteItem): void;
    /**
     * @param  {PaletteItem} colorset
     */
    setAccent400(colorset: PaletteItem): void;
    /**
     * @param  {PaletteItem} colorset
     */
    setAccent500(colorset: PaletteItem): void;
    /**
     * @param  {PaletteItem} colorset
     */
    setAccent600(colorset: PaletteItem): void;
    /**
     * @param  {PaletteItem} colorset
     */
    setAccent700(colorset: PaletteItem): void;
    /**
     * @param  {PaletteItem} colorset
     */
    setAccent800(colorset: PaletteItem): void;
    /**
     * @param  {PaletteItem} colorset
     */
    setAccent900(colorset: PaletteItem): void;
    /**
     * @param  {PaletteItem} colorset
     */
    setTertiary(colorset: PaletteItem): void;
}
export declare const palette: CometChatPalette;
//# sourceMappingURL=CometChatPalette.d.ts.map