/**
 * @class CometChatFont
 * @param {String} fontFamily
 * @param {String} fontWeight
 * @param {String} fontSize
 */
export declare class CometChatFont {
    fontFamily: string;
    fontWeight: string;
    fontSize: string;
    constructor({ fontFamily, fontWeight, fontSize }: {
        fontFamily?: string | undefined;
        fontWeight?: string | undefined;
        fontSize?: string | undefined;
    });
}
/**
 * @class Typography
 * @param {String} fontFamily
 * @param {String} fontWeightRegular
 * @param {String} fontWeightMedium
 * @param {String} fontWeightSemibold
 * @param {String} fontWeightBold
 * @param {Object} heading
 * @param {Object} name
 * @param {Object} title1
 * @param {Object} title2
 * @param {Object} subtitle1
 * @param {Object} subtitle2
 * @param {Object} text1
 * @param {Object} text2
 * @param {Object} caption1
 * @param {Object} caption2
 */
export declare class CometChatTypography {
    fontFamily: string;
    fontWeightRegular: string;
    fontWeightMedium: string;
    fontWeightSemibold: string;
    fontWeightBold: string;
    heading: CometChatFont;
    name: CometChatFont;
    title1: CometChatFont;
    title2: CometChatFont;
    subtitle1: CometChatFont;
    subtitle2: CometChatFont;
    text1: CometChatFont;
    text2: CometChatFont;
    text3: CometChatFont;
    caption1: CometChatFont;
    caption2: CometChatFont;
    caption3: CometChatFont;
    constructor({ fontFamily, fontWeightRegular, fontWeightMedium, fontWeightSemibold, fontWeightBold, heading, name, title1, title2, subtitle1, subtitle2, text1, text2, text3, caption1, caption2, caption3 }: {
        fontFamily?: string | undefined;
        fontWeightRegular?: string | undefined;
        fontWeightMedium?: string | undefined;
        fontWeightSemibold?: string | undefined;
        fontWeightBold?: string | undefined;
        heading?: CometChatFont | undefined;
        name?: CometChatFont | undefined;
        title1?: CometChatFont | undefined;
        title2?: CometChatFont | undefined;
        subtitle1?: CometChatFont | undefined;
        subtitle2?: CometChatFont | undefined;
        text1?: CometChatFont | undefined;
        text2?: CometChatFont | undefined;
        text3?: CometChatFont | undefined;
        caption1?: CometChatFont | undefined;
        caption2?: CometChatFont | undefined;
        caption3?: CometChatFont | undefined;
    });
    setFontFamily(fontFamily: string): void;
    setFontWeightRegular(fontWeightRegular: string): void;
    setFontWeightMedium(fontWeightMedium: string): void;
    setFontWeightSemibold(fontWeightSemibold: string): void;
    setFontWeightBold(fontWeightBold: string): void;
    setHeading(headingFont: CometChatFont): void;
    setName(nameFont: CometChatFont): void;
    setTitle1(titleFont: CometChatFont): void;
    setTitle2(titleFont: CometChatFont): void;
    setSubtitle1(subtitleFont: CometChatFont): void;
    setSubtitle2(subtitleFont: CometChatFont): void;
    setText1(textFont: CometChatFont): void;
    setText2(textFont: CometChatFont): void;
    setText3(textFont: CometChatFont): void;
    setCaption1(captionFont: CometChatFont): void;
    setCaption2(captionFont: CometChatFont): void;
    setCaption3(captionFont: CometChatFont): void;
}
export declare const fontHelper: (obj: CometChatFont) => string;
export declare const typography: CometChatTypography;
//# sourceMappingURL=CometChatTypography.d.ts.map